Sat May 14 10:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Added new TypeCodeFactory files

Fri May 13 11:08:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/Recursive_TypeCode.cpp:

          Corrected inline file path in #include directive.  Addresses
          build errors in builds where inlining is disabled.

Fri May 13 09:31:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp (check_recursion):

          Fixed emulated exception usage error.

Fri May 13 00:04:16 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Recursive_Type_TypeCode.h:

          Protected class members that were public but should have been
          protected.

        * tao/TypeCodeFactory/Recursive_TypeCode.cpp:
        * tao/TypeCodeFactory/Recursive_TypeCode.h:
        * tao/TypeCodeFactory/Recursive_TypeCode.inl:

          A placeholder TypeCode for recursive TypeCodes.  It is meant
          solely for use as an intermediate TypeCode, and merely forwards
          all operations to the actual recursive TypeCode that is set by
          the TypeCodeFactory.

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.h:

          Added support for recursive TypeCodes.

Thu May 12 19:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/TAO-tutorials.html:
          Removed link that seems to be not valid anymore

Thu May 12 19:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport.cpp:
          Fixed crash of TAO on 64bit platforms when TAO debug level is
          set to 5. ACE_SIZE_T_FORMAT_SPECIFIER is for use with printf,
          not for ACE_DEBUG. This fixes bugzilla bug 2113.

Thu May 12 10:20:55 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * Updated the COPYING file to clarify some ambiguity about
          proprietary usage of TAO.

Thu May 12 09:07:34 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Var_Array_Argument_T.cpp:
        * tao/PortableServer/Var_Array_SArgument_T.cpp:

          Added explicit construction of T_forany class when passing
          the associated T_slice* to an Any or CDR operator, in the
          context of an OUT operation parameter. Implicit conversion
          is ambiguous if there are two or more arrays with the
          same element type. The explicit conversion is already in
          place for all other parameter types. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for uncovering this bug and for
          supplying the example IDL checked in below. This fixes bugzilla
          id 2116.

        * tests/IDL_Test/array.idl:

          Added IDL to test for the bug described above.

Wed May 11 23:42:34 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp
          (gen_member_typecodes):

          Fixed recursive valuetype detection in cases where the recursion
          is through a direct member of the valuetype (e.g. "valuetype V {
          public V foo; }" instead of an indirect recursion through a
          sequence (e.g. "valuetype V { sequence<V> foo; }").

Wed May 11 21:20:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.cpp (tao_marshal):
        * tao/Alias_TypeCode_Static.cpp (tao_marshal):

          Account for the encoded CDR encapsulation length and byte
          order when calculating offset.

Wed May 11 13:28:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp (gen_stub_hdr_includes):

          Generate an #include directive for "tao/TypeCode.h" if an Any
          was seen.  Fixes compile-time errors when attempting to make
          calls on a TypeCode pseudo-reference, such as one retrieved from
          through the standard CORBA::Any::type() accessor.

        * tao/Alias_TypeCode.cpp:
        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode_Static.cpp:
        * tao/Alias_TypeCode_Static.h:
        * tao/Empty_Param_TypeCode.cpp:
        * tao/Empty_Param_TypeCode.h:
        * tao/Enum_TypeCode.cpp:
        * tao/Enum_TypeCode.h:
        * tao/Enum_TypeCode_Static.cpp:
        * tao/Enum_TypeCode_Static.h:
        * tao/Fixed_TypeCode.cpp:
        * tao/Fixed_TypeCode.h:
        * tao/Objref_TypeCode.cpp:
        * tao/Objref_TypeCode.h:
        * tao/Objref_TypeCode_Static.cpp:
        * tao/Objref_TypeCode_Static.h:
        * tao/Recursive_Type_TypeCode.cpp:
        * tao/Recursive_Type_TypeCode.h:
        * tao/Recursive_Type_TypeCode.inl:
        * tao/Sequence_TypeCode.cpp:
        * tao/Sequence_TypeCode.h:
        * tao/Sequence_TypeCode_Static.cpp:
        * tao/Sequence_TypeCode_Static.h:
        * tao/String_TypeCode.cpp:
        * tao/String_TypeCode.h:
        * tao/String_TypeCode_Static.cpp:
        * tao/String_TypeCode_Static.h:
        * tao/Struct_TypeCode.cpp:
        * tao/Struct_TypeCode.h:
        * tao/Struct_TypeCode.inl:
        * tao/Struct_TypeCode_Static.cpp:
        * tao/Struct_TypeCode_Static.h:
        * tao/TypeCode.cpp:
        * tao/TypeCode.h:
        * tao/TypeCode.inl:
        * tao/TypeCode_Base_Attributes.h:
        * tao/TypeCode_Base_Attributes.inl:
        * tao/TypeCode_CDR_Extraction.cpp:
        * tao/TypeCode_Case.h:
        * tao/TypeCode_Case.inl:
        * tao/Union_TypeCode.cpp:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Union_TypeCode_Static.cpp:
        * tao/Union_TypeCode_Static.h:
        * tao/Value_TypeCode.cpp:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:
        * tao/Value_TypeCode_Static.cpp:
        * tao/Value_TypeCode_Static.h:

          Fixed recursive TypeCode marshaling and demarshaling.  Alignment
          padding was not taken into account when calculating the
          indirection offset.

Mon May  9 20:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_CDR_Extraction.cpp:
          Fixed conversion warnings

Mon May  9 19:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Policy_Set.cpp:
          As part of the POA refactoring we removed a workaround for
          vc5 but we found that this workaround is still needed for the
          Intel 7.1 C++ compiler using msvc emulation, so readded the
          workaround again, but now with some specific defines so
          that we only use this workaround for Intel C++ 7.1

Mon May  9 01:56:32 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Recursive_Type_TypeCode.h:
        * tao/Recursive_Type_TypeCode.inl:
        * tao/Struct_TypeCode.h:
        * tao/Struct_TypeCode.inl:
        * tao/TypeCode_CDR_Extraction.cpp:
        * tao/TypeCode_CDR_Extraction.h:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:

          Enabled recursive TypeCode demarshaling/creation.

Sun May  8 07:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
        * tao/Makefile.am:
          Added missing header files. Thanks to JT for reporting this

Sun May  8 00:20:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:

          Fixed duplicate TypeCode generation in cases where
          struct/union/valuetype indirectly contained members of the same
          type, such as through an array.

Sat May  7 20:12:12 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp
          (is_typecode_generation_required):

          Include NT_{interface_fwd,valuetype,valuetype_fwd} node types
          when deciding whether a TypeCode should be generated.  Fixes
          duplicate valuetype TypeCode definition errors.

Sat May  7 10:33:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_defn.h:
        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:

          Fixed duplicate generation of TypeCodes.

          Fixed false positives in recursive type detection.

Sat May  7 11:13:12 UTC  2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/InterfaceRepo/Persistence_Test/svc.conf:
          Set -ORBDropRepliesOnShutdown to 0

Fri May  6 18:28:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Generate include directive for "tao/Recursive_Type_TypeCode.h"
          if any struct, union or valuetype is seen.

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_defn.h:
        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:

          Added recursive type TypeCode support.

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:

          Added new "recursive_type_seen_" flag for use in determining
          whether Recursive_Type_TypeCode.h header should be included.

        * tao/Recursive_Type_TypeCode.cpp:
        * tao/Recursive_Type_TypeCode.h:
        * tao/Recursive_Type_TypeCode.inl:

          Added missing include directives.

          Fixed syntax errors.

Fri May  6 13:18:23 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode_Case.inl:

          Include "tao/TypeCode_Traits.h" to pull in the appropriate
          traits templates used in this source file.

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp (create_union_tc):
          (compute_default_label):

          Ported pre-typecode-rewrite code to work with the new TypeCode
          implementation.

        * tao/TypeCodeFactory/TypeCodeFactory_i.h (compute_default_label):

          This method no longer accepts a reference to a CDR output
          stream.  It now accepts a reference to a pointer to
          TAO::TypeCode::Case_Dynamic.

Fri May  6 01:00:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode_Static.cpp:
        * tao/Enum_TypeCode_Static.cpp:
        * tao/Objref_TypeCode_Static.cpp:
        * tao/Sequence_TypeCode_Static.cpp:
        * tao/String_TypeCode_Static.cpp:
        * tao/Struct_TypeCode_Static.cpp:
        * tao/Union_TypeCode_Static.cpp:
        * tao/Value_TypeCode_Static.cpp:

          Work around broken MSVC++ 6 namespace support.

        * tao/Recursive_Type_TypeCode.cpp:
        * tao/Recursive_Type_TypeCode.h:
        * tao/Recursive_Type_TypeCode.inl:

          New decorator template for recursive type TypeCodes.  It is
          intended to be wrapped around struct, union and valuetype
          TypeCode implementations.

Fri May  6 07:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Case.inl:
          Removed not needed ; at the end of the file

Thu May  5 23:11:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/DynamicInterface/Unknown_User_Exception.cpp:

          Fixed duplicate symbol definition caused by struct/exception
          TypeCode template specialization and primary template
          instantiation.  Use the specialization instead.

Thu May  5 20:24:10 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Updated filenames in union TypeCode related header include
          directives.

        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:

          Updated to generated code using new TypeCode::Case_T<> class
          template.  Addresses incorrect default case TypeCode support.

        * tao/GIOPA.cpp:

          Regenerated.

        * tao/TypeCode_CDR_Extraction.cpp:

          Added missing support for union TypeCode demarshaling.

        * tao/TypeCode_Case.h:
        * tao/TypeCode_Case.inl:

          Added dynamic union TypeCode support.

        * tao/TypeCode_Case_T.cpp:
        * tao/TypeCode_Case_T.h:
        * tao/TypeCode_Case_T.inl:

          New class template that represents a union TypeCode case.  It is
          used for both non-default and default union cases/members.
          Separate classes are no longer necessary.

        * tao/TypeCode_Default_Case.cpp:
        * tao/TypeCode_Default_Case.h:
        * tao/TypeCode_Default_Case.inl:
        * tao/TypeCode_Non_Default_Case.cpp:
        * tao/TypeCode_Non_Default_Case.h:
        * tao/TypeCode_Non_Default_Case.inl:

          Removed.  TypeCode_Case_T.* supercedes them.

        * tao/Union_TypeCode.cpp:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Union_TypeCode_Static.cpp:
        * tao/Union_TypeCode_Static.h:
        * tao/Union_TypeCode_Static.inl:

          Fixed default case marshaling.

          Removed unnecessary methods.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Updated source file lists.

Wed May  4 11:54:01 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Union_TypeCode.cpp (equal, equivalent):
        * tao/Union_TypeCode_Static.cpp (equal, equivalent):

          Use Traits<>::get_typecode() to get the discriminant TypeCode.
          Addresses dynamic union TypeCode compile-time problems.

Wed May  4 09:25:13 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Objref_TypeCode_Factory.h:

          Remove this file.  It is no longer needed.

        * tao/TypeCode_CDR_Extraction.cpp (tc_objref_factory):

          De-templatized objref-like TypeCode extraction code.  Knocks off
          5K from static footprint.

Wed May  4 08:41:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode_Static.inl:
        * tao/Enum_TypeCode_Static.inl:
        * tao/Objref_TypeCode_Static.inl:
        * tao/Sequence_TypeCode_Static.inl:
        * tao/String_TypeCode_Static.inl:
        * tao/Struct_TypeCode_Static.inl:
        * tao/Union_TypeCode_Static.inl:
        * tao/Value_TypeCode_Static.inl:

          Work around MSVC++ 6 broken namespace support by wrapping
          TAO::Null_RefCount_Policy base class initialization with
          the ACE_NESTED_CLASS macro.

Wed May  4 12:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/NamingViewer/res/NamingViewer.ico:
          Use an icon with a transparent backgroup. Thanks to
          Frank Pilhofer <fp at mc dot com> for creating this. Fixes bugzilla
          bug 2104

Wed May  4 12:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
          Fixed compile problem with emulated exceptions

Wed May  4 11:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ImplicitActivationPolicyA.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/ThreadPolicyA.cpp:
        * tao/PortableServer/AdapterActivatorA.cpp:
        * tao/PortableServer/ForwardRequestA.cpp:
        * tao/PortableServer/RequestProcessingPolicyA.cpp:
        * tao/PortableServer/ServantLocatorA.cpp:
        * tao/PortableServer/ServantActivatorA.cpp:
        * tao/PortableServer/ServantManagerA.cpp:
        * tao/PortableServer/ServantRetentionPolicyA.cpp:
          Applied manual diff to fix compile errors in minimum corba builds

Wed May  4 08:55:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/htiop_endpointsC.{h,cpp}:
        * orbsvcs/orbsvcs/SSLIOP/ssl_endpointsC.{h,cpp}:
          Regenerated

Wed May  4 08:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Case.cpp:
          Added missing include

Tue May  3 23:37:56 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Struct_TypeCode_Static.h:
        * tao/Value_TypeCode_Static.h:

          Added missing TAO_Export.  Fixes undefined symbol errors on
          platforms that support DSO/DLL symbol hiding.

Tue May  3 23:02:39 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_typecode/alias_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/objref_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:

          Updated generated stubs to use latest TypeCode changes (header
          rename, template parameter changes, etc).

        * tao/Alias_TypeCode.cpp:
        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode.inl:
        * tao/Objref_TypeCode.cpp:
        * tao/Objref_TypeCode.h:
        * tao/Objref_TypeCode.inl:

          Converted CORBA::TCKind template parameter to a constructor
          parameter.  Allows a single instance of the TypeCode template in
          question to represent multiple kinds of TypeCodes, rather than a
          dedicated instance for each kind of TypeCode.  Reduces
          footprint.

        * tao/Alias_TypeCode_Static.cpp:
        * tao/Alias_TypeCode_Static.h:
        * tao/Alias_TypeCode_Static.inl:
        * tao/Enum_TypeCode_Static.cpp:
        * tao/Enum_TypeCode_Static.h:
        * tao/Enum_TypeCode_Static.inl:
        * tao/Objref_TypeCode_Static.cpp:
        * tao/Objref_TypeCode_Static.h:
        * tao/Objref_TypeCode_Static.inl:
        * tao/Sequence_TypeCode_Static.cpp:
        * tao/Sequence_TypeCode_Static.h:
        * tao/Sequence_TypeCode_Static.inl:
        * tao/String_TypeCode_Static.cpp:
        * tao/String_TypeCode_Static.h:
        * tao/String_TypeCode_Static.inl:
        * tao/Struct_TypeCode_Static.cpp:
        * tao/Struct_TypeCode_Static.h:
        * tao/Struct_TypeCode_Static.inl:
        * tao/Union_TypeCode_Static.cpp:
        * tao/Union_TypeCode_Static.h:
        * tao/Union_TypeCode_Static.inl:
        * tao/Value_TypeCode_Static.cpp:
        * tao/Value_TypeCode_Static.h:
        * tao/Value_TypeCode_Static.inl:

          New static TypeCode template specializations.  Works around
          compilers that create multiple template instantiations, reducing
          footprint greatly.

        * tao/Objref_TypeCode_Base.cpp:
        * tao/Objref_TypeCode_Base.h:
        * tao/Objref_TypeCode_Base.inl:

          Removed these files.  They are no longer needed.

        * tao/Fixed_TypeCode.cpp:
        * tao/String_TypeCode.cpp:
        * tao/TypeCode_Non_Default_Case.cpp:

          Added missing include directives.

        * tao/Objref_TypeCode_Factory.h:
        * tao/SystemExceptionA.cpp:
        * tao/TypeCode_CDR_Extraction.cpp:
        * tao/TypeCode_Constants.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
        * tao/Valuetype/ValueBase.cpp:

          Updated to use latest TypeCode changes (header rename, template
          parameter changes, etc).

        * tao/AnySeqA.cpp:
        * tao/BooleanSeqA.cpp:
        * tao/BoundsA.cpp:
        * tao/CONV_FRAMEA.cpp:
        * tao/CharSeqA.cpp:
        * tao/ClientRequestInfoA.cpp:
        * tao/CurrentA.cpp:
        * tao/DomainA.cpp:
        * tao/DoubleSeqA.cpp:
        * tao/DynamicA.cpp:
        * tao/Dynamic_ParameterA.cpp:
        * tao/FloatSeqA.cpp:
        * tao/GIOPA.cpp:
        * tao/IIOPA.cpp:
        * tao/IIOP_EndpointsA.cpp:
        * tao/IOP_CodecA.cpp:
        * tao/IOP_IORA.cpp:
        * tao/InvalidSlotA.cpp:
        * tao/LongDoubleSeqA.cpp:
        * tao/LongLongSeqA.cpp:
        * tao/LongSeqA.cpp:
        * tao/Messaging_PolicyValueA.cpp:
        * tao/ORBInitInfoA.cpp:
        * tao/ORBInitializerA.cpp:
        * tao/ObjectIdListA.cpp:
        * tao/OctetSeqA.cpp:
        * tao/PI_ForwardC.cpp:
        * tao/ParameterModeA.cpp:
        * tao/PolicyA.cpp:
        * tao/PolicyFactoryA.cpp:
        * tao/Policy_ForwardA.cpp:
        * tao/PortableInterceptorA.cpp:
        * tao/RequestInfoA.cpp:
        * tao/ServerRequestInfoA.cpp:
        * tao/ServicesA.cpp:
        * tao/ShortSeqA.cpp:
        * tao/StringSeqA.cpp:
        * tao/TAOA.cpp:
        * tao/TimeBaseA.cpp:
        * tao/TypeCodeA.cpp:
        * tao/ULongLongSeqA.cpp:
        * tao/ULongSeqA.cpp:
        * tao/UShortSeqA.cpp:
        * tao/VisibilityA.cpp:
        * tao/WCharSeqA.cpp:
        * tao/WStringSeqA.cpp:
        * tao/WrongTransactionA.cpp:
        * tao/orb_typesA.cpp:
        * tao/IFR_Client/IFR_BaseA.cpp:
        * tao/IFR_Client/IFR_BasicA.cpp:
        * tao/IFR_Client/IFR_ComponentsA.cpp:
        * tao/IFR_Client/IFR_ExtendedA.cpp:
        * tao/IORManipulation/IORA.cpp:
        * tao/ImR_Client/ImplRepoA.cpp:
        * tao/ImR_Client/ServerObjectA.cpp:
        * tao/Messaging/MessagingA.cpp:
        * tao/Messaging/Messaging_No_ImplA.cpp:
        * tao/Messaging/Messaging_RT_PolicyA.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyA.cpp:
        * tao/Messaging/TAO_ExtA.cpp:
        * tao/ObjRefTemplate/Default_ORTA.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateA.cpp:
        * tao/PortableServer/AdapterActivatorA.cpp:
        * tao/PortableServer/ForwardRequestA.cpp:
        * tao/PortableServer/IdAssignmentPolicyA.cpp:
        * tao/PortableServer/IdUniquenessPolicyA.cpp:
        * tao/PortableServer/ImplicitActivationPolicyA.cpp:
        * tao/PortableServer/LifespanPolicyA.cpp:
        * tao/PortableServer/POAManagerA.cpp:
        * tao/PortableServer/PS_CurrentA.cpp:
        * tao/PortableServer/PS_ForwardA.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/RequestProcessingPolicyA.cpp:
        * tao/PortableServer/ServantActivatorA.cpp:
        * tao/PortableServer/ServantLocatorA.cpp:
        * tao/PortableServer/ServantManagerA.cpp:
        * tao/PortableServer/ServantRetentionPolicyA.cpp:
        * tao/PortableServer/ThreadPolicyA.cpp:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/RTPortableServer/RTPortableServerA.cpp:
        * tao/RTScheduling/RTSchedulerA.cpp:
        * tao/Strategies/sciop_endpointsC.cpp:
        * tao/Strategies/uiop_endpointsC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryA.cpp:

          Regenerated.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Updated source file lists in accordance with latest TypeCode
          source changes.

Tue May  3 18:27:02 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_module.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:

          Removed includes that were commented out.

        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_component_fwd.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_home.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_global.cpp:

          Added definition and execution of a new error message that
          informs the user of the improper use of the -Sm option, that
          is, with tao_idl on an IDL file that contains component
          declarations, component forward declarations, or home
          declarations. This option is to be used only with tao_idl on
          IDL files produced by the tao_idl3_to_idl2 executable, to
          prevent duplicate creation of event consumer nodes. Thanks
          to Boris Kolpackov <boris@dre.vanderbilt.edu> for reporting
          the crash previously caused by improper usage of this option.

Mon May  2 18:41:12 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/FP_Scheduling.{pidl,idl}:
        * examples/RTScheduling/MIF_SchedulingC.{pidl,idl}:
          Replaced pidl file by idl file, no need to have pre generated files for
          this in the repo.

        * examples/RTScheduling/FP_SchedulingC.{h,cpp}:
        * examples/RTScheduling/MIF_SchedulingC.{h,cpp}:
          Removed from the repo

        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.mpc:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Fixed_Priority_Scheduler.mpc:
          Updated for change above

Mon May  2 09:50:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Trader/Trader.h:

          Work around Borland unresolved symbol errors concerning the
          out-of-line virtual destructor.  The virtual destructor should
          not be inlined, nor should we have to export TAO_Lockable from
          the DSO/DLL.  *sigh*

Mon May  2 10:36:43 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tao/PortableServer/PortableServer_WFunctions.cpp (PortableServer):
          Remove the "+ 1" from the string length so things will work
          better for wstrings.  Thanks to Wolfgang Fischer <fiw@arcor.de>
          for reporting this.  This fixes bugid 2095.

Mon May  2 13:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/FP_SchedulingC.cpp:
        * examples/RTScheduling/MIF_SchedulingC.cpp:
          Regenerated these files.

Mon May  2 13:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory.idl:
          Removed a \ at the beginning of this file and also zapped a lot of
          empty lines. Caused problems with Visual Age 6 on AIX

Mon May  2 11:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Log/RTEventLogNotification.h:
          Fixed warning in AIX Visual Age 6 build

Sun May  1 23:44:25 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/svc.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/svc.conf:

          Set -ORBDropRepliesOnShutdown to 0 as per Johnny's advice.

Sat Apr 30 20:10:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:

          Match format specifier to actual type, i.e. "%lu" for an
          unsigned long.

        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:

          Fixed "variable may be used uninitialized" warnings.

        * performance-tests/Cubit/TAO/MT_Cubit/Globals.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/Globals.h:

          Added missing virtual destructor.  Fixes a g++ 4.0 warning.

        * tests/CodeSets/libs/IBM1047_ISO8859/Char_IBM1047_ISO8859_Factory.h:
        * tests/CodeSets/libs/IBM1047_ISO8859/Wchar_IBM1047_ISO8859_Factory.h:
        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16_Factory.h:

          Removed extraneous DSO/DLL symbol export declarations from
          typedef.

Sat Apr 30 10:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Union_TypeCode.{h,cpp,inl}:
          The Borland compiler seems to have some const problems

Sat Apr 30 00:48:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/Makefile.am:

          Updated source file lists to include new
          Notify/Event_Persistence_Factory.cpp file.

        * orbsvcs/orbsvcs/Notify/Event_Persistence_Factory.cpp:

          New file containing destructor definition.

        * orbsvcs/orbsvcs/Notify/Event_Persistence_Factory.h:
        * orbsvcs/orbsvcs/Notify/Method_Request.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request.h:
        * orbsvcs/orbsvcs/Notify/Persistent_File_Allocator.cpp:
        * orbsvcs/orbsvcs/Notify/Persistent_File_Allocator.h:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Persistence_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Persistence_Manager.h:
        * orbsvcs/orbsvcs/Notify/Topology_Object.cpp:
        * orbsvcs/orbsvcs/Notify/Topology_Object.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.h:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators_T.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.h:
        * orbsvcs/tests/Notify/lib/Task_Callback.h:
        * orbsvcs/tests/Security/ssliop_corbaloc/client.h:
        * orbsvcs/tests/Simple_Naming/client.h:
        * examples/Event_Comm/Event_Comm_i.cpp:
        * examples/Event_Comm/Event_Comm_i.h:
        * examples/POA/TIE/test_i.cpp:
        * examples/POA/TIE/test_i.h:

          Various g++ 4.0 warnings fixes, including missing virtual
          destructors, potential use of uninitialized variables and
          use of "#pragma once" in a main source file.

Tue Apr 26 11:06:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Objref_TypeCode.h:
        * tao/Objref_TypeCode_Base.h:

          Updated documentation to list "home" TypeCodes.

Fri Apr 29 11:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Fixed_Array_Argument_T.inl:
          Workaround for msvc6 is also needed for Visual Age 6

Fri Apr 29 11:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Array_VarOut_T.inl:
          In TAO_Array_Forany_T<T,T_slice,TAG>::in also use the workaround
          for Visual Age 6.

Fri Apr 29 11:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/POAManagerA.cpp:
        * tao/PortableServer/ServantManagerA.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/ServantLocatorA.cpp:
        * tao/PortableServer/ServantActivatorA.cpp:
        * tao/PortableServer/IdAssignmentPolicyA.cpp:
        * tao/IFR_Client/IFR_BaseA.cpp:
        * tao/IFR_Client/IFR_BasicA.cpp:
        * tao/IFR_Client/IFR_ComponentsA.cpp:
        * tao/IFR_Client/IFR_ExtendedA.cpp:
        * tao/ImR_Client/ImplRepoA.cpp:
        * tao/ImR_Client/ServerObjectA.cpp:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/RTPortableServer/RTPortableServerA.cpp:
          Regenerated these files so that they are compilable with Visual
          Age 6

        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
          Generate template specializations withing namespace TAO {} to
          resolve compiler errors with Visual Age

Fri Apr 29 09:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Union_TypeCode.inl:
          Fixed method signatures to match with declaration

Thu Apr 28 17:45:59 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be_include/be_interface.h:

          Added code generation for a default implementation of the
          CIAO-specific operation ciao_is_substitutable(), recently
          added to EventConsumerBase in CCM_Event.idl. This implementation
          keeps CIAO interoperable with CCM-unaware clients, who would
          otherwise have to implement this operation in order to
          instantiate a hand-written event consumer. Thanks to Gary
          Duzan <gduzan@bbn.com> for pointing out the problem.

Thu Apr 28 15:01:38 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/AVStreams/Modify_QoS/receiver.cpp:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/receiver.cpp:

          Removed unused singleton.

        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.cpp:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.cpp:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/receiver.cpp:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/sender.cpp:
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.cpp:
        * orbsvcs/tests/AVStreams/Full_Profile/ftp.cpp:
        * orbsvcs/tests/AVStreams/Full_Profile/ftp.h:
        * orbsvcs/tests/AVStreams/Full_Profile/server.cpp:
        * orbsvcs/tests/AVStreams/Full_Profile/server.h:
        * orbsvcs/tests/AVStreams/Modify_QoS/sender.cpp:
        * orbsvcs/tests/AVStreams/Multicast/ftp.cpp:
        * orbsvcs/tests/AVStreams/Multicast/ftp.h:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.cpp:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.h:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/server.cpp:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/server.h:
        * orbsvcs/tests/AVStreams/Multiple_Flows/receiver.cpp:
        * orbsvcs/tests/AVStreams/Multiple_Flows/sender.cpp:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/sender.cpp:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/distributer.cpp:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/sender.cpp:

          Converted remaining ACE_Singletons to ACE_Unmanaged_Singleton.
          See the ChangeLog entry "Wed Apr 27 23:36:45 2005  Ossama Othman
          <ossama@dre.vanderbilt.edu>" for details.

Thu Apr 28 00:09:00 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode.cpp (~TypeCode):
        * tao/TypeCode.inl (~TypeCode):

          Moved destructor out of line since it is virtual.  Inlining it
          doesn't buy us anything in this case.

Wed Apr 27 23:36:45 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/AVStreams/Component_Switching/sender.cpp:
        * orbsvcs/tests/AVStreams/Multicast/server.cpp:
        * orbsvcs/tests/AVStreams/Multicast/server.h:
        * orbsvcs/tests/AVStreams/Pluggable/ftp.cpp:
        * orbsvcs/tests/AVStreams/Pluggable/ftp.h:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/sender.cpp:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/sender.cpp:

          Use an ACE_Unmanaged_Singleton instead of an ACE_Singleton,
          and explicitly close that unmanaged singleton prior to exiting
          main() to avoid order of destruction of static object related
          problems.  The singleton instance in question indirectly
          contains a pointer to static TypeCodes, and assumes that the
          singleton itself will be destroyed after the static TypeCodes.
          This is not a portable assumption, especially since the CORBA
          spec explicitly allows reference count operations on TypeCodes
          to be no-ops, which is the case with TAO's new TypeCode
          implementation.

Wed Apr 27 17:39:32 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.cpp (tao_marshal):
        * tao/Enum_TypeCode.cpp (tao_marshal):
        * tao/Objref_TypeCode_Base.cpp (tao_marshal):
        * tao/Sequence_TypeCode.cpp (tao_marshal):
        * tao/Struct_TypeCode.cpp (tao_marshal):
        * tao/Union_TypeCode.cpp (tao_marshal):
        * tao/Value_TypeCode.cpp (tao_marshal):

          Cast the size_t return value of TAO_OutputCDR::total_length() to
          CORBA::ULong.  Addresses ambiguous CDR stream insertion operator
          overloads in some VxWorks builds.

Wed Apr 27 16:10:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Scheduler_Factory.cpp (log_scheduling_tuples):

          Corrected format specifier for an enumeration.  An enumeration
          is implicitly converted to an "int", not "unsigned int".
          Addresses compile-time warnings from g++ builds with format
          specifier warnings enabled.

Wed Apr 27 18:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:
          Generate template specializations withing namespace TAO {} to
          resolve compiler errors with Visual Age

        * tao/Basic_Argument_T.h:
        * tao/Special_Basic_Argument_T.h:
        * tao/UB_String_Argument_T.h:
          Removed not needed mutable keyword

        * tao/TAOA.cpp:
        * tao/WrongTransactionA.cpp:
        * tao/IORManipulation/IORA.cpp:
        * tao/Messaging/*A.cpp:
        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/ObjRefTemplate/*A.cpp:
        * tao/ObjRefTemplate/*C.{h,cpp,inl}:
        * tao/TypeCodeFactory/TypeCodeFactoryA.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.{h,cpp}:
          Regenerated

Wed Apr 27 18:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/util/utl_string.cpp:
          Include OS_NS_ctype.h and use ace_toupper and ace_isalpha to
          fix compile errors with Linux RH 2.1AS IA64

Tue Apr 26 13:22:08 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp (visit_string):

          Changed generation of the arg traits template specialization
          to have an #ifndef guard using the typedef name for the
          string, if any, to ensure that the guards will be unique
          for each typedef, and that none of the arg traits
          specializations are hidden. Thanks to Stanislaw Trytek
          <tryteks@pit.edu.pl> for reporting the resulting compile
          problem and for sending in an example IDL file.

        * tests/IDL_Test/typedef.idl:

          Added the example IDL file mentioned above to the test suite.

Tue Apr 26 10:43:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp (create_tc_common):

          Added overlooked CORBA::tk_home case.  Fixes an internal
          run-time error (CORBA::INTERNAL system exception being thrown).

          (value_event_tc_common):

          Set the concrete base type TypeCode to CORBA::_tc_null if the
          corresponding user supplied argument is nil.  This is compliant
          with the CORBA specification.  Fixes a CORBA::MARSHAL system
          exception being thrown at run-time.  Note that this is already
          done for the static TypeCodes generated by the TAO_IDL
          compiler.

Tue Apr 26 01:46:01 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.cpp (tao_marshal):
        * tao/Enum_TypeCode.cpp (tao_marshal):
        * tao/Objref_TypeCode_Base.cpp (tao_marshal):
        * tao/Sequence_TypeCode.cpp (tao_marshal):
        * tao/Struct_TypeCode.cpp (tao_marshal):
        * tao/Union_TypeCode.cpp (tao_marshal):
        * tao/Value_TypeCode.cpp (tao_marshal):

          Corrected marshaling of these complex parameter list TypeCodes.
          They were missing the CDR encapsulation length before the actual
          encapsulation.

        * tao/Objref_TypeCode_Factory.h:
        * tao/TypeCode_CDR_Extraction.cpp:

          Extract the CDR encapsulation length before the remainder of the
          encapsulation when demarshaling complex parameter list
          TypeCodes.

        * tests/Codec/README:

          Updated expected output.

        * tests/Codec/client.cpp (main):

          Added missing space in debugging message.

Tue Apr 26 12:55:32 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:

          Replicated fix from "Fri Apr 22 12:09:23 2005  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" for above protocol.

Mon Apr 25 23:26:54 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp (gen_typecode_includes):

          Generate include directives for
          "tao/TypeCode_{Struct,Value}_Field.h" headers.  Needed for IBM
          C++ compiler.

Mon Apr 25 22:47:08 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

        * tao/tao.mpc:

          Added TypeCode_Traits.h and Enum_TypeCode.cpp to list of
          Header_Files and Template_Files respectively.

Mon Apr 25 19:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Policy_ForwardC.h:
          Regenerated

Sat Apr 23 19:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableInterceptorA.cpp:
        * tao/PolicyFactoryA.cpp:
        * tao/TAOA.cpp:
        * tao/PortableServer/ThreadPolicyA.cpp:
        * tao/PortableServer/ServantRetentionPolicyA.cpp:
        * tao/PortableServer/RequestProcessingPolicyA.cpp:
        * tao/PortableServer/PS_CurrentA.cpp:
        * tao/PortableServer/POAManagerA.cpp:
        * tao/PortableServer/LifespanPolicyA.cpp:
        * tao/PortableServer/ImplicitActivationPolicyA.cpp:
        * tao/PortableServer/IdUniquenessPolicyA.cpp:
        * tao/PortableServer/ForwardRequestA.cpp:
        * tao/PortableServer/AdapterActivatorA.cpp:
          Regenerated

        * tao/TAO_Internal.cpp:
          Added include of ace/Static_Object_Lock to get ACE_Static_Object_Lock

        * tao/UserException.cpp:
          Added include of ace/OS_NS_string.h to get ACE_OS::strcmp

        * tao/PortableServer/ThreadStrategySingleFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyORBControl.cpp:
        * tao/PortableServer/ThreadStrategyFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategySingle.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
          Added include of ace/Log_Msg to get ACE_ERROR and ACE_ASSERT

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
          Added include of ace/Auto_Ptr.h to get auto_ptr.

Sat Apr 23 19:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/InvalidSlotA.cpp:
        * tao/IOP_CodecA.cpp:
        * tao/ORBInitInfoA.cpp:
        * tao/RequestInfoA.cpp:
        * tao/ServerRequestInfoA.cpp:
        * tao/ORBInitializerA.cpp:
          Regenerated

        * tao/PICurrent.cpp:
          Fixed compile errors

        * tao/ORBInitializer_Registry.cpp:
          Added include of ace/Log_Msg.h to get ACE_ERROR

Sat Apr 23 18:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DomainC.cpp:
          Moved template specializations into namespace TAO {}

        * tao/diffs/Domain.diff:
          Updated

Sat Apr 23 18:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Exception.cpp:
          Put the specializations in the TAO namespace to fix compile
          problems with AIX

Sat Apr 23 13:03:14 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tao/PICurrent.cpp:
        * tao/PICurrent.h:
        * tao/PICurrent.inl: Changed all uses of "id" to something else to
          avoid conflicts with Mac OS X, where "id" is a keyword.  Thanks
          to Ron Wilson <ronwilson@mac.com> for reporting this problem.

        * orbsvcs/tests/FT_App/StubBatchConsumer.h: Added the
          ACE_THROW_SPEC to the offer_change() method.  Thanks to Ron
          Wilson <ronwilson@mac.com> for reporting this problem.

Sat Apr 23 18:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/default_resource.cpp:
          Added include of ace/Reactor.h to get ACE_Reactor

Sat Apr 23 17:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CORBALOC_Parser.cpp:
          Added include of ace/OS_NS_string.h to get ACE_OS::strncmp

Sat Apr 23 17:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connector_Registry.cpp:
          Added include of ace/Auto_Ptr.h to get auto_ptr.

        * tao/Connection_Handler.cpp:
          Added include of ace/os_include/sys/os_socket.h to get the bufsize
          defines. Fixes compile problems with AIX.

Sat Apr 23 15:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/NVList.cpp:
          Include ace/Log_Msg.h to get ACE_DEBUG

        * tao/ClientRequestInfoA.cpp:
          Regenerated

Fri Apr 22 23:08:32 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:

          Fixed "variable may be used uninitialized" g++ 4.0 warnings.

        * orbsvcs/orbsvcs/Scheduler_Factory.cpp (log_scheduling_tuples):

          Made format string variable into a string literal.  Allows g++
          format specifier argument checking to work, and addresses a
          related g++ 4.0 warning.

Fri Apr 22 23:02:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.h
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.inl:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.cpp
          (Dynamic_Bitset):

          Reordered class attributes to fix "variable is used
          uninitialized" ("is" not "may be"!) g++ 4.0 warning.

Fri Apr 22 22:49:13 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.cpp
          (analyze_loads):
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.cpp
          (analyze_loads):

          Fixed "variable may be used uninitialized" g++ 4.0 warnings.  In
          this case, the variable was indeed used undefined!

Fri Apr 22 20:00:28 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * docs/rtcorba/features.html:

          Fix typo.

        * orbsvcs/IFR_Service/Makefile.am

          Regenerate.

Fri Apr 22 16:30:16 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/IFR_Service.mpc:

          Added imr_client to base project list, IFR_Service executable
          needs to link to the ImR_Client library.

Fri Apr 22 20:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DomainA.cpp:
          Regenerated this file

Fri Apr 22 12:17:09 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/Adapter_Activator.h (ImR_Adapter):
        * orbsvcs/ImplRepo_Service/Forwarder.h (ImR_Forwarder):
        * orbsvcs/ImplRepo_Service/INS_Locator.h (INS_Locator):

          Inherit from CORBA::LocalObject.  The C++ mapping requires that
          implementations of locality constrained objects do so.

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp (~ImR_Locator_i):
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h (~ImR_Locator_i):

          Added an out-of-line destructor.  For some reason g++ 4.0 needs
          this out-of-line destructor instead of the default one generated
          by the compiler.  Without this destructor, we get a number of
          "undefined reference" link errors related to the virtual tables
          of the INS_Locator, ImR_Adapter and ImR_Forwarder members in
          this class.

Fri Apr 22 12:09:23 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * tao/IIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/UIOP_Connector.cpp:

          Fix for BUGID 2074. In cancel_svc_handler () return the value
          from base.connector_.cancel () properly.

        * tao/Connection_Handler.inl:

          Added a check for TIMEOUT as part of of the is_closed () call.

Fri Apr 22 10:01:31 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Cosmetic changes - removed commented-out code.

        * TAO_IDL/be/be_visitor_traits.cpp:

          Added code generation of the declaration of the Objref_Traits<>
          specialization for interfaces that are forward declared and not
          defined. Some compilers need to see this declaration earlier
          than others.

Fri Apr 22 14:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
          Generate the template specializations within namespace TAO {}
          to fix compile errors using the Visual Age 6.0 compiler on AIX
          5.1

        * tao/BoundsA.cpp:
        * tao/PolicyA.cpp:
          Regenerated these files as test with the changes above, other
          generated files will follow later

Fri Apr 22 14:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Any.cpp:
          Instead of using TAO::Any_Impl_T<CORBA::Object>::to_object,
          place it within namespace TAO {} so that this file compiles
          using the Visual Age 6 compiler on AIX 5.1

Thu Apr 21 23:27:34 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/skip.cpp:

          Corrected class name in TAO_Marshal_String::skip() debugging
          messaging.  It erroneously referred to
          TAO_Marshal_TypeCode::skip().

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp
          (alias_value_box_tc_common):
          (value_event_tc_common):

          Store a duplicate of the TypeCode argument in a TypeCode_var
          before passing the content/concrete_base TypeCode to the
          containing TypeCode constructor.  A template typedef related
          workaround for MSVC++ 6 causes us to introduce needlessly
          complicated memory management.  Addresses seg faults when
          creating an alias, value box, valuetype or eventtype TypeCode
          with the TAO's implementation of the CORBA TypeCodeFactory.

Thu Apr 21 11:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_global.cpp:
          Added missing -GI options help

Thu Apr 21 10:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/pragma.idl:
          Added an exception in its own module as extra test case

Wed Apr 20 19:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode.inl:
        * tao/Sequence_TypeCode.h:
        * tao/Sequence_TypeCode.inl:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:
          Extended the checks for Borland to include a version number.
          Hopefully Borland fixes this problem in newer compiler versions

Wed Apr 20 14:22:57 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_union.cpp:

          Fixed the in_recursion() method in the above node types to
          eliminate a false positive result in the test for the
          presence of a recursive type. The false positive occured
          when a struct or union contained more than one member of
          the same non-primitive type.

Wed Apr 20 09:57:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode.inl:
        * tao/Sequence_TypeCode.h:
        * tao/Sequence_TypeCode.inl:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:

          Work around Borland C++ internal error by passing the TypeCode
          constructor argument by value instead of by const reference.

Tue Apr 19 17:12:26 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode.cpp (unaliased_typecode):

          Fixed problem where the initial TypeCode over which we are
          iterating was not initialized.

          (equivalent):

          Factored out common TypeCode equivalence verification code to
          this base class method, and added missing TypeCode unaliasing
          code for the TypeCode being invoked (e.g. the left hand side).

        * tao/Alias_TypeCode.cpp (equivalent_i):
        * tao/Enum_TypeCode.cpp:
        * tao/Fixed_TypeCode.cpp:
        * tao/Objref_TypeCode_Base.cpp:
        * tao/Sequence_TypeCode.cpp:
        * tao/String_TypeCode.cpp:
        * tao/Struct_TypeCode.cpp:
        * tao/Union_TypeCode.cpp:
        * tao/Value_TypeCode.cpp:

          Factored out common TypeCode equivalence verification code to
          the CORBA::TypeCode::equivalent() base class method.

        * tao/Any_Basic_Impl.cpp (Any_Basic_Impl):

          Replaced duplicated TypeCode unaliasing code with a call to
          TAO::unaliased_typecode().

        * tao/String_TypeCode_Traits.h:

          New {w}string TypeCode creation traits templates.

        * tao/Any_Special_Impl_T.cpp (insert):

          Added missing bounded {w}string TypeCode support that was
          disabled during the TypeCode rewrite merge.

        * tao/TAO_Internal.cpp (service_config_open_count):

          Use the ACE_Static_Object_Lock instead of ACE_Atomic_Op to make
          operations on this global variable thread safe.  Addresses some
          static object order of construction/destruction related errors.

Tue Apr 19 11:10:22 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

        * tao/ImR_Client.Added:

          Added Pkgconfig_Files definition.

        * tao/ImR_Client/TAO_ImR_Client.pc.in:

          New file, pkg-config *.pc template for TAO_ImR_Client library.

Tue Apr 19 15:17:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.h:

          Fix incorrect exception specifications.

Tue Apr 19 11:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/SystemExceptionA.cpp:
          Added LynxOS compile fix from Olli Savia <ops@iki.fi>

Tue Apr 19 07:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Bindings_Iterator_T.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Transient_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.cpp:
          Initialise pointer with 0 to fix gcc pre 4.0 warning.

Mon Apr 18 21:36:12 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/ImplRepo_Service/Makefile.am:

          Regenerate.

Mon Apr 18 15:41:17 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * tao/Makefile.am:

          Regenerate.

        * tao/tao.mpc:

          Add ORBInitInfoS.h and PolicyFactoryS.h to list of header
          files.

Mon Apr 18 11:50:08 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Exception.h (_type):
        * tao/Exception.cpp (_type):
        * tao/SystemException.h (_type):
        * tao/SystemException.cpp (_type):

          The TypeCode rewrite changed the name of the generated
          _type() user exception method to _tao_type() since it specific
          to TAO.  However, those changes were not propagated to the
          CORBA::Exception base class and CORBA::SystemException classes.
          As a result, code that attempted to retrieve the user exception
          TypeCode using the _type() method would end up with the base
          class method returning a nil TypeCode.  Renamed the _type()
          method to _tao_type() in these files.  Fixes memory related
          problems when attempting to call TypeCode methods on a TypeCode
          retrieved from an Any containing a user exception.

        * tests/Portable_Interceptors/Collocated/Dynamic/run_test.pl:

          Made test title output more descriptive.

Mon Apr 18 08:00:17 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Event/ECG_Adapters.h (~TAO_ECG_Dgram_Handler):
        * orbsvcs/orbsvcs/Event/ECG_Adapters.cpp (~TAO_ECG_Dgram_Handler):

          Added missing virtual destructor.  Fixes a g++ 4.0 warning.

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp:

          Moved inlined virtual methods out of line to this file.

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.h:

          Cleaned up CORBA::Environment arguments to better conform to
          current TAO conventions.

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.i:

          Moved inline virtual methods out of line.

          Removed this file since it is now empty.

Mon Apr 18 13:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/AMI/run_test.pl:
          Fixed error in this script that caused this test to fail on all
          platforms except VxWorks.

Mon Apr 18 13:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Leader_Followers/run_test.pl:
          Fixed typo in this script that caused this test to fail on all
          platforms except VxWorks.

Mon Apr 18 13:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Event_Map_T.cpp:
        * orbsvcs/orbsvcs/Log/Iterator_i.cpp:
        * orbsvcs/orbsvcs/Log/LogMgr_i.cpp:
        * orbsvcs/orbsvcs/Log/LogRecordStore.cpp:
        * orbsvcs/orbsvcs/Log/Log_i.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FtEventServiceInterceptor.cpp:
        * examples/Load_Balancing_persistent/Load_Balancer_i.cpp:
        * examples/Load_Balancing/Load_Balancer_i.cpp:
          Initialise pointer with 0 to fix gcc pre 4.0 warning.

        * orbsvcs/orbsvcs/Notify/Routing_Slip.h:
          Don't use an export macro with a forward declaration.

Mon Apr 18 11:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/ESF/ESF_Delayed_Changes.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.cpp:
        * orbsvcs/orbsvcs/Event/GPlot_File.cpp:
        * examples/Callback_Quoter/Notifier_i.cpp:
          Initialise pointer with 0 to fix gcc pre 4.0 warning

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp:
        * orbsvcs/tests/RTCosScheduling/server.cpp:
        * orbsvcs/tests/RTCosScheduling/client.cpp:
          Removed pragma once to fix gcc pre 4.0 warning

        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.{cpp,i}:
          Uninlined shutdown method

Mon Apr 18 11:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Dynamic/interceptors.cpp:
          Removed not used static constants

Mon Apr 18 09:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/Deactivate_Object/*:
          New regression test to test deactivate_object. Thanks to Will Otte
          <wotte@dre.vanderbilt.edu> and Jai <jai@dre.vanderbilt.edu> for
          this test. Thanks to Ossama for already supplying the fix

Mon Apr 18 08:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Upcall.cpp (single_threaded_poa_cleanup):
          Moved all code within the ifdef

Sun Apr 17 01:07:20 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Any_Dual_Impl_T.h (_tao_decode):

          Removed CORBA::Environment default argument.  TAO internal
          methods, such as this, should always supply a CORBA::Environment
          argument when using emulated exceptions since a TSS access is
          otherwise incurred.  Addresses compile-time errors related to
          the lack of a missing full declaration for
          TAO_default_environment().

Sat Apr 16 18:22:23 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * tao/PortableServer/Root_POA.cpp:

          Fixed a bug in reference_to_id.  Many thanks to Ossama Othman
          <ossama@dre.vanderbilt.edu> for the fix.

Sat Apr 16 16:20:28 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp:

          Removed unnecessary "ace/Service_Repository.h" and
          "ace/Svc_Conf.h" include directives.  The latter also introduced
          g++ 4.0 link-time problems since it pulled in virtual methods
          that are not exported.  Fixes g++ 4.0 unresolved symbol errors
          when setting the default symbol and inlined function visibility
          to "hidden".

Sat Apr 16 01:36:41 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Objref_TypeCode_Factory.h (tc_objref_factory):

          Fixed problem where created TypeCode was not returned to the
          caller.

        * tao/TypeCode.cpp (equal):

          Throw a CORBA::BAD_PARAM exception if the TypeCode argument is
          nil.  Fixes a seg fault.

        * tao/TypeCode.inl (equivalent):

          Likewise.

          Moved this method out of line into `TypeCode.cpp'.  Avoids
          including excessive headers in this file.

Sat Apr 16 00:10:27 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Value_TypeCode.h (type_modifer, concrete_base_type):
        * tao/Value_TypeCode.cpp (type_modifer, concrete_base_type):

          Fixed these incorrect protected template method names.  The
          method names are now "type_modifer_i" and
          "concrete_base_type_i", respectively.  Addresses valuetype
          extraction from CORBA::Any problems since the correct
          implementations are now invoked polymorphically rather than the
          default implementations that throw a CORBA::TypeCode::BadKind
          exception.

Fri Apr 15 23:31:51 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Transport.cpp (dump_iov):

          Fixed seg fault due to missing size_t ACE_DEBUG argument.

Fri Apr 15 09:58:50 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/PortableServer/Root_POA.cpp:

          Removed a build warning when building with minimum_corba=1.

Fri Apr 15 13:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Muxed_TMS.h:
          Doxygen improvement

        * tao/IIOP_Transport.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.cpp:
        * orbsvsc/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.cpp:
          Fixed a bug with BiDIR GIOP. The spec describes that the originator
          should use even numbers, the other side odd numbers. It was just
          implemented the other way around in TAO. At the moment the first
          request is done we check if BiDIR GIOP could be enabled.
          Then for each request we ask the operation details
          to modify its request id to follow the even/odd rules if BiDIR is
          set. Changed this so that only when we enable BiDIR GIOP we request
          a new number from the TMS so that we follow the even/odd rule,
          for any following request we don't have to do this anymore because
          the TMS will make sure we follow this rule. This was triggered by
          bugzilla bug 2091. Thanks to Phil Chen <pchen at bytemobile dot com>
          for reporting this. Thanks to Bala for reviewing this change.

          Also removed some old code from IIOP_Transport.cpp that was not
          compiled already for a long time.

        * tao/operation_details.{h,i}:
          Removed modifiy_request_id. The rule of even/odd BiDIR GIOP request
          numbering is only known by the TMS and this method is not needed
          anymore.

Fri Apr 15 12:30:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/AMH_Exceptions/run_test.pl:
        * tests/AMI/run_test.pl:
        * tests/AMI_Buffering/run_buffer_size.pl:
        * tests/AMI_Buffering/run_message_count.pl:
        * tests/AMI_Buffering/run_timeout.pl:
        * tests/AMI_Buffering/run_timeout_reactive.pl:
        * tests/AMI_Timeouts/run_test.pl:
        * tests/BiDirectional/run_test.pl:
        * tests/Big_Oneways/run_test.pl:
        * tests/Big_Reply/run_test.pl:
        * tests/Big_Request_Muxing/run_test.pl:
        * tests/Big_Twoways/run_test.pl:
        * tests/Blocking_Sync_None/run_test.pl:
        * tests/Bug_1020_Basic_Regression/run_test.pl:
        * tests/Bug_1020_Regression/run_test.pl:
        * tests/Bug_1269_Regression/run_test.pl:
        * tests/Bug_1270_Regression/run_test.pl:
        * tests/Bug_1361_Regression/run_test.pl:
        * tests/Bug_1482_Regression/run_test.pl:
        * tests/Bug_1495_Regression/run_test.pl:
        * tests/Bug_1535_Regression/run_test.pl:
        * tests/Bug_1551_Regression/run_test.pl:
        * tests/Bug_1568_Regression/run_test.pl:
        * tests/Bug_1670_Regression/run_test.pl:
        * tests/Bug_1693_Test/run_test.pl:
        * tests/Cache_Growth_Test/run_test.pl:
        * tests/Codec/run_test.pl:
        * tests/Collocation/run_test.pl:
        * tests/Collocation_Opportunities/run_test.pl:
        * tests/Collocation_Tests/run_test.pl:
        * tests/Connect_Strategy_Test/run_test.pl:
        * tests/Connection_Timeout/run_test.pl:
        * tests/Crashed_Callback/run_test.pl:
        * tests/DSI_Gateway/run_test.pl:
        * tests/DynAny_Test/run_test.pl:
        * tests/Exposed_Policies/run_test.pl:
        * tests/File_IO/run_test.pl:
        * tests/GIOP_Fragments/PMB_With_Fragments/run_test.pl:
        * tests/Hang_Shutdown/run_test.pl:
        * tests/Hello/run_test.pl:
        * tests/IDL_Test/run_test.pl:
        * tests/IORManipulation/run_test.pl:
        * tests/InterOp-Naming/run_test.pl:
        * tests/Leader_Followers/run_test.pl:
        * tests/MProfile_Connection_Timeout/run_test.pl:
        * tests/MT_BiDir/run_test.pl:
        * tests/MT_Client/run_test.pl:
        * tests/MT_Server/run_test.pl:
        * tests/MT_Timeout/run_test.pl:
        * tests/Multiple_Inheritance/run_test.pl:
        * tests/Muxing/run_test.pl:
        * tests/Native_Exceptions/run_test.pl:
        * tests/NestedUpcall/MT_Client_Test/run_test.pl:
        * tests/NestedUpcall/Simple/run_test.pl:
        * tests/NestedUpcall/Triangle_Test/run_test.pl:
        * tests/Nested_Event_Loop/run_test.pl:
        * tests/Nested_Upcall_Crash/run_test.pl:
        * tests/No_Server_MT_Connect_Test/run_test.pl:
        * tests/OBV/Any/run_test.pl:
        * tests/OBV/Collocated/Forward/run_test.pl:
        * tests/OBV/Factory/run_test.pl:
        * tests/OBV/Forward/run_test.pl:
        * tests/OBV/TC_Alignment/run_test.pl:
        * tests/ORB_destroy/run_test.pl:
        * tests/ORB_init/run_test.pl:
        * tests/ORB_shutdown/run_test.pl:
        * tests/ORT/run_test.pl:
        * tests/OctetSeq/run_test.pl:
        * tests/OctetSeq/run_test1.pl:
        * tests/OctetSeq/run_test2.pl:
        * tests/Oneway_Buffering/run_buffer_size.pl:
        * tests/Oneway_Buffering/run_message_count.pl:
        * tests/Oneway_Buffering/run_timeout.pl:
        * tests/Oneway_Buffering/run_timeout_reactive.pl:
        * tests/Oneways_Invoking_Twoways/run_test.pl:
        * tests/POA/Current/run_test.pl:
        * tests/POA/Default_Servant/run_test.pl:
        * tests/POA/Etherealization/run_test.pl:
        * tests/POA/Excessive_Object_Deactivations/run_test.pl:
        * tests/POA/Identity/run_test.pl:
        * tests/POA/MT_Servant_Locator/run_test.pl:
        * tests/POA/Nested_Non_Servant_Upcalls/run_test.pl:
        * tests/POA/Non_Servant_Upcalls/run_test.pl:
        * tests/POA/Object_Reactivation/run_test.pl:
        * tests/POA/POA_Destruction/run_test.pl:
        * tests/POA/Persistent_ID/run_test.pl:
        * tests/POA/Policies/run_test.pl:
        * tests/POA/Single_Threaded_POA/run_test.pl:
        * tests/POA/wait_for_completion/run_test.pl:
        * tests/Param_Test/run_test.pl:
        * tests/Policies/run_test.pl:
        * tests/Portable_Interceptors/AMI/run_test.pl:
        * tests/Portable_Interceptors/Bug_1559/run_test.pl:
        * tests/Portable_Interceptors/Collocated/Dynamic/run_test.pl:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/run_test.pl:
        * tests/Portable_Interceptors/Dynamic/run_test.pl:
        * tests/Portable_Interceptors/ForwardRequest/run_test.pl:
        * tests/Portable_Interceptors/IORInterceptor/run_test.pl:
        * tests/Portable_Interceptors/ORB_Shutdown/run_test.pl:
        * tests/Portable_Interceptors/PICurrent/run_test.pl:
        * tests/Portable_Interceptors/PolicyFactory/run_test.pl:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/run_test.pl:
        * tests/Portable_Interceptors/Service_Context_Manipulation/run_test.pl:
        * tests/Queued_Message_Test/run_test.pl:
        * tests/RTCORBA/Banded_Connections/run_test.pl:
        * tests/RTCORBA/Client_Propagated/run_test.pl:
        * tests/RTCORBA/Client_Protocol/run_test.pl:
        * tests/RTCORBA/Collocation/run_test.pl:
        * tests/RTCORBA/Destroy_Thread_Pool/run_test.pl:
        * tests/RTCORBA/Linear_Priority/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/ORB_init/run_test.pl:
        * tests/RTCORBA/Persistent_IOR/run_test.pl:
        * tests/RTCORBA/Policies/run_test.pl:
        * tests/RTCORBA/Policy_Combinations/run_test.pl:
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Private_Connection/run_test.pl:
        * tests/RTCORBA/RTMutex/run_test.pl:
        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
        * tests/RTScheduling/Current/run_test.pl:
        * tests/RTScheduling/DT_Spawn/run_test.pl:
        * tests/RTScheduling/Scheduling_Interceptor/run_test.pl:
        * tests/RTScheduling/Thread_Cancel/run_test.pl:
        * tests/RTScheduling/VoidData/run_test.pl:
        * tests/Reliable_Oneways/run_test.pl:
        * tests/Sequence_Unit_Tests/run_test.pl:
        * tests/Servant_To_Reference_Test/run_test.pl:
        * tests/Server_Leaks/run_test.pl:
        * tests/Single_Read/run_test.pl:
        * tests/Smart_Proxies/run_test.pl:
        * tests/Stack_Recursion/run_test.pl:
        * tests/Timed_Buffered_Oneways/run_test.pl:
        * tests/Timeout/run_test.pl:
        * tests/Two_Objects/run_test.pl:
        * tests/Typedef_String_Array/run_test.pl:
        * tests/UNKNOWN_Exception/run_test.pl:

        Changed to enable these scripts to run from autobuild for VxWorks builds.

        * tests/OBV/TC_Alignment/client.cpp:

        Added commandline option to sepcifiy IOR inputfile.

Fri Apr 15 12:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PortableServer_ORBInitializer.h:
        * tao/PortableServer/PortableServer_PolicyFactory.h:
        * tao/PortableServer/ServerRequestInfo.h:
          Include a more specific file then PortableInterceptorC.h

Fri Apr 15 12:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
          Replace ACE_static_cast with static_cast

        * tao/diffs/PolicyFactory.diff:
          New diff file

        * tao/diffs/PortableInterceptor.diff:
          Updated

        * tao/PortableInterceptor.pidl:
          Moved PolicyFactory and ORBInitInfo to their own files

        * tao/PolicyFactory.pidl:
        * tao/ORBInitInfo.pidl:
        * tao/PolicyFactoryA.cpp:
        * tao/ORBInitInfoA.cpp:
        * tao/PolicyFactoryS.h:
        * tao/ORBInitInfoS.h:
        * tao/PolicyFactoryC.{h,cpp}:
        * tao/ORBInitInfoC.{h,cpp}:
          New files

        * tao/ClientRequestInfo.h:
        * tao/CodecFactory_ORBInitializer.h:
        * tao/ORBInitInfo.h:
        * tao/PICurrent_ORBInitializer.h:

        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorC.{h,cpp}:
          Regenerated

Thu Apr 14 16:12:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode.h (unaliased_kind):

          Declare with TAO_NAMESPACE_INLINE_FUNCTION, not
          ACE_NAMESPACE_INLINE_FUNCTION.  Fixes "inconsistent dll linkage"
          warnings.

Thu Apr 14 15:03:01 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode.cpp (operator>>):

          Moved TypeCode CDR extraction operator to the new
          TypeCode_CDR_Extraction.* file.

        * tao/Objref_TypeCode_Factory.h:
        * tao/TypeCode_CDR_Extraction.cpp:
        * tao/TypeCode_CDR_Extraction.h:
        * tao/TypeCodeFactory/Factory_Map.cpp:
        * tao/TypeCodeFactory/Factory_Map.h:
        * tao/TypeCodeFactory/Objref_TypeCode_Factory.h:

          Moved CDR extraction code back to core TAO library.  It will be
          moved to a separate library in the next beta.

        * tao/TypeCodeFactory_Adapter.h (extract_typecode):
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.h:

          Removed the extract_typecode() virtual method.  CDR TypeCode
          extraction is now done in the core TAO library.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Updated source file lists in accordance with the above changes.

Thu Apr 14 14:33:22 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode.h (unaliased_kind):

          Declare this function with the ACE_NAMESPACE_INLINE_FUNCTION
          macro to address link-time errors on Windows.

Thu Apr 14 10:42:08 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.  Fixed alphabetization, plus picked up a few recent
          changes that hadn't been added by hand.

Thu Apr 14 08:37:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Objref_TypeCode_Base.cpp:

          Include "ace/OS_NS_string.h" to pull in ACE_OS::strcmp()
          declaration.

Thu Apr 14 14:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableInterceptor.pidl:
          Moved ClientRequestInfo and ServerRequestInfo to their own files

        * tao/ClientRequestInfo.pidl:
        * tao/ServerRequestInfo.pidl:
        * tao/ClientRequestInfoA.cpp:
        * tao/ClientRequestInfoC.{h,cpp}:
        * tao/ClientRequestInfoS.h:
        * tao/ServerRequestInfoA.cpp:
        * tao/ServerRequestInfoC.{h,cpp}:
        * tao/ServerRequestInfoS.h:
          New files

        * tao/tao.mpc:
        * tao/Makefile.am:
          Added new files

        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorC.{h,cpp}:
          Regenerated

Thu Apr 14 14:05:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:

          Fix warning about unused arg.

Thu Apr 14 07:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Objref_TypeCode_Base.h:
          Fixed fuzz error and correct doxygen class tag

Thu Apr 14 00:39:31 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/SystemException.cpp:

          Reinstated preprocessor macro that caused concrete _tao_create()
          methods to be instantiated.  It was accidentally removed in the
          last batch of changes.  Fixes unresolved symbol errors.

Wed Apr 13 12:45:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.cpp:
        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode.inl:
        * tao/Empty_Param_TypeCode.cpp:
        * tao/Empty_Param_TypeCode.h:
        * tao/Empty_Param_TypeCode.inl:
        * tao/Enum_TypeCode.cpp:
        * tao/Enum_TypeCode.h:
        * tao/Enum_TypeCode.inl:
        * tao/Fixed_TypeCode.cpp:
        * tao/Fixed_TypeCode.h:
        * tao/Fixed_TypeCode.inl:
        * tao/Sequence_TypeCode.cpp:
        * tao/Sequence_TypeCode.h:
        * tao/Sequence_TypeCode.inl:
        * tao/String_TypeCode.cpp:
        * tao/String_TypeCode.h:
        * tao/String_TypeCode.inl:
        * tao/Struct_TypeCode.cpp:
        * tao/Struct_TypeCode.h:
        * tao/Struct_TypeCode.inl:
        * tao/Union_TypeCode.cpp:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.cpp:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:

          Initialize CORBA::TypeCode() base class with the appropriate
          CORBA::TCKind argument.

          Removed kind_i() virtual method.  It is no longer needed.

        * tao/Objref_TypeCode.cpp:
        * tao/Objref_TypeCode.h:
        * tao/Objref_TypeCode.inl:
        * tao/Objref_TypeCode_Base.cpp:
        * tao/Objref_TypeCode_Base.h:
        * tao/Objref_TypeCode_Base.inl:

          Factored common tk_{abstract_interface, component,
          local_interface, native, objref} TypeCode code to a base class.
          Only the create_compact_typecode_i() method is type-specific.

        * tao/TypeCode.h:
        * tao/TypeCode.inl:

          Added new protected "kind_" attribute.  All TypeCodes have this
          attribute so just store it in the CORBA::TypeCode base class.

          Removed "kind_i()" virtual method.  It is no longer needed.

        * tao/SystemException.cpp:
        * tao/SystemExceptionA.cpp:
        * tao/TypeCode.cpp:
        * tao/TypeCodeA.cpp:

          Moved exception TypeCode/Any related code to a seperate file to
          reduce footprint for applications that don't use exception
          TypeCodes or related Any operators.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Added new TypeCodeA.cpp and SystemExceptionA.cpp sources to the
          appropriate source file list.

Wed Apr 13 19:51:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * TAO/orbsvcs/examples/ImR/Combined_Service/dynserver.cpp:
        * TAO/orbsvcs/examples/ImR/Combined_Service/test_server.cpp:
        * TAO/orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
        * TAO/orbsvcs/tests/ImplRepo/nestea_server_i.cpp:
        * TAO/orbsvcs/tests/ImplRepo/scale/server_i.cpp:
        * TAO/tao/ImR_Client/ImR_Client.cpp:
        * TAO/tao/PortableServer/Root_POA.cpp:
        * TAO/tao/PortableServer/Root_POA.h:
        * TAO/tao/PortableServer/ServantRetentionStrategy.h:
        * TAO/tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:
        * TAO/tao/PortableServer/ServantRetentionStrategyNonRetain.h:
        * TAO/tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * TAO/tao/PortableServer/ServantRetentionStrategyRetain.h:

          Add the ability to specify whether you want an indirect object
        reference when calling TAO_Root_POA::id_to_reference_i(). This is
        required for efficient and correct use of an IORTable with the ImR.
        No new methods whatsoever were added to support this feature. Instead,
        I just had to add the additional bool parameter to several places. Therefore
        I expect the footprint impact to be minimal.

          Updated all ImR tests and examples that use an IORTable, to bind
        a direct object reference by specifying id_to_reference(id.in(), false)

Wed Apr 13 11:47:14 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Utils/Server_Main.cpp:

          Removed "#pragma once" directive. Fixes a G++ 4.0 warning.

Wed Apr 13 11:01:32 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/ValueBase.h:

          Removed CORBA::_tc_Visiblity TypeCode.  It is already defined in
          tao/VisibilityC.h and tao/VisibilityA.cpp.  It stays in the core
          TAO library avoid introducing an IFR_Client library dependency
          on the Valuetype library.

Wed Apr 13 09:47:19 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp
          (FT_ReplicaFactory_i):

          Fixed another emulated exception related compile-time error.

Wed Apr 13 17:14:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * TAO/orbsvcs/ImplRepo_Service/ImR_Activator_i.h:

          Missing include for ACE_CString

Wed Apr 13 17:07:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * TAO/orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.cpp:
        * TAO/orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Fix some problems on exceptions=0 builds.

Wed Apr 13 16:22:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * TAO/orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * TAO/orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Cleanup output messages.

        * TAO/orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
        * TAO/orbsvcs/tests/ImplRepo/nestea_server_i.cpp:

          Fix tests not to activate the poa manager until the server
        is ready to accept incoming requests.

        * TAO/tao/ImR_Client/ServerObject.pidl:
        * TAO/tao/ImR_Client/ServerObjectA.cpp:
        * TAO/tao/ImR_Client/ServerObjectC.cpp:
        * TAO/tao/ImR_Client/ServerObjectC.h:
        * TAO/tao/ImR_Client/ServerObjectC.inl:
        * TAO/tao/ImR_Client/ServerObjectS.cpp:
        * TAO/tao/ImR_Client/ServerObjectS.h:
        * TAO/tao/ImR_Client/ServerObject_i.cpp:

          Change the ServerObject::shutdown operation to a oneway to prevent
        the need for a reply during shutdown.
          Changed the ServerObject::shutdown to first destroy the root poa, so
        that all registered child poas can notify the ImR that they are shutting
        down. (From the ImR's perspective each child POA is a separate registered
        server.)

Wed Apr 13 14:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORBInitInfo.cpp:
          Simplified some checks

Wed Apr 13 07:06:11 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/CORBALOC_Parser.cpp:
          Added an additional test for the valid condition of no key
          separator at the end of the corbaloc string.

Wed Apr 13 11:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Any/client.cpp:
        * tests/OBV/Any/server.cpp:
        * tests/CodeSets/simple/client.cpp:
        * tests/CodeSets/simple/server.cpp:
          Print out whether exception is caught in the client or in the server

Wed Apr 13 11:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableInterceptor.pidl:
          Moved several parts of this file to new pidl files that are
          included here. This in preparation of some portable interceptor
          subsetting we are going to do.

        * tao/PI_Forward.pidl:
          Moved SlotId and ReplyStatus typedefs to this file

        * tao/InvalidSlot.pidl:
          Moved the InvalidSlot exception to this file

        * tao/ORBInitializer.pidl:
          Moved the ORBInitializer interface to this file

        * tao/RequestInfo.pidl:
          Moved the RequestInfo interface to this file.

        * tao/RequestInfoA.cpp:
        * tao/RequestInfoC.{h,cpp}:
        * tao/RequestInfoS.h:
        * tao/ORBInitializerA.cpp:
        * tao/ORBInitializerC.{h,cpp}:
        * tao/ORBInitializerS.h:
        * tao/InvalidSlotA.cpp:
        * tao/InvalidSlotC.{h,cpp}:
        * tao/InvalidSlotS.h:
          New generated files

        * tao/tao.mpc:
        * tao/Makefile.am:
          Added new files

        * tao/PI_ForwardC.{h,cpp}:
          Regenerated

        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorC.{h,cpp}:
          Regenerated

        * tao/diffs/PortableInterceptor.diff:
          Updated

Wed Apr 13 08:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_Request_Interceptor.cpp:
          Don't try to pass the permanent flag to the ForwardRequest exception,
          this is not in the spec but also this flag is not used at all
          in any of the code

Wed Apr 13 08:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
          Fixed casing in include

Wed Apr 13 07:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/ForwardRequest/Server_Request_Interceptor.cpp:
          Don't try to pass the permanent flag to the ForwardRequest exception,
          this is not in the spec but also this flag is not used at all
          in any of the code

Tue Apr 12 17:51:58 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_cs.cpp:
        * TAO_IDL/be_include/be_visitor_home/home_cs.h:

          New files to generate the home typecode.

        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_home/home_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_decl.cpp:
        * TAO_IDL/be_include/be_visitor_home.h:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_decl.h:
        * TAO_IDL/include/ast_interface.h:

          Changes to exisiting files to support the new files above
          and to suppress typecode generation for the home equivalent
          interface, which was previously done but led to typecode
          with an incorrect TCKind. Thanks to Ossama Othman
          <ossama@dre.vanderbilt.edu> for pointing out the oversight.

Tue Apr 12 23:17:12 UTC 2005  Justin Michel  <michel_j@ociweb.com>

        * orbsvcs/ImplRepo_Service/Activator_Info.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Info.h:
        * orbsvcs/ImplRepo_Service/Activator_Loader.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Loader.h:
        * orbsvcs/ImplRepo_Service/Activator_NT_Service.cpp:
        * orbsvcs/ImplRepo_Service/Activator_NT_Service.h:
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Options.h:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.cpp:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.h:
        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter.idl:
        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.cpp:
        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.h:
        * orbsvcs/ImplRepo_Service/ImR.xsd:
        * orbsvcs/ImplRepo_Service/ImR_Activator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator.idl:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator.idl:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Iterator.cpp:
        * orbsvcs/ImplRepo_Service/Iterator.h:
        * orbsvcs/ImplRepo_Service/Locator_Loader.cpp:
        * orbsvcs/ImplRepo_Service/Locator_NT_Service.cpp:
        * orbsvcs/ImplRepo_Service/Locator_NT_Service.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/ImplRepo_Service/README.txt:
        * orbsvcs/ImplRepo_Service/Server_Info.cpp:
        * orbsvcs/ImplRepo_Service/Server_Info.h:
        * orbsvcs/ImplRepo_Service/repository.xml:
        * orbsvcs/ImplRepo_Service/tao_imr.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.h:

          Many fixes and some minor new features in the ImR that eliminate
        most of the known bugs and design flaws.

          PER_CLIENT activation now works correctly as long as you don't use
        the IORTable in the servers.

          There is no mechanism to allow creation of a direct object reference even
        when -orbuseimr 1 is specified. In OCI TAO 1.4a we were simply able to
        add this feature to the POA, but this appears to be much more difficult or
        impossible given the new POA design. This means that use of an IORTable will
        cost an extra level of indirection, and PER_CLIENT won't work correctly with
        an IORTable.

          Add new -n <name> option to Activator to allow specifying
        the name for the activator. It still defaults to the hostname, but
        this will allow us to test multiple Activators using a single machine.

          Use a different timeout for the ping and shutdown operations, so that we
        can wait much longer for shutdown. This allows the imr util to more often
        rely on the fact that the server is really shutdown, making the tests easier
        to write. Update the imr util to show a different message if the shutdown times out.

          Cleanup of debug output for ImR and Activator.

          Update the help message for tao_imr ior to reflect that
        you can use tao_imr ior poaname or tao_imr ior poaname/object_name.

          Renamed the Options class in the Activator to Activator_Options. We
        think this may be causing runtime problems on Linux as the Activator
        and Locator are dynamically loaded into the same process. Both
        shared libraries had a class named Options.

          Added the ability for the ImR Activator to cleanup spawned processes and
        notify the ImR of process death on unix. The code should be platform
        independent, but ACE_Process_Manager doesn't seem to work on Windows for
        this purpose. A new -l option enables the ImR notification which is disabled
        by default. Thanks to Konstantinos Lykiardopoulos <klyk@intracom.gr> for the
        initial version of this code.

        * orbsvcs/examples/ImR/Combined_Service/readme:
        * orbsvcs/examples/ImR/Combined_Service/start_all.conf:
        * orbsvcs/tests/ImplRepo/ImplRepo.mpc:
        * orbsvcs/tests/ImplRepo/Nestea.idl:
        * orbsvcs/tests/ImplRepo/airplane_client_i.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_client_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_client_i.h:
        * orbsvcs/tests/ImplRepo/nestea_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_i.h:
        * orbsvcs/tests/ImplRepo/nestea_server_i.cpp:
        * orbsvcs/tests/ImplRepo/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/ImplRepo/locked/run_test.pl:

Tue Apr 12 21:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/ForwardRequest/Server_Request_Interceptor.cpp:
        * tests/Portable_Interceptors/ForwardRequest/Client_Request_Interceptor.cpp:
        * tests/Portable_Interceptors/Bug_1559/interceptors.cpp:
        * tests/Bug_1495_Regression/interceptors.cpp:
          Don't try to pass the permanent flag to the ForwardRequest exception,
          this is not in the spec but also this flag is not used at all
          in any of the code

Tue Apr 12 20:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.cpp:
          Don't try to pass the permanent flag to the ForwardRequest exception,
          this is not in the spec but also this flag is not used at all
          in any of the code

Tue Apr 12 15:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Removed some commented out code

Tue Apr 12 15:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.cpp:
          Removed not needed c-style cast and explicit initialise some
          pointers with 0

Tue Apr 12 15:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Incoming_Message_Queue.h:
        * tao/IIOP_Transport.h:
          Improved doxygen tags

Tue Apr 12 14:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableInterceptor.pidl:
        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorC.{h,cpp}:
        * tao/ClientRequestInfo.h:
        * tao/ClientRequestInfo_i.h:
        * tao/PortableServer/ServerRequestInfo.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ServerRequestInterceptor.cpp:
          Removed LOCATION_FORWARD_PERMANENT. It is not in the spec anymore
          and we had already comments saying it should be removed.

        * tao/ClientRequestInterceptor_Adapter.h:
          Documentation fix

Tue Apr 12 14:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/params.h:
          Doxygen improvement

Tue Apr 12 13:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableInterceptor.pidl:
        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorC.{h,cpp}:
          Removed the permanent member from the ForwardRequest exception. It
          is not in the spec and not used.

Tue Apr 12 13:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Adapter_Registry.h:
          Improved doxygen

Tue Apr 12 13:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORBInitInfo.h:
          Improved doxygen

Tue Apr 12 11:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Service_Callbacks.h:
          Removed forward declarations of classes that are not used in
          this file.

Tue Apr 12 11:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PICurrent.h:
          Removed not needed forward declaration of TAO_ServerRequest

Tue Apr 12 10:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/LifespanStrategyPersistent.cpp:
        * tao/PortableServer/LifespanStrategyTransient.cpp:
          Removed some comments that are old

Tue Apr 12 03:58:55 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DynamicInterface/Request.inl:

          Fixed an error in the emulation exception builds.

Tue Apr 12 09:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*.pidl:
          Updated regeneration instructions to not list -GT

        * tao/*C.{h,cpp,inl}:
        * tao/*S.{h,cpp}:
        * tao/*A.cpp:
          Regenerated but now not generation explicit template instantiations.

          This is also done in the subdirectories.

Mon Apr 11 21:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/*.pidl:
          Updated regeneration instructions to not list -GT

        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/Messaging/*S.{h,cpp}:
        * tao/Messaging/*A.cpp:
          Regenerated but now not generation explicit template instantiations

Mon Apr 11 10:38:26 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp (init):

          Fixed emulated exception related compile-time error.

Mon Apr 11 10:23:08 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DynamicInterface/Request.h (response_received):
        * tao/DynamicInterface/Request.inl:

          Added a new proprietary method to check response alone. Thanks
          to David Faure <dfaure@klaralvdalens-datakonsult.se> for
          motivating this.

Mon Apr 11 10:03:45 2005  Ciju John  <john_c@ociweb.com>

        * tao/Transport.cpp (dump_iov):
          Fixed bus error. Problem due to interpretting integer as a string.

Mon Apr 11 15:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Options.html:
          Commit on behalf of Chris Cleeland, improved documentation of
          -ORBClientConnectionHandler and -ORBWaitStrategy

        * tao/PortableServer/*.pidl:
          Updated regeneration instructions to not list -GT

        * tao/PortableServer/*C.{h,cpp,inl}:
        * tao/PortableServer/*S.{h,cpp}:
        * tao/PortableServer/*A.cpp:
          Regenerated but now not generation explicit template instantiations

        * tao/PortableServer/diffs/*:
          Updated

Mon Apr 11 15:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/*.pidl:
          Updated regeneration instructions to not list -GT

        * tao/ImR_Client/*C.{h,cpp,inl}:
        * tao/ImR_Client/*S.{h,cpp}:
        * tao/ImR_Client/*A.cpp:
          Regenerated but now not generation explicit template instantiations

Mon Apr 11 11:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rules.tao.GNU:
          When templates is set to explicit print out an error that explicit
          templates are not usable anymore with TAO.

        * TAO-INSTALL.html:
          Document that explicit templates are not usable anymore for TAO

Mon Apr 11 09:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_valuetype.cpp:
          Instead of TAO_NAMESPACE_STORAGE_CLASS generate extern with the
          stub export macro

Mon Apr 11 09:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.cpp:
          Subscribe before set_sock_opt

Mon Apr 11 09:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Client.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          When we print out that we caught an exception make clear in which
          method we caught it.

Mon Apr 11 09:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/ValueBase.h:
          Doxygen improvement

Sun Apr 10 11:10:07 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp:

          Added include of ace/Log_Msg.h. Thanks to Steve Huston
          <shuston@riverace.com> and Mark Wilson <mwil at lle dot
          rochester dot edu> for reporting that this include is needed for
          Solaris.

Sun Apr 10 02:26:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/fe/fe_global.cpp:

          Removed export macros from forward declarations.  They aren't
          necessary, and cause the forthcoming g++ 4.0 to issue an error
          when enabling visibility attribute support.

Sat Apr  9 21:19:51 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * examples/ior_corbaloc/run_test.pl:
        * tao/CORBALOC_Parser.cpp:
        * tao/CORBANAME_Parser.cpp:

          Fixed support for default object key when using either corbaloc:
          or corbaname: urls. Added a case to the ior_corbaloc example
          to cover the case of defaulted RIR corbanames.

Sat Apr  9 10:07:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Bug_1535_Regression/bug_1535_regression.cpp
          (test_create_object_before_POA_reactivation):
        * tests/DynAny_Test/test_dynunion.cpp (run_test):

          Fixed typo.

Sat Apr  9 00:23:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Allocator.h (~TAO_Allocator):

          Added virtual destructor.  Fixes "contains virtual functions but
          non-virtual destructor" g++ 4.0 (CVS snapshot) warning.

        * tao/TypeCodeFactory/Factory_Map.h (factory_map):
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.cpp
          (extract_typecode):

          Moved TypeCode factory function map to extract_typecode()
          method.  Addresses unused variable warnings exhibited by a G++
          4.0 CVS snapshot.

        * tao/Valuetype/ValueFactory_Map.cpp (rebind, unbind):

          Initialize variables.  Addresses "variables may be used
          unitialized" g++ 4.0 (CVS snapshot) warnings.

Sat Apr  9 00:02:16 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/RTScheduling/Fixed_Priority_Scheduler/FP_Scheduler.cpp
          (copy):
        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.cpp (copy):

          Added missing semi-colon.

        * tests/Bug_1535_Regression/bug_1535_regression.cpp
          (test_create_object_before_servant_reactivation):
          (test_create_object_before_POA_reactivation):
        * tests/DynAny_Test/analyzer.cpp (analyze):
        * tests/DynAny_Test/test_dynunion.cpp (run_test):

          Fixed emulated exception usage.

Fri Apr  8 23:46:47 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_TestReplica_i.cpp (repository_id):

          Fixed emulated exception usage.

Fri Apr  8 23:36:44 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/ast/ast_expression.cpp (coerce_value):

          Explicitly cast floating point values to ACE_UINT64 (or
          ACE_UINT32 when ACE_LACKS_USIGNEDLONGLONG_T is defined) when
          assigning to an ACE_UINT64 value.  Fixes g++ conversion
          warnings.

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp (queue_reset):
        * tao/NVList.cpp (item):
        * tao/append.cpp (append):
        * tao/skip.cpp (skip):

          Initialize variables.  Addresses "variables may be used
          unitialized" g++ 4.0 (CVS snapshot) warnings.

        * TAO_IDL/include/ast_decl.h (~COMMON_Base):
        * TAO_IDL/include/ast_generator.h (~AST_Generator):
        * TAO_IDL/include/utl_list.h (~UTL_ListActiveIterator):
        * tao/Collocation_Proxy_Broker.h (~Collocation_Proxy_Broker):
        * tao/GIOP_Message_Generator_Parser.h
          (~TAO_GIOP_Message_Generator_Parser):
        * tao/New_Leader_Generator.h (~TAO_New_Leader_Generator):
        * tao/PortableServer/Upcall_Command.h (~Upcall_Command):

          Added these virtual destructors.  Fixes "contains virtual
          functions but non-virtual destructor" g++ 4.0 (CVS snapshot)
          warnings.

Fri Apr  8 22:00:00 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.cpp
          (enum_test):

          Corrected emulated exception usage.

Fri Apr  8 16:44:00 2005  Gary Maxey <gary.maxey@hp.com>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp

          Add missing semicolon

Fri Apr  8 13:15:00 2005  Gary Maxey <gary.maxey@hp.com>

        * tests/CDR/allocator.cpp
        * tests/CDR/growth.cpp
        * tests/OctetSeq/OctetSeq.cpp

          Use ACE_HRTIME_CONVERSION instead of ACE_U64_TO_U32 for
          platform independence.

        * tests/Collocation_Tests/Hello.cpp

          Use portable thread IDs

        * tests/Queued_Message_Test/Queued_Message_Test.cpp

          Add conditional code for platform

Fri Apr  8 12:32:00 2005  Gary Maxey <gary.maxey@hp.com>

        * tao/Any_Basic_Impl.cpp

          In Any_Basic_Impl::assign_value handle unsigned long long
          when ACE_LACKS_UNSIGNEDLONGLONG_T.

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp

          Add checks for ACE_LACKS_UNSIGNEDLONGLONG_T

        * TAO_IDL/include/idl_uns_long.h

          Defines idl_uns_long typedef based on machine capabilities

        * TAO_IDL/include/ast_expression.h

          Defines union elements for AST_ExprValue based on machine
          capabilities

        * TAO_IDL/be/be_sunsoft.cpp

          Use ACE_INT64_FORMAT_SPECIFIER in long long print statement
          for platform independence.  (Defined in ace/Basic_Types.h).

        * TAO_IDL/ast/ast_expression.cpp

          Replace expressions such as:
             if (ev->u.ullval > (ACE_CDR::ULongLong) ACE_INT16_MAX)
          with
             if ((ev->u.ullval & ACE_INT16_MAX) != ev->u.ullval)
          which has the same effect but does not use a cast.
          The cast won't work when ACE_CDR::ULongLong is not a primitive type.

          Remove casts in expressions such as
             ev->u.ullval = (ACE_CDR::ULongLong) ev->u.sval;
          because it doesn't work when ACE_CDR::ULongLong is
          not a primitive type.

          Check ACE_LACKS_ULONGLONG_T and use ACE_INT64_MAX
          instead of ACE_UINT64_MAX.

          Remove statement:
             if (ev->u.ullval > ACE_UINT64_MAX)
          Since that situation is impossible.

Fri Apr  8 09:27:43 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.cpp
          (invoke_and_display):

          Another emulated exception macro usage fix.

Fri Apr  8 09:22:05 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp
          (define_property):

          Fixed initialization of a variable that crosses case labels by
          placing it within a local block.

        * tao/TypeCodeFactory/Factory_Map.cpp (tc_enum_factory):
          (tc_union_factory):

          Fixed unused argument warnings.

Fri Apr  8 07:49:22 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerate.

        * tao/tao.mpc:

          Remove PollableS_T.h, TAOS_T.h, TimeBaseS_T.h from list of
          header files.

Fri Apr  8 09:13:10 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Added to the checks for inlining generated constants recently
          committed in

          Thu Apr  7 09:25:24 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

          to include float, double and longdouble, which are also
          apparently not allowed, by some compilers at least, to be
          assigned values in the header file, if the constant declaration
          appears inside a class.

Fri Apr  8 15:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTPortableServer/RTPortableServer.pidl:
        * tao/RTPortableServer/RTPortableServer_include.pidl:
        * tao/RTPortableServer/RTPortableServer_includeC.h:
        * tao/RTPortableServer/RTPortableServer_includeS.h:
        * tao/RTPortableServer/RTPortableServerC.{h,cpp}:
        * tao/RTPortableServer/RTPortableServerA.cpp:
          Fixed bugzilla bug 2073. User of the RTPortableServer library
          should include the RTPortableServer.h file, not RTPortableServerC.h
          file. If they now do this, they get a compile error.

        * tao/RTPortableServer/diffs/RTPortableServer.diff:
        * tao/RTPortableServer/diffs/RTPortableServer_include.diff:
          New diff files

Fri Apr  8 14:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.h:
          Use template<>

Fri Apr  8 06:17:06 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * tao/Makefile.am:

          Regenerate.

Fri Apr  8 01:58:48 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp
          (visit_sequence):

          Place a space between the generated opening template argument
          list bracket '<' and the global scope qualifier "::", i.e.:
          "Sequence< ::CORBA::TypeCode_ptr ...>", not
          "Sequence<::CORBA::TypeCode_ptr ...>".  "<::" is a tri-graph and
          is not permitted to begin a template argument list.  Fixes g++
          build errors.

Fri Apr  8 01:45:09 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.cpp
          (create_dii_request):

          Fixed emulated exception macro usage.

Fri Apr  8 09:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/advanced_resource.cpp:
          Fixed pharlab issue

        * tao/*.pidl:
        * tao/*C.{h,cpp,inl}:
        * tao/*S.{h,cpp,inl}:
          Use the new -Sci and -Ssi option to suppress generating the
          C.inl/S.inl file and removed them from the repo by regenerating
          all files.

Fri Apr  8 09:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
          Generate :: before CORBA::Typecode

Fri Apr  8 01:00:37 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/Factory_Map.cpp:
        * tao/TypeCodeFactory/Factory_Map.h:
        * tao/TypeCodeFactory/Objref_TypeCode_Factory.h:

          New files containing TypeCode factory functions used when
          extracting TypeCodes from CDR streams.

        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.cpp
          (extract_typecode):

          Invoke appropriate TypeCode factory function in factory map
          array.  This re-enables extraction of TypeCodes from CDR
          streams.  However, applications that do this directly or
          indirectly, such as when extracting Anys, must now link the
          TAO_TypeCodeFactory library to their application.

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:

          Cosmetic tweaks.

Fri Apr  8 07:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be_include/be_global.h:
        * docs/compiler.html:
          Added options -Sci and -Ssi to the TAO_IDL compiler to suppress the
          generation of the client/server inline files. The includes of that
          file are also suppressed. With this option we can easily zap
          empty generated inline files from the repo.

Thu Apr  7 22:36:20 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_cs.cpp
          (visit_component):

          Use the new objref_typecode visitor to generate component
          TypeCodes.  Addresses "unresolved symbol" component TypeCode
          link-time errors.

Thu Apr  7 21:27:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp
          (is_executed_request):
        * orbsvcs/orbsvcs/IFRService/ConstantDef_i.cpp (value_i):
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp
          (define_property):
        * tao/Fixed_TypeCode.cpp (equivalent_i):

          Fixed emulated exception macro usage.

Thu Apr  7 14:20:00 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/RTScheduling/Request_Interceptor.cpp (receive_exception):

          Corrected emulated exception usage.

Thu Apr  7 13:26:57 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Union_TypeCode.cpp (get_compact_typecode_i):

          Fixed "no return statement" warning.

Thu Apr  7 13:18:09 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_array.cpp (compute_tc_name):
        * TAO_IDL/be/be_sequence.cpp (compute_tc_name):
        * TAO_IDL/be/be_string.cpp (compute_tc_name):

          Corrected sprintf() format specifier for unsigned long
          integers.  "%lu", not "%u".

Thu Apr  7 13:08:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp
          (visit_valuetype):

          Do not continue if the visitor is being called recursively.
          Addresses an infinite recursion run-time problem.

          (visit_members):

          Fixed off-by-one error that prevented a comma from being placed
          between field array elements.

        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:

          Added new "in_recursion_" member that is used to keep track of
          recursion.

Thu Apr  7 12:44:38 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/objref_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_defn.h:

          Fixed/improved support for TypeCodes of forward declared types,
          and member TypeCode generation.

        * tao/TypeCode.cpp:

          Added missing TAO::Objref_Traits<> template specializations that
          were lost during the typecode-rewrite branch merge.  Fixes
          "unresolved symbol" link-time errors.

Thu Apr  7 09:25:24 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Any_Basic_Impl.cpp:

          Added code in the constructor to strip away the aliases
          (if any) of the typecode argument before getting and
          storing the typecode kind. The original typecode itself
          is still stored in the Any_Impl base class member as
          before. This new behavior solves problems encountered
          with repeated extraction from and marshaling of Anys
          containing an aliased basic type. Thanks to Joerg
          Rockel <joerg.rockel@nokia.com> and Torsten Kuepper
          <torsten.kuepper@nokia.com> for their discovery,
          comments, and suggested fixes for this bug. This fix
          closes [BUGID:2076] and [BUGID:2080].

        * tao/Any_Unknown_IDL_Type.cpp (_tao_decode):

          Fixed memory leak caused by an extra copy of an
          ACE_Message_Block. Thanks to Bruce MacDonald
          <brucemac at netcomuk dot co dot uk> for reporting and
          tracking down the leak.

        * TAO_IDL/be/be_codegen.cpp:

          Fixed the IDL compiler's include-generating logic to
          generate an include of SystemException.h when a valuetype
          factory appears in the IDL file, even if there are no
          other operations declared. Thanks to Gary Duzan <gduzan@bbn.com>
          for reporting and tracking down the problem.

        * tests/IDL_Test/valuetype.idl:

          New file containing a test case for the above problem.
          Thanks to Gary Duzan <gduzan@bbn.com> for sending it in.

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Changed the logic of inline constant generation to uninline
          (generate declaration and value assignment in separate files)
          (w)string constants declared in some scope other than global
          or module, since at least some compilers have a problem with
          the resultiong C++ code. Thanks to Gary Duzan <gduzan@bbn.com>
          for reporting the problem.

        * tests/IDL_Test/constants.idl:

          Added test cases for the above problem. Use cases covered are
          string constants in interfaces and valuetypes.

Thu Apr  7 07:07:03 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Bug_1630_Regression/testclient.cpp:

          Fix typos.

Thu Apr  7 00:05:22 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:

          Interim fix until recursive struct TypeCode code is merged.  Set
          a sentinel variable to prevent infinite recursion when
          generating TypeCodes for the members of a recursive struct.

          Fixed warnings related to hiding the base class
          "visit_structure" virtual function.

        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:

          Updated to use new struct/exception TypeCode visitor interface.

Wed Apr  6 23:33:20 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Union_TypeCode.cpp (discriminator_type_i):

          Fixed unused argument warning in emulated exception-enabled
          builds.

        * tao/DynamicInterface/Server_Request.cpp (set_exception):

          Fixed emulated exception usage.

          OMG defined exception minor codes must be logically ORed with
          the CORBA::OMGVMCID constant.  Updated exception "throw"
          expression accordingly.

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp
          (visit_special):

          Fixed emulated exception usage.

Wed Apr  6 21:04:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/HTIOP/htiop_endpointsC.cpp:
        * orbsvcs/orbsvcs/SSLIOP/ssl_endpointsC.cpp:

          Regenerated.

Wed Apr  6 20:51:42 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp (visit_interface):

          Removed unused variables.

Wed Apr  6 20:47:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode_Non_Default_Case.cpp (marshal_label):

          Use the Case_Traits<>::any_from() trait method to disambiguate
          CDR stream insertion operators.

Wed Apr  6 20:41:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

          Generate duplicate definition guards around sequence and array
          TypeCode declarations since they are potentially anonymous
          types.

Wed Apr  6 20:15:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:

          Interim fix until recursive union TypeCode code is merged.  Set
          a sentinel variable to prevent infinite recursion when
          generating TypeCodes for the members of a recursive union.

Wed Apr  6 19:42:49 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp (visit_array):

          Updated to use revised concrete TypeCode interfaces.

Wed Apr  6 19:37:28 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/CDR/tc.cpp:

          Include "tao/SystemException.h" and "ace/Log_Msg.h" to pull in
          SystemException TypeCode constants and ACE logging macros,
          respectively.

Wed Apr  6 19:33:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Makefile.am:
        * tao/tao.mpc:

          Added more missing {Null,True}_RefCount_Policy.* files to the
          appropriate file lists.

Wed Apr  6 21:06:29 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/tao.mpc:

          Added True_RefCount_Policy.{h,cpp} to the project.

Wed Apr  6 18:25:16 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp (visit_array):

          Work around MSVC++ 6's lack of for-scope variable support by
          using different index variable names in other for-loops.

Wed Apr  6 17:14:48 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/tao.mpc:

          Removed TypeCode_Enumerator.h from header files list.

Wed Apr  6 17:01:49 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.cpp (content_type_i):

          Uncommented code that was inadvertently left uncommented when it
          shouldn't have been.

        * tao/TypeCode_Base_Attributes.h:

          Removed unnecessary #include directive.

        * tao/TypeCode_Base_Attributes.inl:

          Instead of specializing class members for a specific string
          type, rely on the TAO::TypeCode::Traits<>::get_string() method
          instead.  Addresses MSVC++ duplicate definition link errors.

Wed Apr  6 14:03:57 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Removed "tao/TypeCode_Enumerator.h" include directive
          generation.  That file no longer exists.

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          No need to generated export macros for declarations that are
          local to a stub/skeleton source file, and will never be exposed
          to external code.

        * TAO_IDL/be/be_visitor_typecode/alias_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/enum_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * tao/SystemException.cpp:
        * tao/TypeCode.cpp:
        * tao/DynamicInterface/Unknown_User_Exception.cpp:
        * tao/Valuetype/ValueBase.cpp:

          Updated to use revised concrete TypeCode interfaces.

        * tao/Alias_TypeCode.cpp:
        * tao/Alias_TypeCode.h:
        * tao/Alias_TypeCode.inl:
        * tao/Enum_TypeCode.cpp:
        * tao/Enum_TypeCode.h:
        * tao/Enum_TypeCode.inl:
        * tao/Fixed_TypeCode.cpp:
        * tao/Fixed_TypeCode.h:
        * tao/Fixed_TypeCode.inl:
        * tao/Sequence_TypeCode.cpp:
        * tao/Sequence_TypeCode.h:
        * tao/Sequence_TypeCode.inl:
        * tao/Struct_TypeCode.cpp:
        * tao/Struct_TypeCode.h:
        * tao/Struct_TypeCode.inl:
        * tao/TypeCode_Case.cpp:
        * tao/TypeCode_Case.h:
        * tao/TypeCode_Case.inl:
        * tao/TypeCode_Default_Case.cpp:
        * tao/TypeCode_Default_Case.h:
        * tao/TypeCode_Default_Case.inl:
        * tao/TypeCode_Non_Default_Case.cpp:
        * tao/TypeCode_Non_Default_Case.h:
        * tao/TypeCode_Non_Default_Case.inl:
        * tao/TypeCode_Struct_Field.h:
        * tao/TypeCode_Value_Field.h:
        * tao/Union_TypeCode.cpp:
        * tao/Union_TypeCode.h:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.cpp:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:

          Updated to correctly support TypeCodes created dynamically
          through the TypeCodeFactory.

          Fixed a number of CDR stream string insertion problems (use
          "from_string" wrapper).

          Fixed some syntax errors in code that was previously not
          exercised.

        * tao/AnySeqA.cpp:
        * tao/BooleanSeqA.cpp:
        * tao/BoundsA.cpp:
        * tao/CONV_FRAMEA.cpp:
        * tao/CharSeqA.cpp:
        * tao/DomainA.cpp:
        * tao/DoubleSeqA.cpp:
        * tao/DynamicA.cpp:
        * tao/Dynamic_ParameterA.cpp:
        * tao/FloatSeqA.cpp:
        * tao/GIOPA.cpp:
        * tao/IIOPA.cpp:
        * tao/IIOP_EndpointsA.cpp:
        * tao/IOP_CodecA.cpp:
        * tao/IOP_IORA.cpp:
        * tao/LongDoubleSeqA.cpp:
        * tao/LongLongSeqA.cpp:
        * tao/LongSeqA.cpp:
        * tao/Messaging_PolicyValueA.cpp:
        * tao/ObjectIdListA.cpp:
        * tao/Objref_TypeCode.h:
        * tao/OctetSeqA.cpp:
        * tao/PI_ForwardC.cpp:
        * tao/ParameterModeA.cpp:
        * tao/PolicyA.cpp:
        * tao/Policy_ForwardA.cpp:
        * tao/PortableInterceptorA.cpp:
        * tao/ServicesA.cpp:
        * tao/ShortSeqA.cpp:
        * tao/StringSeqA.cpp:
        * tao/TAOA.cpp:
        * tao/TimeBaseA.cpp:
        * tao/ULongLongSeqA.cpp:
        * tao/ULongSeqA.cpp:
        * tao/UShortSeqA.cpp:
        * tao/VisibilityA.cpp:
        * tao/WCharSeqA.cpp:
        * tao/WStringSeqA.cpp:
        * tao/WrongTransactionA.cpp:
        * tao/orb_typesA.cpp:
        * tao/IFR_Client/IFR_BaseA.cpp:
        * tao/IFR_Client/IFR_BasicA.cpp:
        * tao/IFR_Client/IFR_ComponentsA.cpp:
        * tao/IFR_Client/IFR_ExtendedA.cpp:
        * tao/IORManipulation/IORA.cpp:
        * tao/ImR_Client/ImplRepoA.cpp:
        * tao/ImR_Client/ImplRepoC.cpp:
        * tao/ImR_Client/ServerObjectA.cpp:
        * tao/ImR_Client/ServerObjectC.cpp:
        * tao/Messaging/MessagingA.cpp:
        * tao/Messaging/Messaging_No_ImplA.cpp:
        * tao/Messaging/Messaging_RT_PolicyA.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyA.cpp:
        * tao/Messaging/TAO_ExtA.cpp:
        * tao/ObjRefTemplate/Default_ORTA.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateA.cpp:
        * tao/PortableServer/AdapterActivatorA.cpp:
        * tao/PortableServer/ForwardRequestA.cpp:
        * tao/PortableServer/IdAssignmentPolicyA.cpp:
        * tao/PortableServer/IdUniquenessPolicyA.cpp:
        * tao/PortableServer/ImplicitActivationPolicyA.cpp:
        * tao/PortableServer/LifespanPolicyA.cpp:
        * tao/PortableServer/POAManagerA.cpp:
        * tao/PortableServer/POAManagerC.cpp:
        * tao/PortableServer/PS_CurrentA.cpp:
        * tao/PortableServer/PS_ForwardA.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/RequestProcessingPolicyA.cpp:
        * tao/PortableServer/ServantActivatorA.cpp:
        * tao/PortableServer/ServantLocatorA.cpp:
        * tao/PortableServer/ServantManagerA.cpp:
        * tao/PortableServer/ServantRetentionPolicyA.cpp:
        * tao/PortableServer/ThreadPolicyA.cpp:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTScheduling/RTSchedulerA.cpp:
        * tao/RTScheduling/RTSchedulerC.cpp:
        * tao/Strategies/sciop_endpointsC.cpp:
        * tao/Strategies/uiop_endpointsC.cpp:

          Regenerated.

        * tao/TypeCodeFactory_Adapter.h:
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_Adapter_Impl.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.h:

          Fixed compile-time problems.

        * tao/TypeCode_Enumerator.cpp:
        * tao/TypeCode_Enumerator.h:
        * tao/TypeCode_Enumerator.inl:

          Removed these files.  There is no need to declare a structure
          containing a single string member in this case.  Just use a
          string directly.

        * tao/TypeCode_Struct_Field.cpp:
        * tao/TypeCode_Struct_Field.inl:
        * tao/TypeCode_Value_Field.inl:
        * tao/TypeCode_Value_Field.cpp:

          Removed.  The revised interfaces makes them unnecessary.

        * tao/TypeCode_Traits.h:

          New TypeCode trait templates used for retrieving strings or
          TypeCodes based on type (e.g. char const * versus
          CORBA::String_var).

        * tao/Value_Box_TypeCode.cpp:
        * tao/Value_Box_TypeCode.h:
        * tao/Value_Box_TypeCode.inl:

          Removed.  The value box TypeCode implementation is now shared
          with the alias TypeCode implementation.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Updated source file lists.

        * tao/DynamicAny/DynStruct_i.cpp:
        * orbsvcs/tests/Bug_1630_Regression/testclient.cpp:

          Fixed emulated exception related syntax errors.

Tue Apr  5 13:04:54 2005  Ciju John  <john_c@ociweb.com>

        * utils/catior/catior.cpp:
          Minor correction in main IOR input loop.

Sun Apr  3 18:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_1393_Regression/client.cpp:
        * orbsvcs/tests/Notify/lib/Options_Parser.cpp:
        * tests/DynAny_Test/data.cpp:
        * tests/Portable_Interceptors/Benchmark/interceptors.cpp:
        * tests/Portable_Interceptors/PolicyFactory/server.cpp:
          Added include of ace/Log_Msg.h

Sun Apr  3 17:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/skip.cpp:
          Fixed compile error in emulated exception build

Sun Apr  3 17:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
          Fixed compile errors

Sun Apr  3 17:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicA.cpp:
        * tao/DynamicC.{h,cpp,inl}:
          Regenerated

        * tao/DynamicS.h:
          New file, needed when someone includes Dynamic.pidl in their own idl
          file. Thanks to Gary Duzan <gduzan at bbn dot com> for reporting that
          we missed this file.

        * tao/Dynamic.pidl:
          Added -SS to the tao_idl compiler options

        * tao/tao.mpc:
        * tao/Makefile.am:
          Added DynamicS.h

Sat Apr  2 09:09:40 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp
          (gen_member_typecodes):
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp
          (gen_member_typecodes):

          Only generate TypeCodes for interfaces and valuetypes if they
          are forward declared.  Those that are defined will have already
          had their TypeCodes generated.

        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:

          Generate member TypeCodes, if necessary, such as when an
          anonymous type is a member.

Sat Apr  2 08:35:03 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Union_TypeCode.cpp (equivalent_i, member_label_i):

          Fixed emulated exception macro usage.

Sat Apr  2 01:22:37 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_array.cpp (compute_tc_size):
        * TAO_IDL/be_include/be_array.h (compute_tc_size):

          New override that generates an array TypeCode that is meant for
          stub internal use.

        * TAO_IDL/be/be_codegen.cpp (gen_typecode_includes):

          Generate an include directive for "tao/Sequence_TypeCode.h" if
          an array is seen.

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:

          Generate member TypeCodes, if necessary, such as when an
          anonymous type is a member.

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_defn.h:

          Enabled IDL array TypeCode generation support.

          Generate an "extern" declaration for forward declared
          valuetypes.  Addresses cases where another TypeCode (e.g. for a
          sequence) needs access to the valutype TypeCode_ptr before its
          definition is generated.

Fri Apr  1 13:12:47 2005  Ciju John  <john_c@ociweb.com>

        * utils/catior/catior.cpp:
          Turned on code for the SCIOP profile parsing.

Fri Apr  1 10:33:39 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp (gen_stub_src_includes):

          Fixed conditional so that TypeCode related include directives
          are always generated when TypeCode support is enabled and
          separate Any stub files are disabled.

Fri Apr  1 10:43:10 2005  Rich Seibel  <seibel_r@ociweb.com>

        Moving updates for Mac made by Paul and Chad  to get it to work.

        * TAO/orbsvcs/orbsvcs/FtRtEvent.mpc:
          Remove PortableGroup_Simple_DSC from this library as it already
          picks it up from the FTORB_Utils library.  This was causing
          link problems on MacOS.  Removed an extraneous comment and
          macros setting.

        * TAO/orbsvcs/orbsvcs/PortableGroup.mpc:
          Added the PortableGroup_Simple_DS.idl and remove an old
          dynamicflags setting.  Also Remove an unnecessary dependency
          from FTORB.

        * TAO/orbsvcs/orbsvcs/PortableGroup_Simple_export.h:
          Removed this file.

        * TAO/orbsvcs/orbsvcs/FTORB.mpc:
          Remove PortableGroup_Simple_DSC from the FTORB library.

Fri Apr  1 12:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/RtEC/MCast/MCast.cpp:
          Fixed compile error

Fri Apr  1 00:27:15 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/append.cpp (append):

          Fixed emulated exception error.

Thu Mar 31 19:46:09 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/TypeCode_Value_Field.inl:

          Full member specializations must be preceeded by a "template<>"
          declaration.  Addresses build warnings exhibited by HP aC++.

Thu Mar 31 14:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/AbstractBase.cpp:
          Report which unknown type has been received

Thu Mar 31 13:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
          Fixed compile errors

Thu Mar 31 13:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp:
          Fixed compile errors

Thu Mar 31 13:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Case.inl:
          Full member specializations must be preceeded by a "template<>"
          declaration.  Addresses build warnings exhibited by HP aC++.

Thu Mar 31 13:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
          Only when an abstract interface has been seen generate the
          forward declaration of AbstractBase_Narrow_Utils

Thu Mar 31 12:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
          Also Narrow_Utils and AbstractBase_Narrow_Utils forward
          declarations are only needed when non local interfaces
          have been seen

Thu Mar 31 11:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
          Only generate forward declaration of Collocation_Proxy_Broker when
          a non local interface has been seen

Thu Mar 31 11:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
          Generated missing ;

        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
          Generate true instead of 1

        * TAO_IDL/be/be_visitor_typecode/typecode_decl.cpp:
          Instead of TAO_NAMESPACE_STORAGE_CLASS generate extern with
          after that the export macro

Thu Mar 31 09:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:
          Added include of Unbounded_Queue.h

Thu Mar 31 09:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
          Generate the dynamic_cast in one line

        * tao/PortableServer/PolicyS.cpp:
          Regenerated

Thu Mar 31 09:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
          Generate the reinterpret cast on one line, just as the other
          casts, makes it more readable

Thu Mar 31 08:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Struct_Field.inl:
          Full member specializations must be preceeded by a "template<>"
          declaration.  Addresses build warnings exhibited by HP aC++.

Thu Mar 31 08:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Enumerator.inl:
          Full member specializations must be preceeded by a "template<>"
          declaration.  Addresses build warnings exhibited by HP aC++.

Thu Mar 31 08:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CDR_Encaps_Codec.cpp:
        * tao/Union_TypeCode.cpp:
        * tao/skip.cpp:
          Fixed compile problem in emulated exceptions build

Thu Mar 31 08:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/append.cpp:
          Fixed compile problem in emulated exceptions build

Wed Mar 30 15:10:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Strategies/UIOP_Profile.cpp:

          Updated include directive to renamed UIOP endpoint sequence
          header "uiop_endpointsC.h"

Wed Mar 30 20:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Visibility.pidl:
          Updated regeneration instructions, enable typecodes

        * tao/VisibilityC.{h,cpp,inl}:
          Regenerated

        * tao/VisibilityA.cpp:
          New file

        * tao/tao.mpc:
        * tao/Makefile.am
          Added VisibilityA.cpp

Wed Mar 30 12:01:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/alias_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

          Fixed unused variable warnings.

Wed Mar 30 19:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/ssl_endpoints.{h,cpp,i}:
          Removed these generated files, replaced with the new files below

        * orbsvcs/orbsvcs/SSLIOP/ssl_endpoints.pidl:
          Updated regeneration instructions

        * orbsvcs/orbsvcs/SSLIOP/ssl_endpointsC.{h,cpp,inl}:
          New generated files

        * orbsvcs/orbsvcs/Makefile.am:
          Updated for change above

Wed Mar 30 11:41:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

          Generate an "extern" declaration for forward declared
          interfaces.  Addresses cases where another TypeCode (e.g. for a
          sequence) needs access to the interface TypeCode_ptr before its
          definition is generated.

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.h
          (visit_interface, visit_interface_fwd):

          Uncommented.

        * tao/TypeCode.h:

          Added missing TypeCode-specific Arg_Traits<> template
          specializations that were inadvertently lost during merge.

        * tao/IFR_Client/IFR_BaseA.cpp:

          Regenerated.

Wed Mar 30 19:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Don't generate TAO_EXPORT_NESTED_MACRO, it is not used anymore

Wed Mar 30 19:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/uiop_endpoints.pidl:
        * tao/Strategies/sciop_endpoints.pidl:
          Updated regeneration instructions

        * tao/Strategies/sciop_endpoints.{h,cpp,i}:
        * tao/Strategies/uiop_endpoints.{h,cpp,i}:
          Removed these generated files, replaced with the new files below

        * tao/Strategies/sciop_endpointsC.{h,cpp,inl}:
        * tao/Strategies/uiop_endpointsC.{h,cpp,inl}:
          New generated files

        * tao/Makefile.am:
          Updated for changes above

Wed Mar 30 11:18:18 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Enum_TypeCode.inl:
        * tao/Struct_TypeCode.inl:
        * tao/TypeCode_Base_Attributes.inl:
        * tao/Union_TypeCode.inl:
        * tao/Value_TypeCode.inl:

          Full member specializations must be preceeded by a "template<>"
          declaration.  Addresses build warnings exhibited by HP aC++.

Wed Mar 30 19:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/htiop_endpointsC.{h,cpp,inl}:
          Regenerated

        * orbsvcs/orbsvcs/HTIOP/htiop_endpoints.pidl:
          Added -Sc to suppries the Tie files, we don't need them

Wed Mar 30 19:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/*S.cpp:
          Regenerated

Wed Mar 30 18:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IFR_Client/IFR_BaseS.h:
          Removed not needed include of inl file

Wed Mar 30 10:45:39 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp
          (visit_structure):
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp
          (visit_members):

          Generate a field array with "const" elements.  They should
          be immutable.

Wed Mar 30 18:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/libraries.html:
          Documented the new ImR_Client library

Wed Mar 30 10:38:07 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp
          (visit_valuetype, visit_members):

          Only count members with PUBLIC or PRIVATE visibility in the data
          member count.

        * tao/ObjRefTemplate/ObjectReferenceTemplateA.cpp:

          Regenerated.

Wed Mar 30 13:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * tao/Any.cpp:
        * tao/DomainC.cpp:
        * tao/Exception.cpp:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
        * tao/IORManipulation/IORA.cpp:
        * tao/PortableServer/Object_SArg_Traits.h:
        * tao/PortableServer/POAManagerA.cpp:
        * tao/PortableServer/PortableServerA.cpp:
        * tao/PortableServer/TypeCode_SArg_Traits.h:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/Valuetype/ValueBase.h:
        * tao/Valuetype/ValueFactory.h:
          Use template<> instead of ACE_TEMPLATE_SPECIALIZATION

Wed Mar 30 13:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DynAny_Test/data.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * examples/POA/DSI/Database_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.cpp:
        * tests/Portable_Interceptors/Dynamic/interceptors.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/interceptors.cpp:
        * examples/Simulator/Event_Supplier/Event_Con.cpp:
        * orbsvcs/orbsvcs/Log/PersistStore.h:
          Fixed include of Typecode.h to TypeCode.h

Wed Mar 30 12:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Enum_TypeCode.h:
          Corrected forward declaration

Wed Mar 30 12:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCode_Non_Default_Case.cpp:
          Fixed fuzz error

Wed Mar 30 10:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be_include/be_visitor_typecode/alias_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/enum_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/objref_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/struct_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/union_typecode.h:
        * TAO_IDL/be_include/be_visitor_typecode/value_typecode.h:
          Fixed fuzz errors

Wed Mar 30 08:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Domain/*S*.{h,cpp,inl}:
          Regenerated

        * tao/RTScheduling/Request_Interceptor.cpp:
        * orbsvcs/orbsvcs/ETCL/ETCL_Constraint.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils.h:
        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:
        * tests/CDR/tc.cpp:
        * tests/Portable_Interceptors/Benchmark/interceptors.cpp:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Server_Request_Interceptor.cpp:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Client_Request_Interceptor.cpp:
          Fixed include of Typecode.h to TypeCode.h

        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.{h,cpp}:
        * examples/RTScheduling/Fixed_Priority_Scheduler/FP_Scheduler.{h,cpp}:
          Added copy/destroy operations for the Policies

        * examples/RTScheduling/FP_SchedulingC.{h,cpp,i,inl}:
        * examples/RTScheduling/MIF_SchedulingC.{h,cpp,i,inl}:
          Regenerated and replace .i with .inl version

        * examples/RTScheduling/FP_Scheduling.pidl:
        * examples/RTScheduling/MIF_Scheduling.pidl:
          Updated includes so that regeneration is easier

Wed Mar 30 07:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TypeCodeFactory_Adapter.h:
          Corrected forward declarations

Tue Mar 29 15:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Exception.{h,cpp}:
          Replaced ostream with ACE_OSTREAM_TYPE

Tue Mar 29 12:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Union_TypeCode.{h,cpp}:
          Fixed compile errors with Borland

        * tao/PortableServer/PS_CurrentA.cpp:
        * tao/PortableServer/PS_CurrentC.{h,cpp,inl}:
          Regenerated

        * tao/TypeCode.h:
        * tao/TypeCode_Constants.h:
          Added missing TAO_Export

Mon Mar 28 23:55:22 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/DynamicInterface/Context.cpp:
        * tao/DynamicInterface/DII_Arguments.cpp:
        * tao/DynamicInterface/DII_Invocation.cpp:
        * tao/DynamicInterface/ExceptionList.cpp:
        * tao/DynamicInterface/Server_Request.cpp:
        * tao/DynamicInterface/Unknown_User_Exception.cpp:

          Updated to use new TAO TypeCode headers.

Mon Mar 28 22:49:58 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Alias_TypeCode.h:
        * tao/Sequence_TypeCode.h:

          Improved const-correctness.

        * tao/TypeCode_Constants.cpp:
        * tao/TypeCode_Constants.h:

          Moved CORBA::_tc_{Value,Event}Base TypeCode constants to the
          TAO_Valuetype library.

        * tao/Value_Box_TypeCode.h:
        * tao/Value_TypeCode.h:
        * tao/Value_TypeCode.inl:

          Added missing "const" keywords to concrete type TypeCode
          parameters and attribute.  Fixes compile-time errors.

        * tao/Valuetype/ValueBase.cpp:

          Define TypeCode constants in terms of new TAO TypeCode
          implementation.

        * tao/Valuetype/ValueBase.h:

          Declared all TypeCode constants as "const".

        * tao/Valuetype/Valuetype_Adapter_Impl.cpp:

          Removed "tao/Typecode.h" include directive.  That file no longer
          exists, nor was it necessary.

Mon Mar 28 21:38:42 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/RefCount_Policy_Traits.h:

          New set of trait templates that facilitate compile-time
          selection of reference count related operations based on which
          of TAO::{Null,True}_RefCount_Policy template policy classes is
          used.

        * tao/Alias_TypeCode.cpp (~Alias):
        * tao/Sequence_TypeCode.cpp (~Sequence):
        * tao/Value_Box_TypeCode.cpp (~Value_Box):

          Use the new TAO::RefCount_Policy_Traits<> template to make it
          possible to completely elide a CORBA::release() function call on
          the content type TypeCode when using the
          TAO::Null_RefCount_Policy policy class.  Addresses
          invalid CORBA::release() calls on static content type TypeCodes
          that are destroyed before the above enclosing TypeCodes get a
          chance to call CORBA::release() on them.  Fixes "pure virtual
          method called" run-time errors upon process exit due to the
          above TypeCode destructors calling CORBA::release() on their
          previously destroyed static (i.e. declared as "static") content
          type TypeCodes.

        * tao/Fixed_TypeCode.cpp:
        * tao/String_TypeCode.cpp:

          Updated #include directives to conform to ACE/TAO coding
          conventions.

        * tao/Makefile.am:
        * tao/tao.mpc:

          Added new RefCount_Policy_Traits.h header to the header files
          list.

Mon Mar 28 18:44:03 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:

          Changed #include "orbsvcs/orbsvcs/..." to #include "orbsvcs/...".

        * orbsvcs/Concurrency_Service/README:
        * orbsvcs/CosEvent_Service/README:
        * orbsvcs/Logging_Service/Basic_Logging_Service/README:
        * orbsvcs/Logging_Service/Event_Logging_Service/README:
        * orbsvcs/Logging_Service/Notify_Logging_Service/README:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/README:
        * orbsvcs/Naming_Service/README:
        * orbsvcs/Notify_Service/README:
        * orbsvcs/Time_Service/README:

          Fix various typos, spelling mistakes, etc.

Mon Mar 28 02:15:09 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/DynamicAny/DynamicAnyC.inl
        * tao/IFR_Client/*{A,C}.{h,inl,cpp}:

          Regenerated.

        * tao/DynamicAny/DynStruct_i.cpp:

          Updated to use new TAO TypeCode interface.

Mon Mar 28 01:40:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Marshal.h:
        * tao/append.cpp:

          Removed internally used TAO::TC_opaque TypeCode.  It refered to
          an octet sequence.  Just use the standard CORBA::_tc_OctetSeq
          TypeCode instead.

Sat Mar 26 02:34:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Exception.h (global_allocator_, initialized_):
          (make_standard_typecode, make_unknown_user_typecode):

          Removed these attributes and methods.  Standard CORBA exception
          TypeCodes are no longer instantiated dynamically, and are now
          available prior to calling CORBA::ORB_init().

        * tao/ORB.cpp (init_orb_globals):

          Removed function calls that initialized standard CORBA exception
          TypeCodes.  Those TypeCodes are now initialized during process
          start-up, before CORBA::ORB_init() is ever called.

        * tao/SystemException.cpp:
        * tao/SystemException.h:

          Updated CORBA SystemException TypeCode instantations to use new
          TypeCode implementation.

        * tao/TAO_Singleton_Manager.cpp (fini):

          Removed function calls that finalized standard CORBA TypeCodes.
          Those TypeCodes are now automatically cleaned up during process
          termination.

        * tao/DynamicInterface/Unknown_User_Exception.cpp:
        * tao/DynamicInterface/Unknown_User_Exception.h:

          Moved CORBA::_tc_UnknownUserException TypeCode to these files,
          and updated to use new TypeCode implementation.

Fri Mar 25 21:06:16 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

Fri Mar 25 11:59:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

Fri Mar 25 18:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*:
          Regenerated files that didn't cause problems on my system.

        * tao/PortableServer/Upcall_Wrapper.cpp:
          Added missing include

        * tao/TypeCodeFactory_Adapter.h:
          Added include of Typecode_types.h

Fri Mar 25 11:58:40 2005  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/tests/Notify/performance-tests/Filter/Notify_Sequence_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Consumer.cpp:

          Committing Paul Calabrese's change from TAO 1.4a.

          Alter this test to properly count the events received in the
          consumer (instead of counting batches).

Fri Mar 25 12:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Pollable.pidl:
          Renamed PollableSet::poll to get_ready_pollable to be compliant with
          the latest corba spec. We will regenerate the files in the repo later
          today

Fri Mar 25 11:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Services.pidl:
          Made the ServiceDetail struct compliant with the latest spec by
          adding a new typedef and using this in the struct definition. We
          will regenerate the corresponding files later today

Fri Mar 25 07:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client.cpp:
          Fixed typo in shutdown message. Thanks to Thomas Lockhart
          <Thomas dot Lockhart at jpl dot nasa dot gov> for reporting this.

Thu Mar 24 16:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:
          Emulated exception fix

Thu Mar 24 13:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/Event_Channel.i:
          Updated because timer_id is a long

Thu Mar 24 12:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Sequence.h:
        * tao/Object.h:
        * tao/ORBInitInfo.h:
          Generate template<> instead of ACE_TEMPLATE_SPECIALIZATION

Thu Mar 24 12:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
          Generate template<> instead of ACE_TEMPLATE_SPECIALIZATION

Thu Mar 24 10:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Log/RTEventLogNotification.cpp:
          When TAO_LACKS_EVENT_CHANNEL_ANY is defined, don't fill the
          any_value, it is not there. Thanks for Charles Frasch
          <cfrasch at atdesk dot com> for reporting this. This fixes
          bugzilla [1795]

Thu Mar 24 09:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.h:
        * orbsvcs/orbsvcs/Event/Event_Channel.{h,cpp}:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.{h,cpp}:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.{h,cpp}:
          Changed the type of the timer_id_ member from int to long, the timer_id
          returned from the reactor is of type long

        * orbsvcs/orbsvcs/Event/ECG_Reactive_ConsumerEC_Control.{h,cpp}:
        * orbsvcs/orbsvcs/Event/ECG_Reconnect_ConsumerEC_Control.cpp.{h,cpp}:
          Use cancel_timer instead of remove_handler to cancel a timer scheduled
          in the reactor. Fixes bugzilla bug [1693]

        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_Pulling_Strategy.{h,cpp}:
          Initialise the timer_id with -1 in the constructor and define it as a
          long

Thu Mar 24 07:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:
          Fixed emulated exception problem

Wed Mar 23 16:51:00 2005  Gary Maxey <gary.maxey@hp.com>

        * tao/Any_Basic_Impl.h

          Use "long long" as a container for "unsigned long long" in the
          "has long long but no unsigned long long" case.

        * tao/Any_Basic_Impl.cpp

          Use "long long" as a container for "unsigned long long" in the
          "has long long but no unsigned long long" case.

Wed Mar 23 14:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:
          Added this file, it seems I forgot it to add it some years ago

        * orbsvcs/tests/Event/Mcast/Simple/Simple.mpc:
          Do build the consumer

Wed Mar 23 14:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/RequestProcessingStrategyDefaultServant.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
          Added missing ACE_CHECK_RETURN in locate_servant()

Tue Mar 22 15:42:00 2005  Gary Maxey  <gary.maxey@hp.com>

        * orbsvcs/orbsvcs/Shutdown_Utilities.cpp

          For Tandem NSK platform do not emit warning for failing
          to register handler for signal 10.  Signal 10 does not
          exist on that platform.

Tue Mar 22 10:00:32 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/RTCORBAEvent.mpc:

          Removed stray inheritance from naming, removed idlflags
          definition (as there are no IDL files for this project).

Mon Mar 21 09:28:35 2005  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          Modified ACE_THROW to be ACE_THROW_RETURN to support
          non-exceptions builds.

Mon Mar 21 07:58:47 2005  Chad Elliott  <elliott_c@ociweb.com>

        * examples/RTScheduling/DT_Creator.h:
        * examples/RTScheduling/DT_Creator.cpp:

          Added a constructor for this class as it has many pointers that
          need initialization.

        * examples/RTScheduling/Fixed_Priority_Scheduler/FP_Scheduler.cpp:
        * examples/RTScheduling/Job_i.h:
        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler.cpp:
        * examples/RTScheduling/Thread_Task.h:
        * tao/RTScheduling/Current.cpp:
        * tao/RTScheduling/Request_Interceptor.cpp:
        * tests/RTScheduling/Current/Thread_Task.cpp:
        * tests/RTScheduling/DT_Spawn/Thread_Action.h:
        * tests/RTScheduling/DT_Spawn/test.cpp:
        * tests/RTScheduling/Scheduler.cpp:
        * tests/RTScheduling/Thread_Cancel/Thread_Task.cpp:

          Use size_t instead of int when doing the memcpy.  sizeof(int) !=
          sizeof(long) on some 64-bit platforms.

Mon Mar 21 07:56:49 2005  Chad Elliott  <elliott_c@ociweb.com>

        * docs/Options.html:

          Documented the new -ORBLingerTimeout option.

Mon Mar 21 07:46:16 2005  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/CosNaming.mpc:

         Turn off optimization for the CosNaming_Serv library when using
          cxx on Tru64.  It's broken with respect to the binding iterator
          template class.

        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Utilization_Monitor.cpp:

          Corrected HP-UX and Windows related macros and added support for
          MacOS X.

        * orbsvcs/orbsvcs/Naming/Naming_Server.h:

          Removed an unused data member.

        * orbsvcs/orbsvcs/Naming/Flat_File_Persistence.cpp:
        * orbsvcs/orbsvcs/Naming/Storable.h:
        * orbsvcs/orbsvcs/Naming/Storable.inl:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          Added error indication to the flat file extraction operators and
          error checking to the storable naming context loading code.

          Also, changed the initialization of String_var data member in
          Storable_Naming_Context.cpp to duplicate the constant string ("").

        * orbsvcs/orbsvcs/Shutdown_Utilities.cpp:

          Added the method name to the %p parameter.

Mon Mar 21 06:56:10 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tao/IIOP_Connection_Handler.cpp:
        * tao/ORB_Core.cpp:
        * tao/params.h:
        * tao/params.i:
        * tao/params.cpp:

          Added a new ORB option, -ORBLingerTimeout, that allows the user to
          set the linger timeout on a TCP socket before closing.  The
          default is to not modify the linger timeout.

Mon Mar 21 12:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Connection_Handler.cpp:
          Updated formatting of debug message so that it matches the
          other lines better

Mon Mar 21 12:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/*A.cpp:
        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/Messaging/*S.{h,cpp,inl}:
        * tao/Messaging/*S_T.{h,cpp,inl}:
          Regenerated

Mon Mar 21 09:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
          Regenerated

Sun Mar 20 08:53:48 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * tao/RTCORBA/RT_Stub.cpp:

          Fixed compilation warnings by adding .in() to the _var type.

Sat Mar 19 13:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PolicyS.cpp:
        * tao/ImR_Client/ServerObject{C,A,S}.{h,cpp,inl}:
        * tao/ImR_Client/ImplRepo{C,A,S}.{h,cpp,inl}:
          Regenerated

Fri Mar 18 21:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_Stub.cpp:
          Fixed compile problem in Borland builds

Fri Mar 18 21:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp:
        * TAO_IDL/be_include/be_visitor_operation/upcall_command_ss.h:
          Generate the Upcall_Command class outside of the method where it is
          used and give it then a uniqe name. This should fix the link errors
          in the gcc 2.96 build. This compiler seems to have problems with
          nested classes. No requirement to force regeneration of the
          generated files in the repo, we can do that later because the
          link errors are not in the core libraries.

Fri Mar 18 20:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.{h,cpp}:
          Removed orb_resources_ member, it is not used anymore

Fri Mar 18 11:48:48 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * tao/RTCORBA/RT_Stub.h:

          Changed the member variables defined in the RT_Stub class
          from pointer type to "_var" type to avoid memory leak.
          Thanks Roland Schmimmack <Roland.Schmimmack@gmx.de> for
          reporting the memory leak problem.

Fri Mar 18 10:58:48 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/Options.html (below):

          Added documentation for -ORBDropRepliesonShutdown.

Fri Mar 18 10:36:32 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/EC_Custom_Marshal/svc.conf:
        * orbsvcs/tests/EC_Throughput/ec.conf:

          These two tests require that the ORB not drop replies during
          shutdown.  Therefore added that strategy. If this strategy is
          not used EC would exit with a COMM_FAILURE exception.

Fri Mar 18 10:34:48 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Transport.cpp:
        * tao/Transport.h (provide_blockable_handler):

          Return a bool instead of void.

        * tao/Transport_Cache_Manager.cpp:

          Check for the return value from provide_blockable_handler before
          marking the entry as closed.

Fri Mar 18 09:26:32 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Faults/client.cpp:

          Added an additional check to omit COMM_FAILURE exceptions when
          doing a self shutdown test. This shoudl address test failures in
          our daily builds.

Fri Mar 18 10:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/EC_MT_Mcast/Consumer.cpp:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/EC_MT_Mcast/Supplier.cpp:
          Removed empty explicit template instantiation blocks

Fri Mar 18 10:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.{h,cpp}:
          Removed _optimize_collocation_objects, it is not used

Fri Mar 18 09:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Supplier.cpp:
          Print out whether we get an exception in the client or in the server

Thu Mar 17 11:00:57 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add no-define to AC_INIT_AUTOMAKE so that PLATFORM and VERSION
          are not defined in config.h.

Thu Mar 17 09:02:28 2005  Ciju John  <john_c@ociweb.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp:
          fixed a namespace problem when building with VC6.

Thu Mar 17 14:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.h:
          Added include of CORBA_methods.h to resolve compile problems in
          FC3 build

Thu Mar 17 13:55:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:
          Initialise pointer with 0

        * tao/WCharSeqC.{h,cpp,inl}:
        * tao/WCharSeqS.h:
        * tao/WCharSeqA.cpp:
        * tao/AnySeqC.{h,cpp,inl}:
        * tao/AnySeqS.h:
        * tao/AnySeqA.cpp:
        * tao/BooleanSeqC.{h,cpp,inl}:
        * tao/BooleanSeqS.h:
        * tao/BooleanSeqA.cpp:
        * tao/BoundsC.{h,cpp,inl}:
        * tao/BoundsA.cpp:
        * tao/CharSeqC.{h,cpp,inl}:
        * tao/CharSeqA.cpp:
        * tao/CharSeqS.h:
        * tao/DoubleSeqC.{h,cpp,inl}:
        * tao/DoubleSeqA.cpp:
        * tao/DoubleSeqS.h:
        * tao/CurrentC.{h,cpp,inl}:
        * tao/CurrentA.cpp:
          Regenerated

        * tao/Connector_Registry.cpp:
        * tao/default_resource.cpp:
          Replaced ACE_LIB_TEXT with ACE_TEXT

Wed Mar 16 14:37:00 2005  Gary Maxey  <gary.maxey@hp.com>

        * orbsvcs/orbsvcs/Shutdown_Utilities.cpp

          Added missing argument to ACE_DEBUG statement.  (%p requires
          a text string.)

Wed Mar 16 10:35:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * TAO_IDL/Makefile.am:

          Regenerate.

        * TAO_IDL/tao_idl.mpc:

          Set TAO_IDL_INCLUDE_DIR to $(includedir)/tao for automake
          builds so end-user's won't have to set ACE_ROOT/TAO_ROOT
          to run the installed executable.

Wed Mar 16 10:28:11 2005  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.i:

         Use reset() on the refcounted autopointer instead of assigning an
          empty object.

        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.i:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.cpp:

          Provide a copy constructor and assignment operator since we have a
          pointer data member.

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:

          Before passing the ECG_UDP_Out_Endpoint, make a copy to give to
          the refcounted autopointer.

Wed Mar 16 07:20:36 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Regenerate.

        * orbsvcs/orbsvcs/CosNotification.mpc:

          Add empty Header_Files and Inline_Files sections to
          CosNotification_Persist project so MPC doesn't add unrelated
          files to project.

        * orbsvcs/orbsvcs/RTCORBAEvent.mpc:

          Add empty Header_Files and Inline_Files sections to
          RTCORBAEvent project so MPC doesn't add unreleated files to
          project.

Wed Mar 16 11:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Forwarding/POA_Forwarding.mpc:
          Simplified this mpc file, no need for the client to link the
          portableserver library

Wed Mar 16 11:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/WStringSeqA.cpp:
        * tao/WStringSeqC.{h,cpp,inl}:
        * tao/WStringSeqS.h:
          Regenerated. Used the new -SS option to suppress the skeleton files

Wed Mar 16 10:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ParameterModeA.cpp:
        * tao/ParameterModeC.{h,cpp,inl}:
        * tao/ParameterModeS.h:
          Regenerated. Used the new -SS option to suppress the skeleton files

Wed Mar 16 10:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/FloatSeqA.cpp:
        * tao/FloatSeqC.{h,cpp,inl}:
        * tao/FloatSeqS.h:
          Regenerated. Used the new -SS option to suppress the skeleton files

Wed Mar 16 15:21:56 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Hang_Shutdown/test_i.h:
        * tests/Hang_Shutdown/client.cpp:

          Fixed compile errors in emulated exception builds.

Wed Mar 16 08:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTScheduling/Current/test.cpp:
          Call ACE_Thread_Manager::wait after orb->run to wait until
          the worker threads are finished.

Tue Mar 15 22:15:32 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerate.

        * orbsvcs/orbsvcs/AVStreams.idl:
        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
        * orbsvcs/tests/Property/main.cpp:

          Update to use CosProperty.idl, etc.

        * orbsvcs/orbsvcs/CosProperty.mpc:
        * orbsvcs/orbsvcs/CosProperty.idl:
        * orbsvcs/orbsvcs/CosPropertyService.idl:
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.h:

          Current OMG specs refer to Property Service via CosProperty.idl
          instead of CosPropertyService.idl.  Rename *.idl file, but keep
          a wrapper version for backwards compatibility.

Tue Mar 15 16:20:12 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerate.

Tue Mar 15 11:25:04 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Time_Server/Clerk_i.cpp:
        * orbsvcs/Time_Server/Server_i.cpp:

          Change ACE_TRY/ACE_TRY_CHECK to ACE_TRY_EX/ACE_TRY_CHECK_EX
          to handle nested emulated exceptions.

Tue Mar 15 14:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/grid/README:
          Fixed typo

Tue Mar 15 10:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/NestedUpcall/Triangle_Test/initiator.cpp:
          Define the Initiator_Server within the test scope so that we know for
          sure it is destructed before the other cleanup actions

Tue Mar 15 10:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:
          Use the correct typedef in system_id_to_object_id

Tue Mar 15 15:24:37 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Hang_Shutdown/test_i.h :

          Fixed compilation errors in VC6.

Tue Mar 15 08:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DSI_Gateway/test_dsi.cpp:
          When receiving a shutdown, first forward it to the real server
          and after that shutdown our orb.

        * tests/DSI_Gateway/test_i.cpp:
          Initialise pointer with 0

Mon Mar 14 12:22:37 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Callback_Quoter/Callback_Quoter.mpc:
        * examples/Event_Comm/Event_Comm.mpc:
        * examples/Logging/Logging.mpc:

          Changed to inherit from naming instead of naming_serv.

        * examples/Callback_Quoter/Notifier_Input_Handler.cpp:
        * examples/Callback_Quoter/Notifier_Input_Handler.h:
        * examples/Event_Comm/Notifier_Server.cpp:
        * examples/Event_Comm/Notifier_Server.h:
        * examples/Logging/Logging_Service_i.cpp:
        * examples/Logging/Logging_Service_i.h:

          Changed to use TAO_Naming_Client instead of TAO_Naming_Server.

Mon Mar 14 12:05:54 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Simple/bank/bank.mpc:
        * examples/Simple/echo/echo.mpc:
        * examples/Simple/grid/grid.mpc:
        * examples/Simple/time/time.mpc:

          Added inheritance from iortable (its inheritance was previously
          implicit via naming_serv).

          Removed inheritance from naming_serv (they already inherit from
          namingexe).

        * examples/Simple/Simple_util.cpp:
        * examples/Simple/Simple_util.h:

          Changed to use TAO_Naming_Client instead of TAO_Naming_Server.

Mon Mar 14 07:49:05 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Concurrency_Service/Makefile.am:
        * orbsvcs/Time_Service/Makefile.am:

          Regenerate.

        * orbsvcs/Concurrency_Service/Concurrency_Service.mpc:
        * orbsvcs/Time_Service/Time_Service.mpc:

          Changed to inherit from naming instead of naming_serv.

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp:
        * orbsvcs/Concurrency_Service/Concurrency_Service.h:
        * orbsvcs/Time_Service/Clerk_i.cpp:
        * orbsvcs/Time_Service/Clerk_i.h:
        * orbsvcs/Time_Service/Server_i.cpp:
        * orbsvcs/Time_Service/Server_i.h:

          Changed to use TAO_Naming_Client instead of TAO_Naming_Server.

Mon Mar 14 14:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Hang_Shutdown/test_i.h:
          Fixed fuzz error

        * tests/Hang_Shutdown/Hang.mpc:
          Added missing Id tag and use taoserve/taoclient as base projects

        * tests/Hang_Shutdown/client.cpp:
        * tests/Hang_Shutdown/test_i.h:
          Fixed casing of includes

Mon Mar 14 13:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/MT_IIOP_SSL/test_i.cpp:
          Fixed compile errors introduced by this change

          Fri Mar 11 12:00:35 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

Mon Mar 14 10:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.cpp:
          Fixed compile problem in no interceptor builds

Mon Mar 14 13:55:41 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Hang_Shutdown/*:

          A new test for testing ORB hangs during shutdowns.

Sun Mar 13 20:19:48 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:

          Fixed compilation errors introduced by this change

          Fri Mar 11 12:00:35 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

Sun Mar 13 20:16:43 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Thread_Lane_Resources.cpp:
        * tao/Transport.cpp (provide_handler):

          Fixed unused variable warnings in g++ builds.

Sat Mar 12 13:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client_Adapter_Impl.{h,cpp}:
        * tao/ImR_Client/ImR_Client.{h,cpp}:
          Renamed ImR_Client_Adapter_Impl to ImR_Client, this file will be
          included by our users and this name makes more sense

        * tao/Makefile.am:
          Updated

        * orbsvcs/tests/ImplRepo/scale/server_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_server_i.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
          Updated for change above

Fri Mar 11 18:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.cpp:
          Added missing includes

        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
          Generate static_cast in one line

Fri Mar 11 12:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*.pidl:
          Added -SS to the regeneration instructions for the pidl files
          that have an empty S.h file

Fri Mar 11 12:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/PSS/PSDL_Scope.cpp:
        * orbsvcs/PSS/PSDL_Node.cpp:
        * examples/Advanced/ch_12/icp.cpp:
        * examples/Advanced/ch_21/icp.cpp:
        * examples/Advanced/ch_18/icp.cpp:
        * examples/Advanced/ch_8_and_10/icp.cpp:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_Factory_i.h:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Stock_i.h:
          Changed _MSC_VER checks

Fri Mar 11 11:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/ImplRepo/nestea_server_i.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
          Added include of ImR_Client_Adapter_Impl to force the link of the
          ImR_Client in a static build

        * orbsvcs/tests/ImplRepo/ImplRepo.mpc:
          Added imr_client as base project of the servers

Fri Mar 11 11:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/ImplRepo/scale/scaletest.mpc:
          Added imr_client as base project of the server

        * orbsvcs/tests/ImplRepo/scale/server_i.cpp:
          Added include of ImR_Client_Adapter_Impl to force the link of the
          ImR_Client in a static build

Fri Mar 11 05:10:19 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1476_Regression/client.cpp:

          Fixed a compilation error.

        * tests/Faults/test_i.cpp:

          Fixed some debug statements.

Fri Mar 11 10:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client_Adapter_Impl.cpp:
          Explicitly catch a CORBA::COMM_FAILURE when notifying the
          ImR that we are shuttind down. When the ORB is shutting down
          it can drop replies if configured to do so and then we get
          this exception which we silently ignore

Fri Mar 11 02:53:43 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.cpp:

          Fixed compilation errors in protocols other than IIOP.

Fri Mar 11 12:00:35 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>g

        This checkin is mainly to address a problem with ORB
        shutdown. The problem shows up when a client ORB with RW strategy
        is communicating with a misbehaved server. It is possible that the
        client sent a request to the server and is waiting for
        replies. The server may not send back a reply at all. Meanwhile
        the thread waiting for reply continues to wait even if the ORB is
        shutdown making the process hang. This is simply ill behaviour.

        * tao/Thread_Lane_Resources_Manager.h:

          Added a new pure virtual method cleanup_rw_transports () that
          can be overridden in concrete classes.

        * tao/ORB_Core.cpp:

          Call cleanup_rw_transports () during shutdown ().

        * tao/Default_Thread_Lane_Resources_Manager.cpp:
        * tao/Default_Thread_Lane_Resources_Manager.h:
        * tao/RTCORBA/RT_Thread_Lane_Resources_Manager.cpp:
        * tao/RTCORBA/RT_Thread_Lane_Resources_Manager.h:

          Concrete implementations for cleanup_rw_transports (). The
          implementation just delegates it concrete lane resources that
          are maintained.

        * tao/Cache_Entries.cpp:
        * tao/Cache_Entries.h:
        * tao/Cache_Entries.inl:

          Added the code in TAO namespace. Redefined a new state enum
          called Cache_Entries_State.

        * tao/Transport_Cache_Manager.cpp:
        * tao/Transport_Cache_Manager.h:
        * tao/Transport_Cache_Manager.inl:

          Moved the code into a namespace. Used the new new state enums
          defined in Cache_Entries.h to do lifecycle management of cache
          entries. Added a new method, blockable_client_transports ()
          which returns a list of transports that are opened as clients
          and are blocked on read/write (which basically boils down to RW
          strategy).

        * tao/Connection_Handler.h:

          Moved release_os_resources () to be public so that they could be
          called from Thread_Lane_Manager during shutdown.

        * tao/Thread_Lane_Resources.cpp:
        * tao/Thread_Lane_Resources.h:

          Actual work for cleanup_rw_transports (), which collects all
          transports opened as clients and close the socket handles
          underneath to wake waiting threads.

        * tao/Transport.cpp:
        * tao/Transport.h:
        * tao/Transport.inl:
        * tao/Transport_Connector.cpp:
        * tao/IIOP_Connection_Handler.cpp:

          Changes propogated due to changes in the Transport_Cache_Manager
          interface.

Fri Mar 11 08:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.h:
          Added missing include

Thu Mar 10 20:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Domain/DomainS.{h,cpp,inl}:
        * tao/Domain/DomainS_T.{h,cpp,inl}:
          Regenerated

Thu Mar 10 20:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PolicyS.{h,cpp,inl}:
        * tao/PortableServer/PolicyS_T.{h,cpp,inl}:
          Regenerated

Thu Mar 10 20:02:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
          Regenerated

Thu Mar 10 19:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ServerObject{C,A,S}.{h,cpp,inl}:
        * tao/ImR_Client/ImplRepo{C,A,S}.{h,cpp,inl}:
        * tao/Messaging/MessagingS.{h,cpp,inl}:
          Regenerated

Thu Mar 10 19:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.{h,cpp}:
          New upcall wrapper for the direct collocation case

        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
          Use the new direct collocation upcall wrapper for the strategized
          proxy broker. This reduces the footprint

        * TAO_IDL/be/be_codegen.cpp:
          When direct collocation is enabled, generate an include for the
          new direct collocation upcall wrapper. Removed the generate of
          ForwardRequestC.h, it is not needed anymore

Thu Mar 10 11:20:01 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Added preprocessor checks around IDL compiler code that
          generates inline constants. For VC6, which is broken in
          its handling of inline constants, inline constant
          generation is toggled off unless the constant is declared
          in a module or at global scope. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for pointing out the problem
          caused by recent changes to the IDL compiler's generation
          of constants.

Thu Mar 10 09:37:25 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be_include/be_global.h:

          Added new command line option -SS to suppress generation of
          skeleton files. Only an empty *S.h file, containing the
          copyright and an explanatory comment, is generated when
          this option is used. This empty file is generated in order
          to have something to include in the *S.h file generated
          from an IDL file that includes the file on which the
          option maybe used - the *S.h include is generated automatically
          by the IDL compiler and there is no way to know what options
          may be have been used on the included IDL file. This option
          will be useful when regenerating TAO files from .pidl files,
          when only stub files need to be compiled.

Thu Mar 10 15:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/include/ast.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 15:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ConsumerAdmin_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/EventChannel_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushSupplier_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/SupplierAdmin_i.h:
        * orbsvcs/examples/LoadBalancing/ORBInitializer.h:
        * orbsvcs/examples/LoadBalancing/ServerRequestInterceptor.h:
        * orbsvcs/examples/Notify/Filter/Filter.h:
        * orbsvcs/examples/Notify/Lanes/Supplier.h:
        * orbsvcs/examples/Notify/Subscribe/Subscribe.h:
        * orbsvcs/examples/Notify/ThreadPool/Supplier.h:
        * orbsvcs/examples/ORT/Server_IORInterceptor.h:
        * orbsvcs/examples/ORT/Server_IORInterceptor_ORBInitializer.h:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/ORBInitializer.h:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/Roundtrip.h:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/ORBInitializer.h:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Roundtrip.h:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/ServerRequestInterceptor.h:
        * orbsvcs/tests/CosEvent/Basic/Random.h:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp
        * orbsvcs/tests/Event/Basic/Random.h:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_ORBInitializer.h:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_Request_Interceptor.h:
        * orbsvcs/tests/HTIOP/Hello/Hello.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Basic.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/Factory.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/Simple.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Basic.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Simple.h:
        * orbsvcs/tests/Miop/McastHello/McastHello.h:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.h:
        * orbsvcs/tests/Notify/Basic/Events.h:
        * orbsvcs/tests/Notify/Basic/Filter.h:
        * orbsvcs/tests/Notify/Basic/MultiTypes.h:
        * orbsvcs/tests/Notify/Basic/Sequence.h:
        * orbsvcs/tests/Notify/Basic/Simple.h:
        * orbsvcs/tests/Notify/Basic/Updates.h:
        * orbsvcs/tests/Notify/Reconnecting/Consumer.h:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_Filter.h:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.h:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.h:
        * orbsvcs/tests/Security/MT_IIOP_SSL/Client_Worker.h:
        * orbsvcs/tests/Security/MT_IIOP_SSL/Server_Worker.h:
        * orbsvcs/tests/Security/MT_SSLIOP/Client_Worker.h:
        * orbsvcs/tests/Security/MT_SSLIOP/Server_Worker.h:
        * orbsvcs/tests/Trading/Simple_Dynamic.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 15:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Latency/AMH_Single_Threaded/Roundtrip.h:
        * performance-tests/Latency/AMI/Roundtrip.h:
        * performance-tests/Latency/AMI/Roundtrip_Handler.h:
        * performance-tests/Latency/Collocation/Roundtrip.h:
        * performance-tests/Latency/DII/Roundtrip.h:
        * performance-tests/Latency/DSI/Roundtrip.h:
        * performance-tests/Latency/Deferred/Roundtrip.h:
        * performance-tests/Latency/Single_Threaded/Roundtrip.h:
        * performance-tests/Latency/Thread_Per_Connection/Roundtrip.h:
        * performance-tests/Latency/Thread_Pool/Roundtrip.h:
        * performance-tests/Memory/IORsize/Foo_i.h:
        * performance-tests/Memory/IORsize/Memory_Growth.h:
        * performance-tests/Memory/Single_Threaded/Memory_Growth.h:
        * performance-tests/POA/Implicit_Activation/Factory.h:
        * performance-tests/POA/Implicit_Activation/Simple.h:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Roundtrip.h:
        * performance-tests/Sequence_Latency/AMI/Roundtrip.h:
        * performance-tests/Sequence_Latency/AMI/Roundtrip_Handler.h:
        * performance-tests/Sequence_Latency/DII/Roundtrip.h:
        * performance-tests/Sequence_Latency/DSI/Roundtrip.h:
        * performance-tests/Sequence_Latency/Deferred/Roundtrip.h:
        * performance-tests/Sequence_Latency/Single_Threaded/Roundtrip.h:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Roundtrip.h:
        * performance-tests/Sequence_Latency/Thread_Pool/Roundtrip.h:
        * performance-tests/Throughput/Receiver.h:
        * performance-tests/Throughput/Receiver_Factory.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 14:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Buffering_Constraint_Policy.h:
        * tao/ClientRequestInfo.h:
        * tao/CodecFactory.h:
        * tao/CodecFactory_ORBInitializer.h:
        * tao/FloatSeqS.h:
        * tao/PICurrent.h:
        * tao/PICurrent_ORBInitializer.h:
        * tao/Policy_Manager.h:
        * tao/orb_typesS.h:
        * tao/DynamicAny/DynAnyFactory.h:
        * tao/DynamicAny/DynAny_i.h:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynCommon.h:
        * tao/DynamicAny/DynEnum_i.h:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynUnion_i.h:
        * tao/IORManipulation/IORManipulation.h:
        * tao/RTScheduling/RTScheduler_Initializer.h:
        * tao/RTScheduling/RTScheduler_includeC.h:
        * tao/Strategies/sciop_endpoints.h:
        * tao/Strategies/uiop_endpoints.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 14:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_Twoways/Coordinator.h:
        * tests/Big_Twoways/Peer.h:
        * tests/Big_Twoways/Session.h:
        * tests/Big_Twoways/Session_Control.h:
        * tests/Blocking_Sync_None/Blocking_Sync_None.h:
        * tests/Bug_1476_Regression/Sender_i.h:
        * tests/Bug_1482_Regression/Hello.h:
        * tests/Bug_1495_Regression/Client_ORBInitializer.h:
        * tests/Bug_1495_Regression/Server_ORBInitializer.h:
        * tests/Bug_1495_Regression/interceptors.h:
        * tests/Bug_1551_Regression/Hello.h:
        * tests/Cache_Growth_Test/Hello.h:
        * tests/Client_Leaks/Process.h:
        * tests/Client_Leaks/Process_Factory.h:
        * tests/Client_Leaks/Startup_Callback.h:
        * tests/Collocation_Tests/Hello.h:
        * tests/Connect_Strategy_Test/Hello.h:
        * tests/Connection_Purging/test_i.h:
        * tests/Crash_On_Write/Oneway_Receiver.h:
        * tests/Crashed_Callback/Crashed_Callback.h:
        * tests/Crashed_Callback/Service.h:
        * tests/GIOP_Fragments/Java_Big_Request/Payload_Receiver.h:
        * tests/Hello/Hello.h:
        * tests/ICMG_Any_Bug/Hello.h:
        * tests/ICMG_Any_Bug/HelloWorld.h:
        * tests/LongUpcalls/AMI_Manager.h:
        * tests/LongUpcalls/Controller.h:
        * tests/LongUpcalls/Manager.h:
        * tests/LongUpcalls/Manager_Handler.h:
        * tests/MT_BiDir/Receiver_i.h:
        * tests/MT_BiDir/Sender_i.h:
        * tests/MT_Timeout/Sleep_Service.h:
        * tests/Muxing/Receiver.h:
        * tests/ORB_shutdown/Foo_Bar.h:
        * tests/ORT/ORT_test_IORInterceptor.h:
        * tests/ORT/ObjectReferenceFactory.h:
        * tests/ORT/ServerORBInitializer.h:
        * tests/ORT/ServerRequestInterceptor.h:
        * tests/Object_Loader/Test_i.h:
        * tests/Oneway_Buffering/Oneway_Buffering.h:
        * tests/Oneway_Buffering/Oneway_Buffering_Admin.h:
        * tests/Oneways_Invoking_Twoways/Receiver_i.h:
        * tests/Oneways_Invoking_Twoways/Sender_i.h:
        * tests/Portable_Interceptors/Benchmark/Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Benchmark/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Benchmark/interceptors.h:
        * tests/Portable_Interceptors/Bug_1559/Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Bug_1559/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Bug_1559/interceptors.h:
        * tests/Portable_Interceptors/Collocated/Dynamic/Echo_Collocated_ORBInitializer.h:
        * tests/Portable_Interceptors/Collocated/Dynamic/interceptors.h:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Collocated_ORBInitializer.h:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/interceptors.h:
        * tests/Portable_Interceptors/Dynamic/Echo_Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Dynamic/Echo_Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Dynamic/interceptors.h:
        * tests/Portable_Interceptors/ForwardRequest/Client_ORBInitializer.h:
        * tests/Portable_Interceptors/ForwardRequest/Client_Request_Interceptor.h:
        * tests/Portable_Interceptors/ForwardRequest/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/ForwardRequest/Server_Request_Interceptor.h:
        * tests/Portable_Interceptors/IORInterceptor/FOO_ClientRequestInterceptor.h:
        * tests/Portable_Interceptors/IORInterceptor/FOO_Client_ORBInitializer.h:
        * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.h:
        * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor_ORBInitializer.h:
        * tests/Portable_Interceptors/ORB_Shutdown/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/ORB_Shutdown/Server_Request_Interceptor.h:
        * tests/Portable_Interceptors/PICurrent/ClientORBInitializer.h:
        * tests/Portable_Interceptors/PICurrent/ClientRequestInterceptor.h:
        * tests/Portable_Interceptors/PICurrent/ClientRequestInterceptor2.h:
        * tests/Portable_Interceptors/PICurrent/ServerORBInitializer.h:
        * tests/Portable_Interceptors/PICurrent/ServerRequestInterceptor.h:
        * tests/Portable_Interceptors/PolicyFactory/IORInterceptor.h:
        * tests/Portable_Interceptors/PolicyFactory/PolicyFactory.h:
        * tests/Portable_Interceptors/PolicyFactory/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Client_Request_Interceptor.h:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Request_Interceptor.h:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Server_Request_Interceptor.h:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Client_ORBInitializer.h:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Server_ORBInitializer.h:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.h:
        * tests/RTCORBA/Client_Propagated/Client_ORBInitializer.h:
        * tests/RTCORBA/Client_Propagated/interceptors.h:
        * tests/Reliable_Oneways/Oneway_Receiver.h:
        * tests/Reliable_Oneways/Shutdown_Helper.h:
        * tests/Servant_To_Reference_Test/Test_i.h:
        * tests/Server_Connection_Purging/Test_i.h:
        * tests/Server_Leaks/Ping_Service.h:
        * tests/Server_Port_Zero/Hello.h:
        * tests/Stack_Recursion/Sender.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 14:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Content_Server/AMI_Iterator/Content_Iterator_i.h:
        * examples/Content_Server/AMI_Iterator/Iterator_Handler.h:
        * examples/Content_Server/AMI_Observer/Callback_Handler.h:
        * examples/Content_Server/AMI_Observer/Callback_i.h:
        * examples/Content_Server/AMI_Observer/Push_Iterator_Handler.h:
        * examples/Content_Server/SMI_Iterator/Content_Iterator_i.h:
        * examples/Kokyu_dsrt_schedulers/EDF_SchedulingC.h:
        * examples/POA/Forwarding/test_i.h:
        * examples/RTScheduling/FP_SchedulingC.h:
        * examples/RTScheduling/MIF_SchedulingC.h:
        * orbsvcs/orbsvs/Event/Event_Channel.h
        * orbsvcs/orbsvs/FaultTolerance/FT_ClientORBInitializer.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ClientPolicyFactory.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ClientPolicy_i.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ClientRequest_Interceptor.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ORBInitializer.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_PolicyFactory.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_Policy_i.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ServerORBInitializer.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ServerPolicyFactory.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ServerPolicy_i.h:
        * orbsvcs/orbsvs/FaultTolerance/FT_ServerRequest_Interceptor.h:
        * orbsvcs/orbsvs/FtRtEvent/ClientORB/FTRT_ClientORB_Initializer.h:
        * orbsvcs/orbsvs/FtRtEvent/ClientORB/FTRT_ClientORB_Interceptor.h:
        * orbsvcs/orbsvs/IFRService/AbstractInterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/AliasDef_i.h:
        * orbsvcs/orbsvs/IFRService/ArrayDef_i.h:
        * orbsvcs/orbsvs/IFRService/AttributeDef_i.h:
        * orbsvcs/orbsvs/IFRService/ComponentContainer_i.h:
        * orbsvcs/orbsvs/IFRService/ComponentDef_i.h:
        * orbsvcs/orbsvs/IFRService/ComponentModuleDef_i.h:
        * orbsvcs/orbsvs/IFRService/ComponentRepository_i.h:
        * orbsvcs/orbsvs/IFRService/ConstantDef_i.h:
        * orbsvcs/orbsvs/IFRService/ConsumesDef_i.h:
        * orbsvcs/orbsvs/IFRService/Contained_i.h:
        * orbsvcs/orbsvs/IFRService/Container_i.h:
        * orbsvcs/orbsvs/IFRService/EmitsDef_i.h:
        * orbsvcs/orbsvs/IFRService/EnumDef_i.h:
        * orbsvcs/orbsvs/IFRService/EventDef_i.h:
        * orbsvcs/orbsvs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExceptionDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExtAbstractInterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExtAttributeDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExtInterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExtLocalInterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/ExtValueDef_i.h:
        * orbsvcs/orbsvs/IFRService/FactoryDef_i.h:
        * orbsvcs/orbsvs/IFRService/FinderDef_i.h:
        * orbsvcs/orbsvs/IFRService/FixedDef_i.h:
        * orbsvcs/orbsvs/IFRService/HomeDef_i.h:
        * orbsvcs/orbsvs/IFRService/IDLType_i.h:
        * orbsvcs/orbsvs/IFRService/IFR_Service_Utils_T.h:
        * orbsvcs/orbsvs/IFRService/IRObject_i.h:
        * orbsvcs/orbsvs/IFRService/InterfaceAttrExtension_i.h:
        * orbsvcs/orbsvs/IFRService/InterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/LocalInterfaceDef_i.h:
        * orbsvcs/orbsvs/IFRService/ModuleDef_i.h:
        * orbsvcs/orbsvs/IFRService/NativeDef_i.h:
        * orbsvcs/orbsvs/IFRService/OperationDef_i.h:
        * orbsvcs/orbsvs/IFRService/PrimitiveDef_i.h:
        * orbsvcs/orbsvs/IFRService/ProvidesDef_i.h:
        * orbsvcs/orbsvs/IFRService/PublishesDef_i.h:
        * orbsvcs/orbsvs/IFRService/RecursDef_i.h:
        * orbsvcs/orbsvs/IFRService/Repository_i.h:
        * orbsvcs/orbsvs/IFRService/SequenceDef_i.h:
        * orbsvcs/orbsvs/IFRService/StringDef_i.h:
        * orbsvcs/orbsvs/IFRService/StructDef_i.h:
        * orbsvcs/orbsvs/IFRService/TypedefDef_i.h:
        * orbsvcs/orbsvs/IFRService/UnionDef_i.h:
        * orbsvcs/orbsvs/IFRService/UsesDef_i.h:
        * orbsvcs/orbsvs/IFRService/ValueBoxDef_i.h:
        * orbsvcs/orbsvs/IFRService/ValueDef_i.h:
        * orbsvcs/orbsvs/IFRService/ValueMemberDef_i.h:
        * orbsvcs/orbsvs/IFRService/WstringDef_i.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_ClientORBInitializer.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_ClientRequestInterceptor.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_IORInterceptor.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_LoadAlert_Handler.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_ORBInitializer.h:
        * orbsvcs/orbsvs/LoadBalancing/LB_ServerRequestInterceptor.h:
        * orbsvcs/orbsvs/Log/BasicLogFactory_i.h:
        * orbsvcs/orbsvs/Log/BasicLog_i.h:
        * orbsvcs/orbsvs/Log/EventLogConsumer.h:
        * orbsvcs/orbsvs/Log/EventLogFactory_i.h:
        * orbsvcs/orbsvs/Log/EventLogNotification.h:
        * orbsvcs/orbsvs/Log/EventLog_i.h:
        * orbsvcs/orbsvs/Log/Iterator_i.h:
        * orbsvcs/orbsvs/Log/NotifyLogConsumer.h:
        * orbsvcs/orbsvs/Log/NotifyLogFactory_i.h:
        * orbsvcs/orbsvs/Log/NotifyLogNotification.h:
        * orbsvcs/orbsvs/Log/NotifyLog_i.h:
        * orbsvcs/orbsvs/Log/RTEventLogConsumer.h:
        * orbsvcs/orbsvs/Log/RTEventLogFactory_i.h:
        * orbsvcs/orbsvs/Log/RTEventLogNotification.h:
        * orbsvcs/orbsvs/Log/RTEventLog_i.h:
        * orbsvcs/orbsvs/Notify/ConsumerAdmin.h:
        * orbsvcs/orbsvs/Notify/ETCL_Filter.h:
        * orbsvcs/orbsvs/Notify/ETCL_FilterFactory.h:
        * orbsvcs/orbsvs/Notify/EventChannel.h:
        * orbsvcs/orbsvs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvs/Notify/SupplierAdmin.h:
        * orbsvcs/orbsvs/Notify/Any/CosEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvs/Notify/Any/CosEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvs/Notify/Any/ProxyPushConsumer.h:
        * orbsvcs/orbsvs/Notify/Any/ProxyPushSupplier.h:
        * orbsvcs/orbsvs/Notify/Sequence/SequenceProxyPushConsumer.h:
        * orbsvcs/orbsvs/Notify/Sequence/SequenceProxyPushSupplier.h:
        * orbsvcs/orbsvs/Notify/Structured/StructuredProxyPushConsumer.h:
        * orbsvcs/orbsvs/Notify/Structured/StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvs/PortableGroup/PortableGroup_ORBInitializer.h:
        * orbsvcs/orbsvs/Property/CosPropertyService_i.h:
        * orbsvcs/orbsvs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.h:
        * orbsvcs/orbsvs/RTCosScheduling/RTCosScheduling_PCP_Manager.h:
        * orbsvcs/orbsvs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_ClientCredentials.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_CredentialsAcquirer.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_Current.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_Invocation_Interceptor.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_ORBInitializer.h:
        * orbsvcs/orbsvs/SSLIOP/SSLIOP_OwnCredentials.h:
        * orbsvcs/orbsvs/SSLIOP/ssl_endpoints.h:
        * orbsvcs/orbsvs/Security/SL3_ContextEstablishmentPolicy.h:
        * orbsvcs/orbsvs/Security/SL3_CredentialsCurator.h:
        * orbsvcs/orbsvs/Security/SL3_ObjectCredentialsPolicy.h:
        * orbsvcs/orbsvs/Security/SL3_PolicyFactory.h:
        * orbsvcs/orbsvs/Security/SL3_SecurityCurrent.h:
        * orbsvcs/orbsvs/Security/SL3_SecurityManager.h:
        * orbsvcs/orbsvs/Security/Security_Current.h:
        * orbsvcs/orbsvs/Security/Security_ORBInitializer.h:
        * orbsvcs/orbsvs/Security/Security_PolicyFactory.h:
        * orbsvcs/orbsvs/Trader/Constraint_Nodes.h:
        * orbsvcs/orbsvs/Trader/Offer_Iterators.h:
        * orbsvcs/orbsvs/Trader/Offer_Iterators_T.h:
        * orbsvcs/orbsvs/Trader/Trader.h:
        * orbsvcs/orbsvs/Trader/Trader_Interfaces.h:
        * orbsvcs/orbsvs/Trader/Trader_T.h:
        * orbsvcs/orbsvs/Trader/Trader_Utils.h:
          Removed checks for _MSC_VER >= 1200, just check for _MSC_VER

Thu Mar 10 09:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/default_resource.cpp:
          Removed a debug statement that seems to be added for testing
          purposes.

Thu Mar 10 03:37:03 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Leader_Follower.cpp:

          Fixed some typos.

Wed Mar  9 23:04:03 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Leader_Follower.cpp (wait_for_event):

          Propogate the result of failure of handle_event () to the
          application.

        * tao/Leader_Follower.h:

          Added some documention for wait_for_event ()'s return value.

Wed Mar  9 14:20:18 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerate, fix paths to HTPB and Kokyu libraries.

Wed Mar 09 21:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI_Buffering/AMI_Buffering.h:
        * tests/AMI_Buffering/AMI_Buffering_Admin.h:
        * tests/AMI_Buffering/Reply_Handler.h:
        * tests/Big_Oneways/Coordinator.h:
        * tests/Big_Oneways/Peer.h:
        * tests/Big_Oneways/Session.h:
        * tests/Big_Oneways/Session_Control.h:
        * tests/Big_Reply/Big_Reply_i.h:
        * tests/Big_Request_Muxing/Payload_Receiver.h:
          Removed check for deprecated msvc version

Wed Mar 09 19:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/default_resource.cpp:
          Removed debug statement

Wed Mar 09 16:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

         * tao/ImR_Client/ImR_Client_Adapter_Impl.cpp:
           Fixed a bug in the deletion of the server object. When it was
           registered on the root poa the root poa pointer is zero, so
           we throw an exception. Reverted back to the way it was before
           the refactoring, get the poa from the server object and use
           that

Wed Mar 09 11:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/idl_make_vars:
          Removed this file, it is not used anymore

Wed Mar 09 08:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Collocated_Invocation.cpp (invoke):
          Get the servant orb from the effective target, this matches the
          way we detect if we can use a collocated call or not. This fixes
          the crashing of the TAO test Bug_1495_Regression in our daily
          builds which was testing a forward location from a remote to a
          collocated servant

Wed Mar 09 08:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/*S.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S_T.{h,cpp,inl}:
          Regenerated

Tue Mar  8 22:08:49 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_proxy_impl_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/thru_poa_proxy_impl_ss.cpp:
        * TAO_IDL/be_include/be_visitor_interface/thru_poa_proxy_impl_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/thru_poa_proxy_impl_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/thru_poa_proxy_impl_ss.h:

          Removed these vesitigial files.

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_si.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_sh.cpp:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_interface_strategy.h:
        * TAO_IDL/be_include/be_visitor_interface.h:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/strategized_proxy_broker_ss.h:
        * TAO_IDL/be_include/be_visitor_operation.h:

          Cleaned up remaining thru-POA related code that is no longer
          necessary or is unused.

        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:

          Only generate a strategized proxy broker for the direct
          collocation case.  A strategized proxy broker isn't needed for
          the thru-POA collocated case.  Reduces skeleton footprint by
          approximately 2.5Kb per interface.

          Generate a dummy collocation proxy broker factory function in
          the thru-POA collocation case that returns a dummy
          TAO::Collocation_Proxy_Broker pointer (i.e. "0xdead").  The
          collocation code in TAO's ORB_Core still detects collocation
          availability by checking for a non-zero pointer.  That value
          will not be used for the thru-POA case.  A valid collocation
          proxy broker factory function is still generated for the direct
          collocation case.

Tue Mar  8 17:22:13 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerate.

Tue Mar 08 21:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*S.{h,cpp,inl}:
          Regenerated with the latest TAO_IDL compiler

Tue Mar 08 12:26:03 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/get_arg.h:

          Moved thru-POA/skeleton argument selection function templates
          out of generated skeletons and into this new file.

        * TAO_IDL/be/be_codegen.cpp:

          Generate include directive for new get_arg.h header file when
          thru-POA collocation support is enabled and an unconstrained
          interface is seen.

        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp:

          Since MSVC++ 6 cannot handle typedefs that depend on template
          parameters, explicitly specify the return argument type in a
          second template parameter for the get_*_arg<>() function
          templates.

        * TAO_IDL/be/be_visitor_root/root.cpp:

          Remove thru-POA/skeleton argument selection function template
          generation.  Those templates are now in the PortableServer
          library.

Tue Mar 08 10:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Collocated/Forward/OBV_Forward.mpc:
          Removed taoclient as base project

Tue Mar 08 09:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Collocated_Test.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/interceptors.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp:
          Changed this test so that the validations are correct. The checks
          where in the client and server task, but because we are collocated
          this is risky because the interceptors are called by the client task,
          but we validate in the server task. Moved all validations to the main
          where we can safely check things after the worker threads are ended.

Tue Mar 08 09:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp:
          In case we have detect a problem, print out the number of times the
          server interceptor has been called and how much times we expect that
          it is called.

Tue Mar 08 08:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Server_Request.{h,cpp,i}:
          Shallow copy the request service context from the operation details
          so that we share the buffer, we can't do this for the reply service
          context because it is allocated later in the process.

Tue Mar  8 06:54:56 2005  Olli Savia  <ops@iki.fi>

        * tao/ORBInitializer_Registry.h:
          Added a workaround for g++ (version 2.9-gnupro-98r2) on LynxOS 3.x
          which has problems with friend declarations in namespaces.

Tue Mar 08 09:21:39 IST 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Connection_Handler.h:
        * tao/Connection_Handler.inl:
        * tao/Transport_Connector.cpp:

          Cosmetic fixes to use consts and bools when possible.

Tue Mar 08 08:53:43 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp (make_connection):

          Fixed a compile error due to the changes in

          Mon Mar 07 16:37:25 IST 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

Tue Mar 08 08:49:12 IST 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp (make_connection):

          Fixed a compile error due to the changes in

          Mon Mar 07 16:37:25 IST 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

Mon Mar 07 21:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Server_Request.i:
          Added include of operation_details.h

Mon Mar 07 18:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

          Most changes below are for fixing some problems with through POA
          collocation. With the skeleton refactoring the invocation path
          is changed and we pass through the POA. It can happen that in the
          server code a user exception is thrown and this must be passed
          back to the client which is collocated. We now go through several
          TAO classes which had a throw specification of CORBA::SystemException.
          When this is declared then we can only throw system exceptions and
          the user exception we rethrowed caused the TAO unexpected exception
          handler to be invoked and then an unknown exception was thrown
          instead of the user exception. We removed the throw specification
          for the methods involved, that way the user exception is passed
          correctly to the client. When you get an unknown exception in the
          client in a collocated case, then look for methods in the invocation
          path that have a throw specification and remove it.

        * tao/Adapter.h:
        * tao/Adapter_Registry.{h,cpp}:
        * tao/Request_Dispatcher.{h,cpp}:
        * tao/PortableServer/Object_Adapter.{h,cpp}:
          Removed ACE_THROW_SPEC for the dispatch method

        * tao/Collocated_Invocation.{h,cpp}:
          Removed ACE_THROW_SPEC for the invoke method

        * tao/Service_Context.h:
          Declared private copy constructor/assignment operator. We don't
          want to risk that we copy this by accident with a deep copy, costs
          too much performance

        * tao/TAO_Server_Request.h:
          Doxygen changes

        * tao/TAO_Server_Request.i:
          In the collocated case we have set the operation_details_, at
          that moment get the reply/request service context from the
          operation_details instead from our own members.

          This is the last bugfix for bugzilla bug 586

Mon Mar 07 14:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyFactoryImpl.cpp:
          Changed "Unable to get" to "ERROR, Unable to get" so that the
          autobuild script detects these errors

        * tao/PortableServer/PortableServer.cpp:
          Load the explicit activation strategy in the minimum corba
          configuration, we need it for the root poa

Mon Mar 07 14:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Adapter_Factory.cpp:
          Initialise pointer with 0

Mon Mar 07 13:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/interceptors.cpp:
          Removed check for _is_a, also enabled some more debug statements
          so that it is better to see what is going on.

        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/run_test.pl:
          Removed info message that this test doesn't work and removed
          check_return_value call

Mon Mar 07 13:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Bug_1559/interceptors.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.cpp:
          Removed checks for _is_a, this was because PI was broken but now
          things work

Mon Mar 07 13:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Base.cpp:
          Use ACE_CATCHANY instead of a catch of CORBA::Exception, this gives
          the same result but gives the same setup as use elsewhere

Mon Mar  7 06:04:18 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/UIOP_Connector.cpp:

          Fixed subtle compilation errors from my last checkins.

Mon Mar 07 16:37:25 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Resource_Factory.h:
        * tao/default_resource.cpp:
        * tao/default_resource.h:

          Added a new strategy to decide whether the ORB should continue
          to shutdown when waiting for outstanding replies. The name of
          the resource factory option is "-ORBDropRepliesonShutdown",
          which when on would drop replies when the ORB is shutting down
          and wait for replies when turned off.

        * tao/Leader_Follower.cpp:
        * tao/Thread_Lane_Resources.cpp:

          Use the above strategy to wakeup threads if they are waiting for
          replies.

        * tao/Transport_Connector.cpp:

          Fixed a race condition and a subtle problem. If a thread waits
          for connection completion, and if the ORB is shutdown (with the
          strategy turned on), it is possible for the thread to exit the
          LF without accepting the connection. This creates a problem when
          the reactor is shutdown since there is a dangling reference to a
          connection handler which might have been closed completely. To
          get around this problem, we do a check to see if a connection
          has been completed, and if not we clear the reactor of the
          dangling reference.

        * tao/Profile_Transport_Resolver.h (blocked_connect):
        * tao/Profile_Transport_Resolver.inl:

          Changed the method name to be blocked_connect () instead of
          blocked ().

        * tao/IIOP_Connector.cpp:
        * tao/Invocation_Endpoint_Selectors.cpp:

          Used blocked_connect () on Profile_Transport_Resolver.

Mon Mar 07 08:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1495_Regression/Client_Task.cpp:
        * tests/Bug_1495_Regression/Server_Task.cpp:
        * tests/Bug_1495_Regression/Threaded_Server.cpp:
          Print out where the exception is caught

        * tests/Bug_1495_Regression/test.idl:
          Converted documentation to doxygen style

Mon Mar 07 07:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Leader_Follower.cpp:
          Added include of OS_NS_sys_time.h to get ACE_OS::gettimeofday

Sun Mar  6 20:27:53 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerate.

Sun Mar 06 21:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp:
          Print out where the exception is caught

        * tests/Portable_Interceptors/Collocated/Dynamic/test.idl:
          Converted documentation to doxygen style

Sun Mar 06 21:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Service_Context_Manipulation/client.cpp:
          When an exception is caught, print out that it is caught in the
          client.

        * tests/Portable_Interceptors/Service_Context_Manipulation/server.cpp:
          When an exception is caught, print out that it is caught in the
          server.

        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.cpp:
          In the send_reply() don't call get_reply_service_context for
          the _is_a operation because there is no service context created
          for it. This change is needed because a side effect of the
          skeleton refactoring is that interceptors are called more spec
          compliant

Sun Mar 06 21:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Bug_1559/client.cpp:
          When an exception is caught, print out that it is caught in the
          client.

        * tests/Portable_Interceptors/Bug_1559/server.cpp:
          When an exception is caught, print out that it is caught in the
          server.

        * tests/Portable_Interceptors/Bug_1559/interceptors.cpp:
          In the send_reply() don't call get_reply_service_context for
          the _is_a operation because there is no service context created
          for it. This change is needed because a side effect of the
          skeleton refactoring is that interceptors are called more spec
          compliant

Sun Mar 06 21:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Operation_Table_Factory.h:
        * tao/PortableServer/Operation_Table_Parameters.h:
          These files are splitted from Operation_Table.h but it seems
          the Operation_Table_Factory and Operation_Table_Parameters
          are not used anymore and nobody knows why we have them, so
          zapped them.

Sun Mar  6 02:03:25 2005  Tao Lu  <lu@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/fp_example/test_i.cpp:
        * examples/Kokyu_dsrt_schedulers/mif_example/test_i.cpp:
        * examples/Kokyu_dsrt_schedulers/muf_example/test_i.cpp:
        * examples/RTScheduling/Job_i.cpp:
        * examples/RTScheduling/Fixed_Priority_Scheduler/FP_Task.cpp:
        * examples/RTScheduling/MIF_Scheduler/MIF_Task.cpp:
        * tao/Leader_Follower.cpp:
        * tao/LocateRequest_Invocation.cpp:
        * tao/Profile_Transport_Resolver.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/Wait_On_Reactor.cpp:
        * tao/Wait_On_Read.cpp:
        * tests/RTCORBA/Priority_Inversion_With_Bands/test_i.cpp:
        Added proper include for Countdown_Time.h

Sat Mar 05 11:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1495_Regression/test.idl:
          Made the shutdown method a oneway

Fri Mar 04 09:26:46 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Collocated_Invocation.cpp (invoke):

          Perform thru-POA collocated invocations through the servant
          ORB.  The client code will otherwise not be able to find the
          servant in applications that use multiple ORBs.  Addresses a
          regression that occured after the skeleton-refactor branch
          merge.  Thanks to Johnny for tracking down the problem and
          suggesting a fix.  [Bug 2055]

          Increment the reference count on the servant ORB_Core prior to
          dispatching the request in the thru-POA collocation case.
          Ownership of the servant ORB_Core must be retained for the
          duration of the request in case another thread attempts to
          destroy it (e.g. via CORBA::ORB::destroy()) before the thread
          that initiated the request completes the invocation.  Fixes a
          race condition.  [Bug 2055]

        * tao/Invocation_Adapter.cpp (invoke):

          In addition to the existing collocation proxy broker collocation
          test, determine if collocation is viable by checking if the
          object reference contains a valid pointer to a servant.
          Collocation proxy brokers should be phased out soon.

        * tao/PortableServer/Object_Adapter.cpp (dispatch_servant):

          Call Servant_Upcall::pre_invoke_collocated_request() in the
          collocated case, not pre_invoke_remote_request().

Fri Mar  4 15:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/fe/fe_lookup.cpp:
          Removed struct before TAO_IDL_CPP_Keyword_Entry . It is not needed
          and can cause msvc6 to go crazy. This change matches the earlier change

        Sun Feb 27 10:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
          Generate const TAO_operation_db_entry * instead of
          const struct TAO_operation_db_entry * as return type of the
          lookup operation, msvc6 has problems with the struct

Fri Mar  4 14:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_global.h:
        * tao/PortableServer/Operation_Table_Parameters.h:
          Removed user defined and active demux enums from the lookup strategy.
          These are not used at all anymore

Fri Mar  4 13:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Added new Operation_Table files

Fri Mar  4 11:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1482_Regression/test.mpc:
          No need to set the exename for the server project

Fri Mar  4 10:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Operation_Table.{h,cpp}:
        * tao/PortableServer/Operation_Table_Binary_Search.{h,cpp}:
        * tao/PortableServer/Operation_Table_Dynamic_Hash.{h,cpp}:
        * tao/PortableServer/Operation_Table_Factory.{h,cpp}:
        * tao/PortableServer/Operation_Table_Linear_Search.{h,cpp}:
        * tao/PortableServer/Operation_Table_Parameters.{h,cpp}:
        * tao/PortableServer/Operation_Table_Perfect_Hash.{h,cpp}:
          Splitted the Operation_Table in multiple files so that only the
          strategy that is used is linked into the applicatin. Removed the
          TAO_Active_Demux_OpTable it seems not to be used.

        * TAO_IDL/be/be_codegen.cpp:
          Dependent on the specified lookup strategy include on of the
          specific operation table strategy files which are listed above

        * tao/Domain/DomainS.cpp:
        * tao/ImR_Client/ImplRepoS.cpp:
        * tao/ImR_Client/ServerObjectS.cpp:
        * tao/Messaging/MessagingS.cpp:
        * tao/PortableServer/PolicyS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp
          Updated include of Operation_Table.h to the right strategy

Thu Mar  3 15:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Exposed_Policies/Counter.idl:
          Converted documentation to doxygen style

Thu Mar  3 15:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Forwarding/test.idl:
          Made the shutdown call a oneway

Thu Mar  3 12:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Root_POA.cpp:
          In a minimum poa build we must set the implicit activation policy
          to implicit for the root poa. This fixes the errors in the minimum
          poa build

Thu Mar  3 07:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp:
          Added include of OS_NS_unistd.h to get ACE_OS::getpid

        * examples/POA/DSI/Database.idl:
          Made the shutdown method a oneway

Wed Mar  2 20:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CORBALOC_Parser.h:
          Fixed fuzz errors

Wed Mar  2 13:29:50 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/tao.mpc:

          Added 2 missing files - Dynamic_Adapter.cpp and NVList.cpp.
          Thanks to Don Busch <busch_d@ociweb.com> for pointing out
          the mistake.

Wed Mar  2 06:30:32 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp:
        * orbsvcs/Concurrency_Service/Concurrency_Service.h:

          Added '-p' command line option to write process id to file.

          Changed to save the IOR file name instead of opening the IOR
          file when parsing command line arguments.  This avoids a file
          descriptor leak if multiple "-o" options are specified on the
          command line.

Wed Mar  2 06:22:37 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.h:

          Changed to save the IOR file name instead of opening the IOR
          file when parsing command line arguments.  This avoids a file
          descriptor leak if multiple "-o" options are specified on the
          command line.

Wed Mar  2 12:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/DSI/client.cpp:
          Added extra debug line to see if the client gets an exception on the
          destroy_entry or on the shutdown method

Wed Mar  2 11:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Base.cpp:
          Removed debug statement that seems to be there just for testing and
          probably is forgotten to be removed

Wed Mar  2 11:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Server_Task.cpp:
          Initialise pointer with 0.

        * tao/IFR_Client_Adapter.{h,cpp}:
          Removed not needed virtual destructor

        * tao/Messaging/diffs/Messaging.diff:
        * tao/Messaging/diffs/Messaging_No_Impl.diff:
          Updated

        * tao/PortableServer/PolicyS.cpp:
          Regenerated

Tue Mar  1 15:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CORBALOC_Parser.cpp:
          Use TAO::VMCID instead of TAO_DEFAULT_MINOR_CODE,
          TAO_DEFAULT_MINOR_CODE is deprecated and shouldn't be used

Tue Mar  1 15:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/AbstractBase.{h,cpp}:
          Made the _tao_marshal_v a const method

Tue Mar  1 01:46:22 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
        * tao/PortableServer/Servant_Base.cpp:

          Fixed inconsistencies in AMH skeleton function parameter order.
          Addresses regressions in the Bug_1670_Regression test.

Tue Mar  1 00:47:51 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/CORBALOC_Parser.cpp:

          Include "ace/os_include/os_netdb.h" to pull in MAXHOSTNAMELEN
          constant.

        * tao/Invocation_Adapter.cpp (invoke_i):

        * tao/TAO_Server_Request.cpp (tao_send_reply):
          (tao_send_reply_exception):

          Do not attempt to send a reply over the transport in the
          collocated case.  There is no transport in that case.

        * tao/TAO_Server_Request.h (collocated):
        * tao/TAO_Server_Request.i (collocated):

          New accessor that returns true if the current request is
          collocated.

        * tao/PortableServer/Servant_Base.cpp
          (synchronous_upcall_dispatch):

          Re-throw the caught exception in the collocated case.  The
          exception must be directly reported to the collocated client
          since the exception will not be marshaled and sent back to the
          client side ORB.

Tue Mar  1 08:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ObjRefTemplate/ORT_Adapter_Impl.{h,cpp}:
        * tao/ObjRefTemplate/ORT_Adapter_Factory_Impl.{h,cpp}:
        * tao/PortableServer/ORT_Adapter_Factory.{h,cpp}:
        * tao/PortableServer/ORT_Adapter.{h,cpp}:
          Removed not needed destructors

Mon Feb 28 20:31:35 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Enabled inlined code generation for constants
          (constant's value is assigned in the header file declaration)
          when the constant is declared inside an interface, home,
          valuetype or eventtype. The only documented problem with
          inlined code generation for these types of constants is
          when pre-compiled headers are used, in which case the IDL
          compiler option -Guc can be used to explicitly turn off
          inline constant generation. Thanks to Steve Baker
          <steven_d_baker@raytheon.com> for redirecting our attention
          to the known problem that uninlined constants cannot be used
          as union case labels, or array, sequence or string bounds
          since the C++ compiler does not recognize them as constant
          values.

Mon Feb 28 17:06:44 2005  Iliyan Jeliazkov  <jeliazkov_i@ociweb.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:

          Fixed an issue with servers requiring client authentication, whereby
          the server failed to resume an SSL session and terminates a
          connection in the middle of the handshake, because the
          (OpenSSL-based) SSL library was not getting correctly initialized
          with a call to SSL_CTX_set_session_id_context(3), as pointed out in
          the man page warnings section.

          Added new service configuration option "-SSLCAFile FORMAT:file" to
          allow the user to explicitly specify where TAO must load the Trusted
          Certificates from. The FORMAT is either "PEM" or "DER". Added new
          service configuration option "-SSLCAPath directory" to allow
          explicit specification of the directory, where the Trusted
          Certificates are located. The directory must be in a particular
          format - see openssl(1) fom more details on how to install
          additional CA certificates.  Added new service configuration option
          "-SSLRand file1:file2:.." to allow specification of additional
          sources of randomness (entropy). The option mimics the -rand option
          on genrsa(1), for example. Note that on Windows platforms it accepts
          semi-colon (";") as path delimiter vs. colon (":") on Unix
          platforms.


Mon Feb 28 21:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ObjRefTemplate/Default_ORTA.cpp:
        * tao/ObjRefTemplate/Default_ORTC.{h,cpp.inl}:
        * tao/ObjRefTemplate/ObjectReferenceTemplateA.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.{h,cpp,inl}:
        * tao/Messaging/*A.cpp:
        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/Messaging/*S.{h,cpp,inl}:
        * tao/Messaging/*S_T.{h,cpp,inl}:
          Regenerated

Mon Feb 28 13:29:36 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/CORBALOC_Parser.cpp:
        * tao/CORBALOC_Parser.h:
        * tao/CORBALOC_Parser.i:

          Fixed a memory leak resulting from incorrect reference count
          management in the corbaloc parser. The bad code was using
          mprofile::add_profile to assign the profile, then releasing its
          reference without decrementing the count. Since add_profile
          increments, this caused the failure. Replacing add_profile with
          give_profile is the best fix, since give_profile is what we
          really want to do.

          Changes in CORBALOC_Parser.[h,i] move inlined ctor/dtor code out
          of the header proper and into the inline file. The dtor also
          does the right thing of explicitly decrementing the reference
          count of any profile not given away to the mprofile.


Mon Feb 28 19:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/PluggableTopology/PlugTop.mpc:
          Use exceptions as base project instead of requires exceptions

Mon Feb 28 19:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/ValueBase.{h,cpp}:
          Made the marshal method const, no need for being it non-const

        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
          Generate const marshal methods

        * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
          No need to generate a const_cast for the valuetype argument because
          of the changes above

Mon Feb 28 11:14:35 2005  Ciju John  <john_c@ociweb.com>

        * tao/IIOP_Acceptor.cpp:
          Changed deperecated ACE_x_cast macros to C++ versions. Can cause
          build failure if ACE_LACKS_DEPRECATED_MACROS is defined.

Mon Feb 28 07:21:14 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/RTCORBA_Baseline.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/RTCORBA_Callback.mpc:
          Reverted:
          Fri Feb 25 21:58:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

          MPC's custom_only feature does not work with VC71.

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/LoadBalancing.mpc:
        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/DsLogAdmin.mpc:

          Reverted:
          Fri Feb 25 07:00:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

          MPC's custom_only feature does not work with VC71.

Mon Feb 28 14:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Constants.h:
          Added ifndef ACE_LACKS_DEPRECATED_MACROS around the deprecated
          macros. This is used in a test build to check if these deprecated
          macros aren't used anymore and prevent new usage

Mon Feb 28 14:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/main.cpp:
          Specify access control to get rid of Tru64 warning

Mon Feb 28 07:58:58 2005  Ciju John  <john_c@ociweb.com>

        * tao/IIOP_Acceptor.cpp:
        * tao/IIOP_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Acceptor.cpp:
          Refactored the parse_options method bringing common code to the
          base class. In the future this work needs to be taken a
          higher level with common code moved to TAO_Acceptor class. This
          will affect all pluggable protocols, but saves from
          code-duplication.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:
          Added portspan capability to SSLIOP.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
          Set option SSL_MODE_ACCEPT_MOVING_WRITE_BUFFER during
          non-blocking IO. This allows a retry of write to use a different
          input buffer equating SSL_write behaviour with write(2).

Mon Feb 28 11:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/LifespanStrategyPersistent.cpp:
          Only try to load the ImR_Client library in a shared build, in a
          static build we just can't do this, trying to do this will result
          in an error outputted to the log

Sun Feb 27 11:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
          Refactored generated code for _this() to eliminate an
          if block. This safes a few bytes for each interface in the AMH case.

Sun Feb 27 10:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
          Generate const TAO_operation_db_entry * instead of
          const struct TAO_operation_db_entry * as return type of the
          lookup operation, msvc6 has problems with the struct

        * tao/ImR_Client/ServerObject{C,A,S}.{h,cpp,inl}:
        * tao/ImR_Client/ImplRepo{C,A,S}.{h,cpp,inl}:
          Regenerated

Sun Feb 27 07:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PortableServerA.cpp:
          Fixed problem in minimum corba configuration, a little bit too much
          was ifdef'd out

        * tao/PortableServer/diffs/*.diff:
          Updated

Sun Feb 27 07:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/GOA.cpp:
          Replaced some ACE_x_cast macros with their C++ versions

Sat Feb 26 15:35:42 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * utils/catior/Makefile.am:
        * utils/nslist/Makefile.am:

          Regenerated.

Sat Feb 26 15:17:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Makefile.am:
        * orbsvcs/tests/AVStreams/Makefile.am:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile.am:
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Latency/Makefile.am:
        * orbsvcs/tests/AVStreams/Modify_QoS/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast/Makefile.am:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile.am:
        * orbsvcs/tests/AVStreams/Multiple_Flows/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile.am:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile.am:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated without QoS support.

        * configure.ac:

          Add orbsvcs/test/BiDir_CORBALOC/Makefile to AC_CONFIG_FILES
          list.

        * orbsvcs/test/BiDir_CORBALOC/Makefile.am:

          New file.

Fri Feb 25 21:58:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/lib/Makefile.am:

          Regenerated.

        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/RTCORBA_Baseline.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/RTCORBA_Callback.mpc:

          Add new project for IDL generation.

Fri Feb 25 18:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Domain/DomainS.{h,cpp,inl}:
        * tao/Domain/DomainS_T.{h,cpp,inl}:
          Regenerated

Fri Feb 25 07:00:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Makefile.am:

          Regenerated.

        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/LoadBalancing.mpc:

          Added new project just for IDL generation using the new MPC
          "custom_only" feature.  This avoids problems in MPC's automake
          support when aggregating multiple project Makefile.am's that
          each contain rules to compile the IDL files.

        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/DsLogAdmin.mpc:

          Added new project just for IDL generation using the new MPC
          "custom_only" feature.  This avoids a MPC bug where only source
          files which are actually used in a project that compiles an IDL
          file are added to the list of output files.

Fri Feb 25 14:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/wait_for_completion/wait_for_completion.mpc:
          Simplified this mpc file

Fri Feb 25 12:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional_NestedUpcall/BiDirectional_NestedUpcall.mpc:
          Renamed to BiDir_NestedUpcall.mpc to fix fuzz error

        * tests/RTCORBA/Activate_Object_Multiple_ORBs/Activate_Object_Multiple_ORBs.mpc:
          Renamed to AO_Multiple_ORBs.mpc to fix fuzz error

Fri Feb 25 12:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_8_and_10/Advanced_ch_8_and_10.mpc:
        * examples/Advanced/ch_3/Advanced_ch_3.mpc:
        * docs/tutorials/Quoter/AMI/Quoter_AMI.mpc:
        * docs/tutorials/Quoter/Event_Service/Quoter_Event_Service.mpc:
        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
        * docs/tutorials/Quoter/On_Demand_Activation/Quoter_On_Demand_Activation.mpc:
        * docs/tutorials/Quoter/RT_Event_Service/Quoter_RT_Event_Service.mpc:
        * docs/tutorials/Quoter/Simple/Client/Quoter_Simple_Client.mpc:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
        * docs/tutorials/Quoter/Simple/Server/Quoter_Simple_Server.mpc:
        * orbsvcs/examples/FaultTolerance/RolyPoly/RolyPoly.mpc:
        * orbsvcs/examples/ImR/Combined_Service/ImR_Combined_Service.mpc:
        * orbsvcs/examples/LoadBalancing/LoadBalancing.mpc:
          Simplified these mpc files by using the correct base projects

Fri Feb 25 10:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Root_POA.cpp:
          Fixed problems in minimum corba build

Fri Feb 25 09:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ServerObject{C,A,S}.{h,cpp,inl}:
        * tao/ImR_Client/ImplRepo{C,A,S}.{h,cpp,inl}:
        * tao/PortableServer/PolicyS.{h,cpp,inl}:
        * tao/PortableServer/PolicyS_T.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S_T.{h,cpp,inl}:
        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/Messaging/*A.cpp:
        * tao/Messaging/*S.{h,cpp,inl}:
          Regenerated

Thu Feb 24 23:29:14 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:

          Fixed unused "servant_upcall" argument warning in the case where
          interceptor support is disabled.

Thu Feb 24 23:13:36 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/SystemException.h (SystemException):

          Made copy constructor public.  HP aC++ wants to have a public
          copy constructor when the exception is listed in an exception
          specification.

Thu Feb 24 22:49:17 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Upcall_Wrapper.h:

          Removed include directive for "tao/Environment.h".  Johnny's
          CORBA::Environment forward declaration fulfils the
          requirements.

Thu Feb 24 22:19:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Sequence.cpp:
        * tao/Sequence_T.cpp:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
        * tao/Messaging/Connection_Timeout_Policy_i.cpp:
        * tao/PortableServer/Active_Object_Map.cpp:
        * tao/PortableServer/Collocated_Object_Proxy_Broker.cpp:
        * tao/RTCORBA/Network_Priority_Mapping_Manager.i:
        * tao/RTCORBA/Priority_Mapping_Manager.i:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
        * tao/RTCORBA/RT_ORB.cpp:
        * tao/RTCORBA/RT_Policy_i.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTCORBA/RT_Stub.cpp:
        * tao/RTCORBA/RT_Transport_Descriptor.cpp:
        * tao/RTCORBA/RT_Transport_Descriptor_Property.cpp:
        * tao/RTPortableServer/RT_Policy_Validator.cpp:
        * tao/RTScheduling/Current.cpp:
        * tao/RTScheduling/RTScheduler_Manager.i:
        * tao/RTScheduling/Request_Interceptor.cpp:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/SCIOP_Acceptor.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Profile.cpp:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/UIOP_Endpoint.cpp:
        * tao/Strategies/sciop_endpoints.cpp:
        * tao/Strategies/sciop_endpoints.i:
        * tao/Strategies/uiop_endpoints.cpp:
        * tao/Strategies/uiop_endpoints.i:
        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/Sequence_T.inl:
        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/ValueFactory_Map.cpp:
        * tao/Valuetype/Value_VarOut_T.cpp:

          Converting remaining deprecated ACE cast macro calls to their
          standard C++ counterparts.

Thu Feb 24 22:09:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Upcall_Wrapper.cpp (upcall):

          Instantiate TAO_PICurrent_Guard and perform upcall within their
          own scope prior to invocation of an ending interception point.
          Addresses a regression that was introduced after the skeleton
          refactoring branch merge.

Thu Feb 24 17:34:52 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp (gen_skel_helper):

          Fixed order of "servant_upcall" and "servant" arguments passed
          to "_skel" function corresponding to virtual base class.  The
          order was inadvertently swapped during the skeleton-refactor
          merge.

Thu Feb 24 16:07:15 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Concurrency_Service/Makefile.am:
        * orbsvcs/CosEvent_Service/Makefile.am:
        * orbsvcs/Dump_Schedule/Makefile.am:
        * orbsvcs/Event_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Event_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Factory_Service/Makefile.am:
        * orbsvcs/FTRT_Event_Service/Gateway_Service/Makefile.am:
        * orbsvcs/FT_ReplicationManager/Makefile.am:
        * orbsvcs/Fault_Detector/Makefile.am:
        * orbsvcs/Fault_Notifier/Makefile.am:
        * orbsvcs/IFR_Service/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/LifeCycle_Service/Makefile.am:
        * orbsvcs/LoadBalancer/Makefile.am:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Makefile.am:
        * orbsvcs/Logging_Service/Event_Logging_Service/Makefile.am:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Makefile.am:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile.am:
        * orbsvcs/Naming_Service/Makefile.am:
        * orbsvcs/Notify_Service/Makefile.am:
        * orbsvcs/Scheduling_Service/Makefile.am:
        * orbsvcs/Time_Service/Makefile.am:
        * orbsvcs/Trading_Service/Makefile.am:

          Regenerated.

Thu Feb 24 15:06:57 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * TAO_IDL/Makefile.am:
        * orbsvcs/TAO_Service/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.am:
        * tao/Makefile.am:

          Regenerated.

        * tao/tao.mpc:

          Removed OBV_Constants.h from Header_Files section.

Thu Feb 24 12:54:54 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Fixed_Size_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Size_SArgument_T.h:
        * tao/PortableServer/Fixed_Size_SArgument_T.inl:

          Fixed memory management and parameter passing problems.
          Addresses run-time problems exhibited by applications that pass
          fixed size types, such as fixed size structures, as parameters
          or return values.

Thu Feb 24 11:12:12 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp (visit_attribute):

          Avoid generating a duplicate structure in the skeleton when
          generating Arg_Traits<> for ThruPOA and direct collocation
          code.

Thu Feb 24 10:38:04 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/tao.mpc:

          Removed all skeleton related "*SArgument* files.  They are now
          in the tao/PortableServer directory.

Thu Feb 24 10:34:49 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Object_SArgument_T.h:
        * tao/Var_Size_SArgument_T.h:

          Neglected to remove these files during the skeleton-refactor
          branch merge.  Thanks to J.T. for pointing out they were still
          there.

Thu Feb 24 18:14:23 2005  Olli Savia  <ops@iki.fi>

        * tests/RTCORBA/RTMutex/server.cpp:
          Removed LynxOS specific code which is no longer needed.

Thu Feb 24 15:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Fixed_Array_SArgument_T.h:
        * tao/PortableServer/Var_Array_SArgument_T.h:
          Removed trailing semi-colon after namespace closure

Thu Feb 24 07:13:00 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/PSS/Makefile.am:

          Removed.

        * orbsvcs/Makefile.am:
        * configure.ac:

          Remove PSS from list of subdirs.

Thu Feb 24 06:57:46 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/OBV/Supports/Supports_Test.mpc:

          Change "dummy_lable" to "dummy_label".

        * orbsvcs/PSS/PSDL.mpc:

          Change "dummy" to "dummy_label".

Thu Feb 24 08:10:35 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface (gen_skel_helper):

          Cleaned up generated code for calls to base class *_skel()
          methods, by changing C-style casts to static_cast<> and
          by eliminating redundant casts. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting the problem.

Thu Feb 24 12:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.cpp:
          Removed not needed cast

Thu Feb 24 10:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation/Collocation.mpc:
        * tests/LongUpcalls/LongUpcalls.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
          Added exename

Thu Feb 24 10:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
          Fixed warnings in the Tru64 build

Thu Feb 24 09:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/*S.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S_T.{h,cpp,inl}:
          Regenerated

Wed Feb 23 15:47:31 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_sh.cpp:

          Commented out code generation that has been recently
          commented out in the corresponding interface visitor,
          due to the skeleton refactoring work.

Wed Feb 23 14:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Upcall.h:
          Fixed compile error in RTPortableServer library with SunForte,
          explicitly use :: before TAO_RT_Collocation_Resolver

Wed Feb 23 10:50:43 2005  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:

          Remove the call to shutdown the ORB when destroying the
          TAO_Notify_EventChannelFactory.  It is not necessary and is not
          necessarily what the user wants.

        * orbsvcs/tests/Notify/XML_Persistence/main.cpp:

          Fixed a bug in the argument processing code and deactivated the
          supplier and consumer before destroying the
          TAO_Notify_EventChannelFactory.

        * orbsvcs/tests/Notify/XML_Persistence/run_test.pl:

          Switch to a single process instead of doing the test in two parts.

Wed Feb 23 01:59:20 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Exception.h:

          Reverted change that made constructors protected.  MSVC++ 7.1
          cannot catch CORBA::Exception subclasses through a pointer or
          references to CORBA::Exception otherwise.

Wed Feb 23 01:03:30 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Fixed_Array_SArgument_T.h:
        * tao/PortableServer/Fixed_Array_SArgument_T.inl:
        * tao/PortableServer/Var_Array_SArgument_T.cpp:
        * tao/PortableServer/Var_Array_SArgument_T.h:
        * tao/PortableServer/Var_Array_SArgument_T.inl:
        * tao/PortableServer/Var_Size_SArgument_T.cpp:
        * tao/PortableServer/Var_Size_SArgument_T.h:
        * tao/PortableServer/Var_Size_SArgument_T.inl:

          Fixed memory management / parameter passing issues.  Addresses
          seg faults exhibited by TAO's Param_Test regression test.

Wed Feb 23 07:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Special_Basic_SArguments.h:
        * tao/PortableServer/UB_String_SArguments.h:
        * tao/PortableServer/Basic_SArgument_T.h:
        * tao/PortableServer/Special_Basic_SArgument_T.h:
        * tao/PortableServer/UB_String_SArgument_T.h:
        * tao/PortableServer/BD_String_SArgument_T.h:
          Removed trailing ; after namespace closure to fix warnings
          on Tru64

Tue Feb 22 21:58:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/BD_String_SArgument_T.cpp:

          Corrected inline source file name in #include directive.

        * tao/PortableServer/Var_Array_SArgument_T.cpp
          (Out_Var_Array_SArgument_T::interceptor_param):

          Initialize the temporary "_forany" instance being inserted into
          the Any with underlying pointer of the "_var" attribute
          representing "out" variable array argument.  Addresses build
          errors and warnings in a number of builds.

Tue Feb 22 20:59:18 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Upcall_Wrapper.cpp:

          Fixed compile-time errors in "no interceptor" configuration.

Tue Feb 22 20:17:45 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/exceptlist_ss.cpp:

          If no user exceptions are declared in the IDL, generate a
          constant pointer to a constant CORBA::TypeCode_ptr initialized
          to zero, instead of constant array of zero length.  MSVC++ 7.1
          and Borland C++ cannot handle zero length arrays.

        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:

          Removed this file.  It was left over from the old interceptor
          visitors.

        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp (visit):

          Removed generation of private copy constructor and assignment
          operator.  They aren't needed in this case.  Addresses MSVC++
          7.1 compile-time warnings regarding unimplemented local class
          members.

        * tao/Domain/DomainS.cpp:
        * tao/ImR_Client/ImplRepoS.cpp:
        * tao/ImR_Client/ServerObjectS.cpp:
        * tao/Messaging/MessagingS.cpp:
        * tao/PortableServer/PolicyS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:

          Fixed compile time errors regarding zero length arrays.  MSVC++
          7.1 and Borland C++ cannot handle them.

          (Upcall_Command):

          Removed copy constructor and assignment operator.  MSVC++ 7.1
          warns of unimplemented local class members.  They aren't needed
          in this case.

        * tao/PortableServer/ServerRequestInfo.h:
        * tao/PortableServer/ServerRequestInfo.inl:
        * tao/PortableServer/Upcall_Wrapper.cpp:
        * tao/PortableServer/Upcall_Wrapper.h:

          Changed exception TypeCode array parameter to pointer form
          instead of array form (e.g. "int foo *" instead of "int
          foo[]").  Part of a workaround for C++ compilers that can't
          handle zero length arrays.

Tue Feb 22 19:29:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Special_Basic_SArgument_T.cpp
          (Ret_Special_Basic_SArgument_T::interceptor_result):

          Corrected argument to Any insertion operator.  Must use the
          "Any::from_*" helper type when inserting special types like
          boolean, octet, etc.

Tue Feb 22 19:18:57 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * tests/IDL_Test/main.cpp:

          Removed non-portable use of ServantBase::_downcast() method.  It
          no longer exists in TAO.

Tue Feb 22 18:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Upcall_Command.h:
          Added forward declaration CORBA::Environment

Tue Feb 22 18:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IFR_Client/IFR_BaseS.h:
          Removed includes which I should have removed after regenerating
          this file

Tue Feb 22 18:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.cpp:
          Fixed compile error due to TAO_Server_Request interface change

Tue Feb 22 07:57:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/Upcall_Wrapper.h:

          Added missing "tao/Environment.h" #include.

Tue Feb 22 07:31:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_root/root.cpp (visit_root):

          Do not generate argument selection function templates if
          unconstrained interfaces were not seen in the IDL.  Addresses
          build problems for skeletons corresponding such IDL files.
          Thanks to Johnny for pointing out the problem.

Tue Feb 22 15:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Non_Servant_Upcall.{h,cpp,inl}:
        * tao/PortableServer/POA_Current_Impl.h:
          Added :: before TAO_Root_POA to fix compile errors with Sun Forte

Tue Feb 22 15:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Upcall.{h,cpp,inl}:
          Added :: before TAO_Root_POA to fix compile errors with Sun Forte

Tue Feb 22 15:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/POA_Current_Impl.{h,cpp,inl}:
          Added :: before TAO_Root_POA to fix compile errors with Sun Forte

Tue Feb 22 14:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
          Removed generation of ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION

        * tao/Messaging/*C.{h,cpp,inl}:
        * tao/Messaging/*A.cpp:
        * tao/Messaging/*S.{h,cpp,inl}:
          Regenerated

Tue Feb 22 13:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*C.{h,cpp,inl}:
        * tao/*A.cpp:
        * tao/PortableServer/*C.{h,cpp,inl}:
        * tao/PortableServer/*A.cpp:
        * tao/ObjRefTemplate/*C.{h,cpp,inl}:
        * tao/ObjRefTemplate/*A.cpp:
        * tao/RTCORBA/RTCORBAC.{h,cpp,inl}:
        * tao/RTCORBA/RTCORBAA.cpp:
        * tao/BiDir_GIOP/BiDirPolicyC.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S.{h,cpp,inl}:
        * orbsvcs/orbsvcs/IFRService/*S_T.{h,cpp,inl}:
          Regenerated

        * tao/PortableServer/Upcall_Wrapper.h:
          Added forward declaration of CORBA::Environment to fix compile
          problems in emulated exception builds

        * tao/ObjRefTemplate/diffs/ObjectReferenceTemplate.diff:
          New diff file

Tue Feb 22 12:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Domain/DomainS.{h,cpp,inl}:
        * tao/Domain/DomainS_T.{h,cpp,inl}:
          Regenerated

        * tao/Domain/diffs/Domain.diff:
          New diff file

Tue Feb 22 11:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ServerObject{C,A,S}.{h,cpp,inl}:
        * tao/ImR_Client/ImplRepo{C,A,S}.{h,cpp,inl}:
          Regenerated

Tue Feb 22 11:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Operation_Table.h:
          Changed "char const * const opname" to "char const * opname" . BCB
          complains about the first case

Tue Feb 22 10:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Any_SArg_Traits.h:
          Fixed file tag

Tue Feb 22 10:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IORManipulation/IORManip_Loader.h:
          Doxygen improvements

Tue Feb 22 10:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client_Adapter_Impl.{h,cpp}:
          Removed empty virtual destructor

Tue Feb 22 10:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI/AMI.mpc:
        * tests/AMI_Buffering/AMI_Buffering.mpc:
        * tests/AMI_Timeouts/AMI_Timeouts.mpc:
        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_MultipleORB/destroy.mpc:
        * tests/BiDirectional_NestedUpcall/BiDirectional_NestedUpcall.mpc:
        * tests/Big_Twoways/Big_Twoways.mpc:
        * tests/Blocking_Sync_None/Blocking_Sync_None.mpc:
        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.mpc:
        * tests/Bug_1020_Regression/Bug_1020_Regression.mpc:
        * tests/Bug_1269_Regression/Bug_1269_Regression.mpc:
        * tests/Bug_1270_Regression/Bug_1270_Regression.mpc:
        * tests/Bug_1361_Regression/Bug_1361_Regression.mpc:
        * tests/Bug_1476_Regression/Bug_1476_Regression.mpc:
        * tests/Bug_1535_Regression/Bug_1535_Regression.mpc:
        * tests/Bug_1635_Regression/Bug_1635_Regression.mpc:
        * tests/Bug_1636_Regression/test.mpc:
        * tests/Bug_1693_Test/Bug_1693_Test.mpc:
        * tests/CodeSets/simple/CodeSets_simple.mpc:
        * tests/Codec/Codec.mpc:
        * tests/Collocation/Collocation.mpc:
        * tests/Connection_Timeout/Connection_Timeout.mpc:
        * tests/Crashed_Callback/Crashed_Callback.mpc:
        * tests/DSI_Gateway/DSI_Gateway.mpc:
        * tests/DynAny_Test/DynAny_Test.mpc:
        * tests/FL_Cube/FL_Cube.mpc:
        * tests/Faults/Faults.mpc:
        * tests/File_IO/File_IO.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
        * tests/Leader_Followers/Leader_Followers.mpc:
        * tests/LongUpcalls/LongUpcalls.mpc:
        * tests/MProfile/MProfile.mpc:
        * tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.mpc:
        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/POA/Etherealization/Etherealization.mpc:
        * tests/POA/Identity/Identity.mpc:
        * tests/Server_Port_Zero/Server_Port_Zero.mpc:
        * tests/Smart_Proxies/On_Demand/SP_On_Demand.mpc:
        * tests/Stack_Recursion/Stack_Recursion.mpc:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception.mpc:
          Use taoserver/taoclient as base projects and some cleanup

Tue Feb 22 02:28:58 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Messaging/MessagingA.cpp:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/Messaging/MessagingC.inl:
        * tao/Messaging/MessagingS.cpp:
        * tao/Messaging/MessagingS.h:
        * tao/Messaging/MessagingS.inl:
        * tao/Messaging/MessagingS_T.cpp:
        * tao/Messaging/MessagingS_T.h:
        * tao/Messaging/MessagingS_T.inl:

          Regenerated these stubs and skeletons.

Tue Feb 22 02:03:20 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        The following changes were made in the course of refactoring the
        skeleton code generated by the TAO IDL compiler into the
        PortableServer library.  [Bugs 586, 1369]

        * tao/Abstract_Servant_Base.h (_downcast):

          Removed this method.  The C++ mapping does not require a
          "_downcast()" method for servants.

        * tao/Any_Arg_Traits.h:

          Moved skeleton-specific traits to the PortableServer library.

        * tao/Argument.h:

          Added some Doxygen documentation.

        * tao/BD_String_Argument_T.h:
        * tao/Basic_Argument_T.h:
        * tao/Fixed_Size_Argument_T.h:
        * tao/Object_Argument_T.h:

          Removed unnecessary "mutable" keyword in class member
          declaration.

        * tao/CDR.cpp (throw_skel_exception):
        * tao/Fixed_Array_Argument_T.h:
        * tao/Object_Argument_T.inl:
        * tao/UB_String_Argument_T.h:
        * tao/Var_Array_Argument_T.h:
        * tao/Var_Array_Argument_T.inl:
        * tao/Var_Size_Argument_T.h:
        * tao/PortableServer/Servant_Base.i:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:

          Minor cosmetic improvments.

        * tao/Collocated_Invocation.cpp (invoke):

          Invoke thru-POA collocated calls through the POA, not the no
          longer existent thru-POA proxy brokers.

        * tao/GIOP_Message_Generator_Parser_10.cpp:
        * tao/GIOP_Message_Generator_Parser_12.cpp:
        * tao/GIOP_Message_Lite.cpp:
        * tao/DynamicInterface/Server_Request.cpp:
        * tao/DynamicInterface/Server_Request.inl:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:

          The TAO_ServerRequest CDR stream accessors now return a pointer
          to a CDR stream instead of a reference.  Updated accordingly.

        * tao/Invocation_Adapter.cpp:
        * tao/Invocation_Adapter.h:
        * tao/Special_Basic_Argument_T.h:
        * tao/Special_Basic_Argument_T.inl:
        * tao/operation_details.h:
        * tao/operation_details.i:

          Const-correctness improvements.

        * tao/TAO_Server_Request.cpp:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.i:

          Added support code for thru-POA collocated invocations.  Entails
          introduction of a new constructor, operation details attribute,
          CDR stream attribute type changes, etc.

          Reordered class attributes to optimize padding alignment.

        * tao/BD_String_SArgument_T.cpp:
        * tao/BD_String_SArgument_T.h:
        * tao/BD_String_SArgument_T.inl:
        * tao/Basic_SArgument_T.cpp:
        * tao/Basic_SArgument_T.h:
        * tao/Basic_SArgument_T.inl:
        * tao/Basic_SArguments.cpp:
        * tao/Basic_SArguments.h:
        * tao/Fixed_Array_SArgument_T.cpp:
        * tao/Fixed_Array_SArgument_T.h:
        * tao/Fixed_Array_SArgument_T.inl:
        * tao/Fixed_Size_SArgument_T.cpp:
        * tao/Fixed_Size_SArgument_T.h:
        * tao/Fixed_Size_SArgument_T.inl:
        * tao/Object_SArgument_T.cpp:
        * tao/Object_SArgument_T.inl:
        * tao/Special_Basic_SArgument_T.cpp:
        * tao/Special_Basic_SArgument_T.h:
        * tao/Special_Basic_SArgument_T.inl:
        * tao/Special_Basic_SArguments.cpp:
        * tao/Special_Basic_SArguments.h:
        * tao/UB_String_SArgument_T.cpp:
        * tao/UB_String_SArgument_T.h:
        * tao/UB_String_SArgument_T.inl:
        * tao/UB_String_SArguments.cpp:
        * tao/UB_String_SArguments.h:
        * tao/Var_Array_SArgument_T.cpp:
        * tao/Var_Array_SArgument_T.h:
        * tao/Var_Array_SArgument_T.inl:
        * tao/Var_Size_SArgument_T.cpp:
        * tao/Var_Size_SArgument_T.inl:

          Moved these server side argument class templates to the
          PortableServer library.

        * tao/PortableServer/Any_SArg_Traits.h:
        * tao/PortableServer/BD_String_SArgument_T.cpp:
        * tao/PortableServer/BD_String_SArgument_T.h:
        * tao/PortableServer/BD_String_SArgument_T.inl:
        * tao/PortableServer/Basic_SArgument_T.cpp:
        * tao/PortableServer/Basic_SArgument_T.h:
        * tao/PortableServer/Basic_SArgument_T.inl:
        * tao/PortableServer/Basic_SArguments.cpp:
        * tao/PortableServer/Basic_SArguments.h:
        * tao/PortableServer/Fixed_Array_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Array_SArgument_T.h:
        * tao/PortableServer/Fixed_Array_SArgument_T.inl:
        * tao/PortableServer/Fixed_Size_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Size_SArgument_T.h:
        * tao/PortableServer/Fixed_Size_SArgument_T.inl:
        * tao/PortableServer/Object_SArg_Traits.h:
        * tao/PortableServer/Object_SArgument_T.cpp:
        * tao/PortableServer/Object_SArgument_T.h:
        * tao/PortableServer/Object_SArgument_T.inl:
        * tao/PortableServer/Special_Basic_SArgument_T.cpp:
        * tao/PortableServer/Special_Basic_SArgument_T.h:
        * tao/PortableServer/Special_Basic_SArgument_T.inl:
        * tao/PortableServer/Special_Basic_SArguments.cpp:
        * tao/PortableServer/Special_Basic_SArguments.h:
        * tao/PortableServer/UB_String_SArgument_T.cpp:
        * tao/PortableServer/UB_String_SArgument_T.h:
        * tao/PortableServer/UB_String_SArgument_T.inl:
        * tao/PortableServer/UB_String_SArguments.cpp:
        * tao/PortableServer/UB_String_SArguments.h:
        * tao/PortableServer/Var_Array_SArgument_T.cpp:
        * tao/PortableServer/Var_Array_SArgument_T.h:
        * tao/PortableServer/Var_Array_SArgument_T.inl:
        * tao/PortableServer/Var_Size_SArgument_T.cpp:
        * tao/PortableServer/Var_Size_SArgument_T.h:
        * tao/PortableServer/Var_Size_SArgument_T.inl:

          New source files containing classes that represent server-side
          operation arguments that were previously in the core TAO
          library.  Since they are only used by TAO_IDL generated
          skeletons, it is more appropriate for them to be in the
          TAO_PortableServer library.

          Fixed some minor problems (e.g. incorrect encapsulated argument
          type) that didn't appear previously since these classes were
          never used.

          Improved Doxygen documentation.

        * tao/PortableServer/Object_Adapter.cpp (dispatch):

          Updated to use new TAO::ServerRequestInfo and
          TAO::ServerRequestInterceptor_Adapter constructor signatures.

        * tao/PortableServer/Operation_Table.cpp:
        * tao/PortableServer/Operation_Table.h:

          Removed thru-POA skeleton function pointer operation table
          structure field.  Thru-POA collocated invocations now actually
          go through the POA, meaning that a thru-POA specific skeleton
          function is no longer necessary.

        * tao/PolicyA.cpp:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.inl:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/PolicyS.h:
        * tao/PortableServer/PolicyS.inl:
        * tao/PortableServer/PolicyS_T.cpp:
        * tao/PortableServer/PolicyS_T.h:
        * tao/PortableServer/PolicyS_T.inl:

          Regenerated these stub and skeleton files to pull in new
          stub/skeleton changes (e.g. skeleton refactoring).

        * tao/PortableServer/Servant_Base.cpp (_is_a):

          Declare the CORBA::Object repository ID string as a static
          constant character array, not as a non-static pointer to
          constant characters.  Gives the compiler additional
          opportunities for optimization.

        * tao/PortableServer/Servant_Base.h (TAO_ServantBase):

          Unprotected TAO-specific "_interface_repository_id()" method.
          There is no reason for it to be protected since it is pure
          virtual and since the Servants generated by the TAO_IDL compiler
          declare it as public.  Allows TAO::ServerRequestInfo to call
          this method polymorphically through the
          PortableServer::ServantBase base class.

          (_downcast):

          Removed this method.  The C++ mapping does not require a
          "_downcast()" method for servants.

        * tao/PortableServer/ServerRequestInfo.cpp:
        * tao/PortableServer/ServerRequestInfo.h:
        * tao/PortableServer/ServerRequestInfo.inl:

          Added a number of attributes (e.g. arguments, exception list,
          etc) that may be set through the constructor by the skeleton.
          Allows us to remove the operation-specific ServerRequestInfo
          subclasses from the skeletons, improving footprint for the
          TAO_HAS_INTERCEPTORS case.

          Made pointer to Servant_Upcall object const.  It's value should
          never change.

          (ServerRequestInfo):
        * tao/PortableServer/ServerInterceptorAdapter.h
          (ServerRequestInterceptor_Adapter):

          No longer any need to export this class from a DLL.

        * tao/PortableServer/ServerInterceptorAdapter.cpp:
        * tao/PortableServer/ServerInterceptorAdapter.inl:

          Moved ServerRequestInterceptor_Adapter_Class into TAO
          namespace.

        * tao/PortableServer/TypeCode_SArg_Traits.h:

          New header containing server side TypeCode argument traits
          template specialization.

        * tao/PortableServer/Upcall_Command.h:

          The actual upcall into a servant is executed through a concrete
          Upcall_Command object.  This is necessary to simplify upcall
          interactions in the presence of interceptors, such as when the
          send_exception() interception point must be invoked when the
          servant operation throws an exception.


        * tao/PortableServer/Upcall_Wrapper.h:

          Rewrote the hitherto unused TAO_Upcall_Wrapper class draft.  It
          is also now in the TAO namespace, i.e., TAO::Upcall_Wrapper.
          The TAO::Upcall_Wrapper class wraps most of the
          operation-specific upcall processing incurred by a TAO_IDL
          generated skeleton.

        * tao/PortableServer/Upcall_Wrapper.cpp:

          New source containing TAO::Upcall_Wrapper class implementation.

        * TAO_IDL/be/be_codegen.cpp (gen_skel_src_includes):

          No longer any need to include server request interceptor related
          headers.

          Generate include directives for "TAO::SArg" related
          headers.

          Generate include directives for
          "tao/PortableServer/Upcall_{Command,Wrapper}.h" headers to pull
          in the corresponding class declarations.  The generated skeleton
          creates instances of these classes.

          (gen_skel_arg_file_includes)

          Generate include directive for new "TypeCode_SArg_Traits.h"
          header.  It is needed for the server side TypeCode argument
          traits in skeletons.

        * TAO_IDL/be/be_interface.cpp:

          Removed thru-POA skeleton function optable entry from generated
          skeleton.  It no longer exists.  Thru-POA code now goes through
          the POA, meaning the remote skeleton function can now be used
          for thru-POA collocated calls.

          Removed thru-POA proxy implementation code.  It is no longer
          needed since thru-POA collocated now go through the POA.

          Updated gperf command line options to reflect new operation
          table entry structure.

          (downcast_helper):
        * TAO_IDL/be_include/be_interface.h (downcast_helper):
        * TAO_IDL/be_include/be_visitor_interface/amh_ss.h
          (generate_downcast_implementation):
        * TAO_IDL/be_include/be_visitor_interface/interface_ss.h
          (generate_downcast_implementation):

          Removed this method.  The C++ mapping does not require a
          "_downcast()" method for servants.

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Fixed problem with server side valuetype argument trait usage,
          i.e removed extraneous template argument from generated skeleton
          code.

          Replaced usage of "ACE_TEMPLATE_SPECIALIZATION" macro with
          standard C++ "template<>".

          Enabled and fixed support for generation of "SArg_Traits"
          template specializations in generated skeleton sources.

        * TAO_IDL/be/be_visitor_argument.cpp:
        * TAO_IDL/be_include/be_visitor_argument.h:
        * TAO_IDL/be/be_visitor_interface/interface.cpp:
        * TAO_IDL/be_include/be_visitor_interface.h:

          Removed remaining vestiges of the now non-existent interceptor
          related visitors.

        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be_include/be_visitor_operation.h:

          Likewise.

          Added support for new TAO::Upcall_Command concrete class
          generation visitors.

        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_module.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:

          Nuked trailing whitespace.

        * TAO_IDL/be/be_visitor_traits.cpp:

          Replaced usage of "ACE_TEMPLATE_SPECIALIZATION" macro with
          standard C++ "template<>".

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_cs.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_exceptlist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_info_rettype.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be_include/be_visitor_argument/request_info_arglist.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_ch.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_cs.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_result.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_sh.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/interceptors_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/interceptors_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_arglist.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_ch.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_cs.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_exceptlist.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_info_rettype.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_result.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_sh.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_ss.h:

          Removed all remaining interceptor related visitors.  They are no
          longer needed.  Sweet!

        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:

          Removed usage of "ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION"
          macro.  It is no longer need for any of the TAO supported C++
          compilers.

        * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:

          Removed _downcast() method generation code.  The C++ mapping
          doesn't appear to require it for servants, so it shouldn't be
